  CREATE TABLE row_status_type (
     rstat_type_cod          NUMBER(5)        NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE row_status_type ADD CONSTRAINT row_status_type_PK PRIMARY KEY (rstat_type_cod);
  COMMIT;

  CREATE TABLE enterprise_type (
     ent_db_site             CHAR(16)         NOT NULL,
     ent_db_id               NUMBER(10)       NOT NULL,
     ent_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE enterprise_type ADD CONSTRAINT enterprise_type_PK PRIMARY KEY (ent_db_site,ent_db_id,ent_type_code);
  ALTER TABLE enterprise_type ADD CONSTRAINT enterprise_type_FK1262 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE enterprise (
     enterprise_id           NUMBER(10)       NOT NULL,
     ent_db_site             CHAR(16)         NOT NULL,
     ent_db_id               NUMBER(10)       NOT NULL,
     ent_type_code           NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE enterprise ADD CONSTRAINT enterprise_PK PRIMARY KEY (enterprise_id);
  ALTER TABLE enterprise ADD CONSTRAINT enterprise_FK1276 FOREIGN KEY(ent_db_site,ent_db_id,ent_type_code) REFERENCES enterprise_type;
  ALTER TABLE enterprise ADD CONSTRAINT enterprise_FK1260 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE site_type (
     st_db_site              CHAR(16)         NOT NULL,
     st_db_id                NUMBER(10)       NOT NULL,
     st_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     mobile_yn               CHAR(1)          NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE site_type ADD CONSTRAINT site_type_PK PRIMARY KEY (st_db_site,st_db_id,st_type_code);
  ALTER TABLE site_type ADD CONSTRAINT site_type_FK1271 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE site_type_child (
     st_db_site              CHAR(16)         NOT NULL,
     st_db_id                NUMBER(10)       NOT NULL,
     st_type_code            NUMBER(10)       NOT NULL,
     child_st_db_site        CHAR(16)         NOT NULL,
     child_st_db_id          NUMBER(10)       NOT NULL,
     child_st_type_code      NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE site_type_child ADD CONSTRAINT site_type_child_PK PRIMARY KEY (st_db_site,st_db_id,st_type_code,child_st_db_site,child_st_db_id,child_st_type_code);
  ALTER TABLE site_type_child ADD CONSTRAINT site_type_child_FK1272 FOREIGN KEY(st_db_site,st_db_id,st_type_code) REFERENCES site_type;
  ALTER TABLE site_type_child ADD CONSTRAINT site_type_child_FK1273 FOREIGN KEY(child_st_db_site,child_st_db_id,child_st_type_code) REFERENCES site_type;
  ALTER TABLE site_type_child ADD CONSTRAINT site_type_childFK1275 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE site (
     site_code               CHAR(16)         NOT NULL,
     enterprise_id           NUMBER(10)       NOT NULL,
     site_id                 NUMBER(10)       NOT NULL,
     st_db_site              CHAR(16)         NOT NULL,
     st_db_id                NUMBER(10)       NOT NULL,
     st_type_code            NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     duns_number             NUMBER(10),
     template_yn             CHAR(1)          NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE site ADD CONSTRAINT site_PK PRIMARY KEY (site_code);
  ALTER TABLE site ADD CONSTRAINT site_FK1266 FOREIGN KEY(st_db_site,st_db_id,st_type_code) REFERENCES site_type;
  ALTER TABLE site ADD CONSTRAINT site_FK1267 FOREIGN KEY(enterprise_id) REFERENCES enterprise;
  ALTER TABLE site ADD CONSTRAINT site_FK920 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE site_database (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     mf_db_site              CHAR(16),
     mf_db_id                NUMBER(10),
     mf_duns_code            NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE site_database ADD CONSTRAINT site_database_PK PRIMARY KEY (db_site,db_id);
  ALTER TABLE site_database ADD CONSTRAINT site_database_FK921 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE site_database ADD CONSTRAINT site_database_FK922 FOREIGN KEY(db_site) REFERENCES site;
  COMMIT;
  
  CREATE TABLE manufacturer (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     manuf_trade_name        VARCHAR2(254)    NOT NULL,
     company_name            VARCHAR2(254)    NOT NULL,
     phys_addr               VARCHAR2(254),
     phys_city_name          VARCHAR2(254),
     phys_state_abbr         VARCHAR2(254),
     phys_postal_code        VARCHAR2(254),
     phys_country_abbr       VARCHAR2(254),
     mail_addr               VARCHAR2(254),
     mail_city_name          VARCHAR2(254),
     mail_state_abbr         VARCHAR2(254),
     mail_postal_code        VARCHAR2(254),
     mail_country_abbr       VARCHAR2(254),
     us_ph_number            VARCHAR2(254),
     int_ph_country_no       VARCHAR2(254),
     int_ph_city_no          VARCHAR2(254),
     int_ph_local_no         VARCHAR2(254),
     us_fax_number           VARCHAR2(254),
     int_fax_country_no      VARCHAR2(254),
     int_fax_city_no         VARCHAR2(254),
     int_fax_local_no        VARCHAR2(254),
     business_desc           VARCHAR2(254),
     primary_sic             VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5),
     lc_alt_sic1             VARCHAR2(254),
     lc_alt_sic2             VARCHAR2(254)
  );
  ALTER TABLE manufacturer ADD CONSTRAINT manufacturer_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code);
  ALTER TABLE manufacturer ADD CONSTRAINT manufacturer_FK355 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE manufacturer ADD CONSTRAINT manufacturer_FK356 FOREIGN KEY(mf_db_site,mf_db_id) REFERENCES site_database;
  ALTER TABLE manufacturer ADD CONSTRAINT manufacturer_FK357 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_type (
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     default_mnemonic        VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_type ADD CONSTRAINT segment_type_PK PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code);
  ALTER TABLE segment_type ADD CONSTRAINT segment_type_FK697 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_type ADD CONSTRAINT segment_type_FK698 FOREIGN KEY(sg_db_site,sg_db_id) REFERENCES site_database;
  ALTER TABLE segment_type ADD CONSTRAINT segment_type_FK699 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_type_child (
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     child_sg_db_site        CHAR(16)         NOT NULL,
     child_sg_db_id          NUMBER(10)       NOT NULL,
     child_sg_type_code      NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_type_child ADD CONSTRAINT segment_type_child_PK PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,child_sg_db_site,child_sg_db_id,child_sg_type_code);
  ALTER TABLE segment_type_child ADD CONSTRAINT segment_type_child_FK700 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_type_child ADD CONSTRAINT segment_type_child_FK701 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type;
  ALTER TABLE segment_type_child ADD CONSTRAINT segment_type_child_FK702 FOREIGN KEY(child_sg_db_site,child_sg_db_id,child_sg_type_code) REFERENCES segment_type;
  ALTER TABLE segment_type_child ADD CONSTRAINT segment_type_child_FK703 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     segment_group_yn        CHAR(1)          NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment ADD CONSTRAINT segment_PK PRIMARY KEY (segment_site,segment_id);
  ALTER TABLE segment ADD CONSTRAINT segment_FK653 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type;
  ALTER TABLE segment ADD CONSTRAINT segment_FK654 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment ADD CONSTRAINT segment_FK655 FOREIGN KEY(segment_site) REFERENCES site;
  ALTER TABLE segment ADD CONSTRAINT segment_FK656 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE purchase_cond_type (
     pc_db_site              CHAR(16)         NOT NULL,
     pc_db_id                NUMBER(10)       NOT NULL,
     pc_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE purchase_cond_type ADD CONSTRAINT purchase_cond_type_PK PRIMARY KEY (pc_db_site,pc_db_id,pc_type_code);
  ALTER TABLE purchase_cond_type ADD CONSTRAINT purchase_cond_type_FK604 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE purchase_cond_type ADD CONSTRAINT purchase_cond_type_FK605 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE purchase_cond_type ADD CONSTRAINT purchase_cond_type_FK606 FOREIGN KEY(pc_db_site,pc_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_readiness_type (
     asr_db_site             CHAR(16)         NOT NULL,
     asr_db_id               NUMBER(10)       NOT NULL,
     asr_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     description             VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_readiness_type ADD CONSTRAINT as_readiness_type_PK PRIMARY KEY (asr_db_site,asr_db_id,asr_type_code);
  ALTER TABLE as_readiness_type ADD CONSTRAINT as_readiness_type_FK131 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_readiness_type ADD CONSTRAINT as_readiness_type_FK132 FOREIGN KEY(asr_db_site,asr_db_id) REFERENCES site_database;
  ALTER TABLE as_readiness_type ADD CONSTRAINT as_readiness_type_FK133 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_calc_type (
     mc_db_site              CHAR(16)         NOT NULL,
     mc_db_id                NUMBER(10)       NOT NULL,
     mc_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     description             VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_calc_type ADD CONSTRAINT mloc_calc_type_PK PRIMARY KEY (mc_db_site,mc_db_id,mc_type_code);
  ALTER TABLE mloc_calc_type ADD CONSTRAINT mloc_calc_type_FK435 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_calc_type ADD CONSTRAINT mloc_calc_type_FK436 FOREIGN KEY(mc_db_site,mc_db_id) REFERENCES site_database;
  ALTER TABLE mloc_calc_type ADD CONSTRAINT mloc_calc_type_FK437 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_child (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     child_sg_site           CHAR(16)         NOT NULL,
     child_sg_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_child ADD CONSTRAINT segment_child_PK PRIMARY KEY (segment_site,segment_id,child_sg_site,child_sg_id);
  ALTER TABLE segment_child ADD CONSTRAINT segment_child_FK662 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_child ADD CONSTRAINT segment_child_FK663 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_child ADD CONSTRAINT segment_child_FK664 FOREIGN KEY(child_sg_site,child_sg_id) REFERENCES segment;
  ALTER TABLE segment_child ADD CONSTRAINT segment_child_FK665 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ref_unit_type (
     ru_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     physics_descr           VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ref_unit_type ADD CONSTRAINT ref_unit_type_PK PRIMARY KEY (ru_type_code);
  ALTER TABLE ref_unit_type ADD CONSTRAINT ref_unit_type_FK629 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ref_unit_type ADD CONSTRAINT ref_unit_type_FK630 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE eng_unit_type (
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     ru_type_code            NUMBER(10)       NOT NULL,
     mult_fact_to_ref        FLOAT            NOT NULL,
     refer_off_to_ref        FLOAT            NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     abbrev                  VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE eng_unit_type ADD CONSTRAINT eng_unit_type_PK PRIMARY KEY (eu_db_site,eu_db_id,eu_type_code);
  ALTER TABLE eng_unit_type ADD CONSTRAINT eng_unit_type_FK339 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE eng_unit_type ADD CONSTRAINT eng_unit_type_FK340 FOREIGN KEY(ru_type_code) REFERENCES ref_unit_type;
  ALTER TABLE eng_unit_type ADD CONSTRAINT eng_unit_type_FK341 FOREIGN KEY(eu_db_site,eu_db_id) REFERENCES site_database;
  ALTER TABLE eng_unit_type ADD CONSTRAINT eng_unit_type_FK342 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE eng_unit_enum (
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              NUMBER(10)       NOT NULL,
     data_name               VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE eng_unit_enum ADD CONSTRAINT eng_unit_enum_PK PRIMARY KEY (eu_db_site,eu_db_id,eu_type_code,data_value);
  ALTER TABLE eng_unit_enum ADD CONSTRAINT eng_unit_enum_FK336 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE eng_unit_enum ADD CONSTRAINT eng_unit_enum_FK337 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE eng_unit_enum ADD CONSTRAINT eng_unit_enum_FK338 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_num_dat_type (
     sn_db_site              CHAR(16)         NOT NULL,
     sn_db_id                NUMBER(10)       NOT NULL,
     sn_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     default_ru_type         NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_num_dat_type ADD CONSTRAINT sg_num_dat_type_PK PRIMARY KEY (sn_db_site,sn_db_id,sn_type_code);
  ALTER TABLE sg_num_dat_type ADD CONSTRAINT sg_num_dat_type_FK772 FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type;
  ALTER TABLE sg_num_dat_type ADD CONSTRAINT sg_num_dat_type_FK773 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_num_dat_type ADD CONSTRAINT sg_num_dat_type_FK774 FOREIGN KEY(sn_db_site,sn_db_id) REFERENCES site_database;
  ALTER TABLE sg_num_dat_type ADD CONSTRAINT sg_num_dat_type_FK775 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_chr_dat_type (
     sc_db_site              CHAR(16)         NOT NULL,
     sc_db_id                NUMBER(10)       NOT NULL,
     sc_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     default_ru_type         NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_chr_dat_type ADD CONSTRAINT sg_chr_dat_type_PK PRIMARY KEY (sc_db_site,sc_db_id,sc_type_code);
  ALTER TABLE sg_chr_dat_type ADD CONSTRAINT sg_chr_dat_type_FK709 FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type;
  ALTER TABLE sg_chr_dat_type ADD CONSTRAINT sg_chr_dat_type_FK710 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_chr_dat_type ADD CONSTRAINT sg_chr_dat_type_FK711 FOREIGN KEY(sc_db_site,sc_db_id) REFERENCES site_database;
  ALTER TABLE sg_chr_dat_type ADD CONSTRAINT sg_chr_dat_type_FK712 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_num_data (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     sn_db_site              CHAR(16)         NOT NULL,
     sn_db_id                NUMBER(10)       NOT NULL,
     sn_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_num_data ADD CONSTRAINT segment_num_data_PK PRIMARY KEY (segment_site,segment_id,sn_db_site,sn_db_id,sn_type_code);
  ALTER TABLE segment_num_data ADD CONSTRAINT segment_num_data_FK692 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_num_data ADD CONSTRAINT segment_num_data_FK693 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_num_data ADD CONSTRAINT segment_num_data_FK694 FOREIGN KEY(sn_db_site,sn_type_code,sn_db_id) REFERENCES sg_num_dat_type;
  ALTER TABLE segment_num_data ADD CONSTRAINT segment_num_data_FK695 FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type;
  ALTER TABLE segment_num_data ADD CONSTRAINT segment_num_data_FK696 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_chr_data (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     sc_db_site              CHAR(16)         NOT NULL,
     sc_db_id                NUMBER(10)       NOT NULL,
     sc_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_chr_data ADD CONSTRAINT segment_chr_data_PK PRIMARY KEY (segment_site,segment_id,sc_db_site,sc_db_id,sc_type_code);
  ALTER TABLE segment_chr_data ADD CONSTRAINT segment_chr_data_FK666 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_chr_data ADD CONSTRAINT segment_chr_data_FK667 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_chr_data ADD CONSTRAINT segment_chr_data_FK668 FOREIGN KEY(sc_db_site,sc_db_id,sc_type_code) REFERENCES sg_chr_dat_type;
  ALTER TABLE segment_chr_data ADD CONSTRAINT segment_chr_data_FK669 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE segment_chr_data ADD CONSTRAINT segment_chr_data_FK670 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_as_event_type (
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_as_event_type ADD CONSTRAINT sg_as_event_type_PK PRIMARY KEY (ev_db_site,ev_db_id,event_type_code);
  ALTER TABLE sg_as_event_type ADD CONSTRAINT sg_as_event_type_FK706 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_as_event_type ADD CONSTRAINT sg_as_event_type_FK707 FOREIGN KEY(ev_db_site,ev_db_id) REFERENCES site_database;
  ALTER TABLE sg_as_event_type ADD CONSTRAINT sg_as_event_type_FK708 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_event (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     gmt_event_stop          VARCHAR2(29),
     ev_loc_hr_delta         NUMBER(5),
     ev_loc_min_delta        NUMBER(5),
     gmt_stored              VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_event ADD CONSTRAINT segment_event_PK PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE segment_event ADD CONSTRAINT segment_event_FK671 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_event ADD CONSTRAINT segment_event_FK672 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_event ADD CONSTRAINT segment_event_FK673 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE segment_event ADD CONSTRAINT segment_event_FK674 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_type (
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     default_mnemonic        VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_type ADD CONSTRAINT asset_type_PK PRIMARY KEY (as_db_site,as_db_id,as_type_code);
  ALTER TABLE asset_type ADD CONSTRAINT asset_type_FK287 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_type ADD CONSTRAINT asset_type_FK288 FOREIGN KEY(as_db_site,as_db_id) REFERENCES site_database;
  ALTER TABLE asset_type ADD CONSTRAINT asset_type_FK289 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_type_child (
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     child_as_db_site        CHAR(16)         NOT NULL,
     child_as_db_id          NUMBER(10)       NOT NULL,
     child_as_type_code      NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_type_child ADD CONSTRAINT asset_type_child_PK PRIMARY KEY (as_db_site,as_db_id,as_type_code,child_as_db_site,child_as_db_id,child_as_type_code);
  ALTER TABLE asset_type_child ADD CONSTRAINT asset_type_child_FK290 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_type_child ADD CONSTRAINT asset_type_child_FK291 FOREIGN KEY(child_as_db_site,child_as_db_id,child_as_type_code) REFERENCES asset_type;
  ALTER TABLE asset_type_child ADD CONSTRAINT asset_type_child_FK292 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE asset_type_child ADD CONSTRAINT asset_type_child_FK293 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  COMMIT;

  CREATE TABLE model (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model ADD CONSTRAINT model_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  ALTER TABLE model ADD CONSTRAINT model_FK467 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code) REFERENCES manufacturer;
  ALTER TABLE model ADD CONSTRAINT model_FK468 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  ALTER TABLE model ADD CONSTRAINT model_FK469 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model ADD CONSTRAINT model_FK470 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_child (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     child_mf_db_site        CHAR(16)         NOT NULL,
     child_mf_db_id          NUMBER(10)       NOT NULL,
     child_mf_duns_code      NUMBER(10)       NOT NULL,
     child_model_num         VARCHAR2(254)    NOT NULL,
     child_revision_num      NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_child ADD CONSTRAINT model_child_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,child_mf_db_site,child_mf_db_id,child_mf_duns_code,child_model_num,child_revision_num);
  ALTER TABLE model_child ADD CONSTRAINT model_child_FK476 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_child ADD CONSTRAINT model_child_FK477 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_child ADD CONSTRAINT model_child_FK478 FOREIGN KEY(child_mf_db_site,child_mf_db_id,child_mf_duns_code,child_model_num,child_revision_num) REFERENCES model;
  ALTER TABLE model_child ADD CONSTRAINT model_child_FK479 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_num_dat_type (
     an_db_site              CHAR(16)         NOT NULL,
     an_db_id                NUMBER(10)       NOT NULL,
     an_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     default_ru_type         NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_num_dat_type ADD CONSTRAINT as_num_dat_type_PK PRIMARY KEY (an_db_site,an_db_id,an_type_code);
  ALTER TABLE as_num_dat_type ADD CONSTRAINT as_num_dat_type_FK88 FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type;
  ALTER TABLE as_num_dat_type ADD CONSTRAINT as_num_dat_type_FK89 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_num_dat_type ADD CONSTRAINT as_num_dat_type_FK90 FOREIGN KEY(an_db_site,an_db_id) REFERENCES site_database;
  ALTER TABLE as_num_dat_type ADD CONSTRAINT as_num_dat_type_FK91 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_chr_dat_type (
     ac_db_site              CHAR(16)         NOT NULL,
     ac_db_id                NUMBER(10)       NOT NULL,
     ac_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     default_ru_type         NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_chr_dat_type ADD CONSTRAINT as_chr_dat_type_PK PRIMARY KEY (ac_db_site,ac_db_id,ac_type_code);
  ALTER TABLE as_chr_dat_type ADD CONSTRAINT as_chr_dat_type_FK25 FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type;
  ALTER TABLE as_chr_dat_type ADD CONSTRAINT as_chr_dat_type_FK26 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_chr_dat_type ADD CONSTRAINT as_chr_dat_type_FK27 FOREIGN KEY(ac_db_site,ac_db_id) REFERENCES site_database;
  ALTER TABLE as_chr_dat_type ADD CONSTRAINT as_chr_dat_type_FK28 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_num_data (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     an_db_site              CHAR(16)         NOT NULL,
     an_db_id                NUMBER(10)       NOT NULL,
     an_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_num_data ADD CONSTRAINT model_num_data_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,an_db_site,an_db_id,an_type_code);
  ALTER TABLE model_num_data ADD CONSTRAINT model_num_data_FK511 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_num_data ADD CONSTRAINT model_num_data_FK512 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_num_data ADD CONSTRAINT model_num_data_FK513 FOREIGN KEY(an_db_site,an_db_id,an_type_code) REFERENCES as_num_dat_type;
  ALTER TABLE model_num_data ADD CONSTRAINT model_num_data_FK514 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE model_num_data ADD CONSTRAINT model_num_data_FK515 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_chr_data (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     ac_db_site              CHAR(16)         NOT NULL,
     ac_db_id                NUMBER(10)       NOT NULL,
     ac_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_chr_data ADD CONSTRAINT model_chr_data_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ac_db_site,ac_db_id,ac_type_code);
  ALTER TABLE model_chr_data ADD CONSTRAINT model_chr_data_FK480 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_chr_data ADD CONSTRAINT model_chr_data_FK481 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_chr_data ADD CONSTRAINT model_chr_data_FK482 FOREIGN KEY(ac_db_site,ac_db_id,ac_type_code) REFERENCES as_chr_dat_type;
  ALTER TABLE model_chr_data ADD CONSTRAINT model_chr_data_FK483 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE model_chr_data ADD CONSTRAINT model_chr_data_FK484 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     mf_db_site              CHAR(16),
     mf_db_id                NUMBER(10),
     mf_duns_code            NUMBER(10),
     model_number            VARCHAR2(254),
     revision_number         NUMBER(10),
     serial_number           VARCHAR2(254),
     asr_db_site             CHAR(16),
     asr_db_id               NUMBER(10),
     asr_type_code           NUMBER(10),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset ADD CONSTRAINT asset_PK PRIMARY KEY (asset_org_site,asset_id);
  ALTER TABLE asset ADD CONSTRAINT asset_FK232 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  ALTER TABLE asset ADD CONSTRAINT asset_FK233 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE asset ADD CONSTRAINT asset_FK234 FOREIGN KEY(asr_db_site,asr_db_id,asr_type_code) REFERENCES as_readiness_type;
  ALTER TABLE asset ADD CONSTRAINT asset_FK235 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset ADD CONSTRAINT asset_FK236 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE asset ADD CONSTRAINT asset_FK237 FOREIGN KEY(asset_org_site) REFERENCES site;
  COMMIT;

  CREATE TABLE asset_child (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     child_as_site           CHAR(16)         NOT NULL,
     child_as_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_child ADD CONSTRAINT asset_child_PK PRIMARY KEY (asset_org_site,asset_id,child_as_site,child_as_id);
  ALTER TABLE asset_child ADD CONSTRAINT asset_child_FK243 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_child ADD CONSTRAINT asset_child_FK244 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_child ADD CONSTRAINT asset_child_FK245 FOREIGN KEY(child_as_site,child_as_id) REFERENCES asset;
  ALTER TABLE asset_child ADD CONSTRAINT asset_child_FK246 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_num_data (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     an_db_site              CHAR(16)         NOT NULL,
     an_db_id                NUMBER(10)       NOT NULL,
     an_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_num_data ADD CONSTRAINT asset_num_data_PK PRIMARY KEY (asset_org_site,asset_id,an_db_site,an_db_id,an_type_code);
  ALTER TABLE asset_num_data ADD CONSTRAINT asset_num_data_FK272 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_num_data ADD CONSTRAINT asset_num_data_FK273 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_num_data ADD CONSTRAINT asset_num_data_FK274 FOREIGN KEY(an_db_site,an_db_id,an_type_code) REFERENCES as_num_dat_type;
  ALTER TABLE asset_num_data ADD CONSTRAINT asset_num_data_FK275 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  COMMIT;

  CREATE TABLE asset_chr_data (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ac_db_site              CHAR(16)         NOT NULL,
     ac_db_id                NUMBER(10)       NOT NULL,
     ac_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_chr_data ADD CONSTRAINT asset_chr_data_PK PRIMARY KEY (asset_org_site,asset_id,ac_db_site,ac_db_id,ac_type_code);
  ALTER TABLE asset_chr_data ADD CONSTRAINT asset_chr_data_FK247 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_chr_data ADD CONSTRAINT asset_chr_data_FK248 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_chr_data ADD CONSTRAINT asset_chr_data_FK249 FOREIGN KEY(ac_db_site,ac_db_id,ac_type_code) REFERENCES as_chr_dat_type;
  ALTER TABLE asset_chr_data ADD CONSTRAINT asset_chr_data_FK250 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  COMMIT;

  CREATE TABLE asset_event (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     gmt_event_stop          VARCHAR2(29),
     ev_loc_hr_delta         NUMBER(5),
     ev_loc_min_delta        NUMBER(5),
     gmt_stored              VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_event ADD CONSTRAINT asset_event_PK PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE asset_event ADD CONSTRAINT asset_event_FK251 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_event ADD CONSTRAINT asset_event_FK252 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_event ADD CONSTRAINT asset_event_FK253 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE asset_event ADD CONSTRAINT asset_event_FK254 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_on_segment (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_installed           VARCHAR2(29)     NOT NULL,
     gmt_removed             VARCHAR2(29),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_on_segment ADD CONSTRAINT asset_on_segment_PK PRIMARY KEY (asset_org_site,asset_id,segment_site,segment_id,gmt_installed);
  ALTER TABLE asset_on_segment ADD CONSTRAINT asset_on_segment_FK276 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE asset_on_segment ADD CONSTRAINT asset_on_segment_FK277 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE asset_on_segment ADD CONSTRAINT asset_on_segment_FK278 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_on_segment ADD CONSTRAINT asset_on_segment_FK279 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  COMMIT;

  CREATE TABLE asset_owner (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_purchased           VARCHAR2(29)     NOT NULL,
     sold_to_site            CHAR(16)         NOT NULL,
     purch_from_site         CHAR(16),
     pc_db_site              CHAR(16),
     pc_db_id                NUMBER(10),
     pc_type_code            NUMBER(10),
     asr_db_site             CHAR(16),
     asr_db_id               NUMBER(10),
     asr_type_code           NUMBER(10),
     gmt_sold                VARCHAR2(29),
     gmt_discarded           VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_PK PRIMARY KEY (asset_org_site,asset_id,gmt_purchased);
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK280 FOREIGN KEY(purch_from_site) REFERENCES site;
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK281 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK282 FOREIGN KEY(sold_to_site) REFERENCES site;
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK283 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK284 FOREIGN KEY(pc_db_site,pc_db_id,pc_type_code) REFERENCES purchase_cond_type;
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK285 FOREIGN KEY(asr_db_site,asr_db_id,asr_type_code) REFERENCES as_readiness_type;
  ALTER TABLE asset_owner ADD CONSTRAINT asset_owner_FK286 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_loc_type (
     ml_db_site              CHAR(16)         NOT NULL,
     ml_db_id                NUMBER(10)       NOT NULL,
     ml_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_loc_type ADD CONSTRAINT meas_loc_type_PK PRIMARY KEY (ml_db_site,ml_db_id,ml_type_code);
  ALTER TABLE meas_loc_type ADD CONSTRAINT meas_loc_type_FK379 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_loc_type ADD CONSTRAINT meas_loc_type_FK380 FOREIGN KEY(ml_db_site,ml_db_id) REFERENCES site_database;
  ALTER TABLE meas_loc_type ADD CONSTRAINT meas_loc_type_FK381 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE data_source_type (
     ds_db_site              CHAR(16)         NOT NULL,
     ds_db_id                NUMBER(10)       NOT NULL,
     ds_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE data_source_type ADD CONSTRAINT data_source_type_PK PRIMARY KEY (ds_db_site,ds_db_id,ds_type_code);
  ALTER TABLE data_source_type ADD CONSTRAINT data_source_type_FK329 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE data_source_type ADD CONSTRAINT data_source_type_FK330 FOREIGN KEY(ds_db_site,ds_db_id) REFERENCES site_database;
  ALTER TABLE data_source_type ADD CONSTRAINT data_source_type_FK331 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE trans_type (
     tr_db_site              CHAR(16)         NOT NULL,
     tr_db_id                NUMBER(10)       NOT NULL,
     tr_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     tr_type_abbrev          VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE trans_type ADD CONSTRAINT trans_type_PK PRIMARY KEY (tr_db_site,tr_db_id,tr_type_code);
  ALTER TABLE trans_type ADD CONSTRAINT trans_type_FK1085 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE trans_type ADD CONSTRAINT trans_type_FK1086 FOREIGN KEY(tr_db_site,tr_db_id,tr_type_code) REFERENCES asset_type;
  ALTER TABLE trans_type ADD CONSTRAINT trans_type_FK1087 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE tr_axis_dir_type (
     ta_db_site              CHAR(16)         NOT NULL,
     ta_db_id                NUMBER(10)       NOT NULL,
     ta_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE tr_axis_dir_type ADD CONSTRAINT tr_axis_dir_type_PK PRIMARY KEY (ta_db_site,ta_db_id,ta_type_code);
  ALTER TABLE tr_axis_dir_type ADD CONSTRAINT tr_axis_dir_type_FK1082 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE tr_axis_dir_type ADD CONSTRAINT tr_axis_dir_type_FK1083 FOREIGN KEY(ta_db_site,ta_db_id) REFERENCES site_database;
  ALTER TABLE tr_axis_dir_type ADD CONSTRAINT tr_axis_dir_type_FK1084 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_location (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     ml_db_site              CHAR(16)         NOT NULL,
     ml_db_id                NUMBER(10)       NOT NULL,
     ml_type_code            NUMBER(10)       NOT NULL,
     segment_or_asset        CHAR(1)          NOT NULL,
     segment_site            CHAR(16),
     segment_id              NUMBER(10),
     asset_org_site          CHAR(16),
     asset_id                NUMBER(10),
     ds_db_site              CHAR(16),
     ds_db_id                NUMBER(10),
     ds_type_code            NUMBER(10),
     tr_db_site              CHAR(16),
     tr_db_id                NUMBER(10),
     tr_type_code            NUMBER(10),
     ta_orient_deg           NUMBER(10),
     ta_db_site              CHAR(16),
     ta_db_id                NUMBER(10),
     ta_type_code            NUMBER(10),
     mim_loc_seq             NUMBER(10),
     motion_direction        CHAR(1),
     mim_user_prefix         VARCHAR2(254),
     mc_db_site              CHAR(16),
     mc_db_id                NUMBER(10),
     mc_type_code            NUMBER(10),
     mc_calc_size            NUMBER(10),
     update_interval         FLOAT,
     int_eu_db_site          CHAR(16),
     int_eu_db_id            NUMBER(10),
     int_eu_type_code        NUMBER(10),
     collect_duration        FLOAT,
     dur_eu_db_site          CHAR(16),
     dur_eu_db_id            NUMBER(10),
     dur_eu_type_code        NUMBER(10),
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     barcode                 VARCHAR2(254),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_PK PRIMARY KEY (meas_loc_site,meas_loc_id);
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK382 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK383 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK384 FOREIGN KEY(ds_db_site,ds_db_id,ds_type_code) REFERENCES data_source_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK385 FOREIGN KEY(tr_db_site,tr_db_id,tr_type_code) REFERENCES trans_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK386 FOREIGN KEY(ta_db_site,ta_db_id,ta_type_code) REFERENCES tr_axis_dir_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK387 FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK388 FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK389 FOREIGN KEY(dur_eu_db_site,dur_eu_db_id,dur_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK390 FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK1256 FOREIGN KEY(meas_loc_site) REFERENCES site;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK1257 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE meas_location ADD CONSTRAINT meas_location_FK1258 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ordered_list (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     user_tag_ident          VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ordered_list ADD CONSTRAINT ordered_list_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id);
  ALTER TABLE ordered_list ADD CONSTRAINT ordered_list_FK581 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ordered_list ADD CONSTRAINT ordered_list_FK582 FOREIGN KEY(ord_list_db_site,ord_list_db_id) REFERENCES site_database;
  ALTER TABLE ordered_list ADD CONSTRAINT ordered_list_FK583 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_loc_list (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_loc_list ADD CONSTRAINT meas_loc_list_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq);
  ALTER TABLE meas_loc_list ADD CONSTRAINT meas_loc_list_FK375 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_loc_list ADD CONSTRAINT meas_loc_list_FK376 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE meas_loc_list ADD CONSTRAINT meas_loc_list_FK377 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE meas_loc_list ADD CONSTRAINT meas_loc_list_FK378 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_unit_list (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     channel_number          NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_unit_list ADD CONSTRAINT mloc_unit_list_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number);
  ALTER TABLE mloc_unit_list ADD CONSTRAINT mloc_unit_list_FK462 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_unit_list ADD CONSTRAINT mloc_unit_list_FK463 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE mloc_unit_list ADD CONSTRAINT mloc_unit_list_FK464 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE mloc_unit_list ADD CONSTRAINT mloc_unit_list_FK465 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE mloc_unit_list ADD CONSTRAINT mloc_unit_list_FK466 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE data_source (
     ds_asset_site           CHAR(16)         NOT NULL,
     ds_asset_id             NUMBER(10)       NOT NULL,
     ds_db_site              CHAR(16)         NOT NULL,
     ds_db_id                NUMBER(10)       NOT NULL,
     ds_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE data_source ADD CONSTRAINT data_source_PK PRIMARY KEY (ds_asset_site,ds_asset_id);
  ALTER TABLE data_source ADD CONSTRAINT data_source_FK326 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE data_source ADD CONSTRAINT data_source_FK327 FOREIGN KEY(ds_db_site,ds_db_id,ds_type_code) REFERENCES data_source_type;
  ALTER TABLE data_source ADD CONSTRAINT data_source_FK328 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE transducer (
     tr_asset_site           CHAR(16)         NOT NULL,
     tr_asset_id             NUMBER(10)       NOT NULL,
     tr_db_site              CHAR(16)         NOT NULL,
     tr_db_id                NUMBER(10)       NOT NULL,
     tr_type_code            NUMBER(10)       NOT NULL,
     out_eu_db_site          CHAR(16),
     out_eu_db_id            NUMBER(10),
     out_eu_type_code        NUMBER(10),
     out_amplitude           FLOAT,
     per_eu_db_site          CHAR(16),
     per_eu_db_id            NUMBER(10),
     per_eu_type_code        NUMBER(10),
     gmt_last_calib          VARCHAR2(29),
     self_powered_yn         CHAR(1),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE transducer ADD CONSTRAINT transducer_PK PRIMARY KEY (tr_asset_site,tr_asset_id);
  ALTER TABLE transducer ADD CONSTRAINT transducer_FK1088 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE transducer ADD CONSTRAINT transducer_FK1089 FOREIGN KEY(tr_asset_site,tr_asset_id) REFERENCES asset;
  ALTER TABLE transducer ADD CONSTRAINT transducer_FK1090 FOREIGN KEY(tr_db_site,tr_db_id,tr_type_code) REFERENCES trans_type;
  ALTER TABLE transducer ADD CONSTRAINT transducer_FK1091 FOREIGN KEY(out_eu_db_site,out_eu_db_id,out_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE transducer ADD CONSTRAINT transducer_FK1092 FOREIGN KEY(per_eu_db_site,per_eu_db_id,per_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE transducer ADD CONSTRAINT transducer_FK1093 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE data_qual_type (
     dqual_type_code         NUMBER(5)        NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE data_qual_type ADD CONSTRAINT data_qual_type_PK PRIMARY KEY (dqual_type_code);
  ALTER TABLE data_qual_type ADD CONSTRAINT data_qual_type_FK324 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE data_qual_type ADD CONSTRAINT data_qual_type_FK325 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_event (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ev_loc_hr_delta         NUMBER(5),
     ev_loc_min_delta        NUMBER(5),
     gmt_stored              VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     segment_site            CHAR(16),
     segment_id              NUMBER(10),
     asset_org_site          CHAR(16),
     asset_id                NUMBER(10),
     ds_asset_site           CHAR(16),
     ds_asset_id             NUMBER(10),
     tr_asset_site           CHAR(16),
     tr_asset_id             NUMBER(10),
     dqual_type_code         NUMBER(5)        NOT NULL,
     ml_db_site              CHAR(16),
     ml_db_id                NUMBER(10),
     ml_type_code            NUMBER(10),
     mc_db_site              CHAR(16),
     mc_db_id                NUMBER(10),
     mc_type_code            NUMBER(10),
     mc_calc_size            NUMBER(10),
     collect_duration        FLOAT,
     dur_eu_db_site          CHAR(16),
     dur_eu_db_id            NUMBER(10),
     dur_eu_type_code        NUMBER(10),
     confid_percent          NUMBER(5),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK358 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK359 FOREIGN KEY(dqual_type_code) REFERENCES data_qual_type;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK360 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK361 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK362 FOREIGN KEY(ds_asset_site,ds_asset_id) REFERENCES data_source;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK363 FOREIGN KEY(tr_asset_site,tr_asset_id) REFERENCES transducer;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK364 FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK365 FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK366 FOREIGN KEY(dur_eu_db_site,dur_eu_db_id,dur_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE meas_event ADD CONSTRAINT meas_event_FK367 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_event_assoc (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     related_mloc_site       CHAR(16)         NOT NULL,
     related_mloc_id         NUMBER(10)       NOT NULL,
     related_gmt_event       VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_event_assoc ADD CONSTRAINT meas_event_assoc_PK PRIMARY KEY (related_mloc_site,related_mloc_id,related_gmt_event,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE meas_event_assoc ADD CONSTRAINT meas_event_assoc_FK368 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_event_assoc ADD CONSTRAINT meas_event_assoc_FK369 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE meas_event_assoc ADD CONSTRAINT meas_event_assoc_FK370 FOREIGN KEY(related_mloc_site,related_mloc_id,related_gmt_event) REFERENCES meas_event;
  ALTER TABLE meas_event_assoc ADD CONSTRAINT meas_event_assoc_FK371 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_event_rem (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_event_rem ADD CONSTRAINT meas_event_rem_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq);
  ALTER TABLE meas_event_rem ADD CONSTRAINT meas_event_rem_FK372 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_event_rem ADD CONSTRAINT meas_event_rem_FK373 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE meas_event_rem ADD CONSTRAINT meas_event_rem_FK374 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mevent_num_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mevent_num_data ADD CONSTRAINT mevent_num_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code);
  ALTER TABLE mevent_num_data ADD CONSTRAINT mevent_num_data_FK418 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mevent_num_data ADD CONSTRAINT mevent_num_data_FK419 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE mevent_num_data ADD CONSTRAINT mevent_num_data_FK420 FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type;
  COMMIT;

  CREATE TABLE mevent_chr_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mevent_chr_data ADD CONSTRAINT mevent_chr_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code);
  ALTER TABLE mevent_chr_data ADD CONSTRAINT mevent_chr_data_FK413 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE mevent_chr_data ADD CONSTRAINT mevent_chr_data_FK414 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE mevent_chr_data ADD CONSTRAINT mevent_chr_data_FK415 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE alarm_severity (
     al_severity_rank        NUMBER(5)        NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE alarm_severity ADD CONSTRAINT alarm_severity_PK PRIMARY KEY (al_severity_rank);
  ALTER TABLE alarm_severity ADD CONSTRAINT alarm_severity_FK19 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE alarm_severity ADD CONSTRAINT alarm_severity_FK20 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE alarm_type (
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     al_severity_rank        NUMBER(5)        NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE alarm_type ADD CONSTRAINT alarm_type_PK PRIMARY KEY (al_db_site,al_db_id,al_type_code);
  ALTER TABLE alarm_type ADD CONSTRAINT alarm_type_FK21 FOREIGN KEY(al_severity_rank) REFERENCES alarm_severity;
  ALTER TABLE alarm_type ADD CONSTRAINT alarm_type_FK22 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE alarm_type ADD CONSTRAINT alarm_type_FK23 FOREIGN KEY(al_db_site,al_db_id) REFERENCES site_database;
  ALTER TABLE alarm_type ADD CONSTRAINT alarm_type_FK24 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE num_alarm_reg (
     alarm_db_site           CHAR(16)         NOT NULL,
     alarm_db_id             NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     ml_db_site              CHAR(16),
     ml_db_id                NUMBER(10),
     ml_type_code            NUMBER(10),
     mc_db_site              CHAR(16),
     mc_db_id                NUMBER(10),
     mc_type_code            NUMBER(10),
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     gmt_alarm_start         VARCHAR2(29)     NOT NULL,
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     min_amplitude           FLOAT            NOT NULL,
     max_amplitude           FLOAT            NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_PK PRIMARY KEY (alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq);
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_FK543 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_FK544 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_FK545 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_FK546 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_FK1228 FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE num_alarm_reg ADD CONSTRAINT num_alarm_reg_FK1229 FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type;
  COMMIT;

  CREATE TABLE agent_type (
     agent_db_site           CHAR(16)         NOT NULL,
     agent_db_id             NUMBER(10)       NOT NULL,
     agent_type_code         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE agent_type ADD CONSTRAINT agent_type_PK PRIMARY KEY (agent_db_site,agent_db_id,agent_type_code);
  ALTER TABLE agent_type ADD CONSTRAINT agent_type_FK16 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE agent_type ADD CONSTRAINT agent_type_FK17 FOREIGN KEY(agent_db_site,agent_db_id) REFERENCES site_database;
  ALTER TABLE agent_type ADD CONSTRAINT agent_type_FK18 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE agent (
     org_agent_site          CHAR(16)         NOT NULL,
     agent_id                NUMBER(10)       NOT NULL,
     agent_db_site           CHAR(16)         NOT NULL,
     agent_db_id             NUMBER(10)       NOT NULL,
     agent_type_code         NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE agent ADD CONSTRAINT agent_PK PRIMARY KEY (org_agent_site,agent_id);
  ALTER TABLE agent ADD CONSTRAINT agent_FK1 FOREIGN KEY(agent_db_site,agent_db_id,agent_type_code) REFERENCES agent_type;
  ALTER TABLE agent ADD CONSTRAINT agent_FK2 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE agent ADD CONSTRAINT agent_FK3 FOREIGN KEY(org_agent_site) REFERENCES site;
  ALTER TABLE agent ADD CONSTRAINT agent_FK4 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE src_detect_type (
     src_dt_db_site          CHAR(16)         NOT NULL,
     src_dt_db_id            NUMBER(10)       NOT NULL,
     src_dt_type_code        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE src_detect_type ADD CONSTRAINT src_detect_type_PK PRIMARY KEY (src_dt_db_site,src_dt_db_id,src_dt_type_code);
  ALTER TABLE src_detect_type ADD CONSTRAINT src_detect_type_FK1033 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE src_detect_type ADD CONSTRAINT src_detect_type_FK1034 FOREIGN KEY(src_dt_db_site,src_dt_db_id) REFERENCES site_database;
  ALTER TABLE src_detect_type ADD CONSTRAINT src_detect_type_FK1035 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE post_scaling_type (
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE post_scaling_type ADD CONSTRAINT post_scaling_type_PK PRIMARY KEY (pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  ALTER TABLE post_scaling_type ADD CONSTRAINT post_scaling_type_FK599 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE post_scaling_type ADD CONSTRAINT post_scaling_type_FK600 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id) REFERENCES site_database;
  ALTER TABLE post_scaling_type ADD CONSTRAINT post_scaling_type_FK601 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mevent_num_alarm (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     gmt_acknowledged        VARCHAR2(29),
     ack_loc_hr_delta        NUMBER(5),
     ack_loc_min_delta       NUMBER(5),
     org_agent_site          CHAR(16),
     agent_id                NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mevent_num_alarm ADD CONSTRAINT mevent_num_alarm_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code);
  ALTER TABLE mevent_num_alarm ADD CONSTRAINT mevent_num_alarm_FK416 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mevent_num_alarm ADD CONSTRAINT mevent_num_alarm_FK417 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  COMMIT;

  CREATE TABLE num_al_assoc_reg (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     alarm_db_site           CHAR(16)         NOT NULL,
     alarm_db_id             NUMBER(10)       NOT NULL,
     al_meas_loc_site        CHAR(16)         NOT NULL,
     al_meas_loc_id          NUMBER(10)       NOT NULL,
     al_ordering_seq         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE num_al_assoc_reg ADD CONSTRAINT num_al_assoc_reg_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code,alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq);
  ALTER TABLE num_al_assoc_reg ADD CONSTRAINT num_al_assoc_reg_FK539 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE num_al_assoc_reg ADD CONSTRAINT num_al_assoc_reg_FK540 FOREIGN KEY(alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq) REFERENCES num_alarm_reg;
  ALTER TABLE num_al_assoc_reg ADD CONSTRAINT num_al_assoc_reg_FK541 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE num_al_assoc_reg ADD CONSTRAINT num_al_assoc_reg_FK542 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code) REFERENCES mevent_num_alarm;
  COMMIT;

  CREATE TABLE spa_alarm_reg (
     alarm_db_site           CHAR(16)         NOT NULL,
     alarm_db_id             NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     ml_db_site              CHAR(16),
     ml_db_id                NUMBER(10),
     ml_type_code            NUMBER(10),
     mc_db_site              CHAR(16),
     mc_db_id                NUMBER(10),
     mc_type_code            NUMBER(10),
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     freq_or_order           CHAR(1)          NOT NULL,
     min_in_hz_or_ord        FLOAT            NOT NULL,
     max_in_hz_or_ord        FLOAT            NOT NULL,
     gmt_alarm_start         VARCHAR2(29)     NOT NULL,
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     src_dt_db_site          CHAR(16),
     src_dt_db_id            NUMBER(10),
     src_dt_type_code        NUMBER(10),
     min_amplitude           FLOAT            NOT NULL,
     max_amplitude           FLOAT            NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_PK PRIMARY KEY (alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq);
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1025 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1026 FOREIGN KEY(alarm_db_site,alarm_db_id) REFERENCES site_database;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1027 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1028 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1029 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1030 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1031 FOREIGN KEY(src_dt_db_site,src_dt_db_id,src_dt_type_code) REFERENCES src_detect_type;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1032 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1230 FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE spa_alarm_reg ADD CONSTRAINT spa_alarm_reg_FK1231 FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type;
  COMMIT;

  CREATE TABLE signal_proc_type (
     sp_db_site              CHAR(16)         NOT NULL,
     sp_db_id                NUMBER(10)       NOT NULL,
     sp_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE signal_proc_type ADD CONSTRAINT signal_proc_type_PK PRIMARY KEY (sp_db_site,sp_db_id,sp_type_code);
  ALTER TABLE signal_proc_type ADD CONSTRAINT signal_proc_type_FK917 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE signal_proc_type ADD CONSTRAINT signal_proc_type_FK918 FOREIGN KEY(sp_db_site,sp_db_id) REFERENCES site_database;
  ALTER TABLE signal_proc_type ADD CONSTRAINT signal_proc_type_FK919 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE signal_proc_blk (
     sp_blk_db_site          CHAR(16)         NOT NULL,
     sp_blk_db_id            NUMBER(10)       NOT NULL,
     sp_block_id             NUMBER(10)       NOT NULL,
     sp_db_site              CHAR(16)         NOT NULL,
     sp_db_id                NUMBER(10)       NOT NULL,
     sp_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE signal_proc_blk ADD CONSTRAINT signal_proc_blk_PK PRIMARY KEY (sp_blk_db_site,sp_blk_db_id,sp_block_id);
  ALTER TABLE signal_proc_blk ADD CONSTRAINT signal_proc_blk_FK913 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE signal_proc_blk ADD CONSTRAINT signal_proc_blk_FK914 FOREIGN KEY(sp_blk_db_site,sp_blk_db_id) REFERENCES site_database;
  ALTER TABLE signal_proc_blk ADD CONSTRAINT signal_proc_blk_FK915 FOREIGN KEY(sp_db_site,sp_db_id,sp_type_code) REFERENCES signal_proc_type;
  ALTER TABLE signal_proc_blk ADD CONSTRAINT signal_proc_blk_FK916 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_num_dat_type (
     spn_db_site             CHAR(16)         NOT NULL,
     spn_db_id               NUMBER(10)       NOT NULL,
     spn_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_num_dat_type ADD CONSTRAINT sp_num_dat_type_PK PRIMARY KEY (spn_db_site,spn_db_id,spn_type_code);
  ALTER TABLE sp_num_dat_type ADD CONSTRAINT sp_num_dat_type_FK990 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_num_dat_type ADD CONSTRAINT sp_num_dat_type_FK991 FOREIGN KEY(spn_db_site,spn_db_id) REFERENCES site_database;
  ALTER TABLE sp_num_dat_type ADD CONSTRAINT sp_num_dat_type_FK992 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_blk_num_data (
     sp_blk_db_site          CHAR(16)         NOT NULL,
     sp_blk_db_id            NUMBER(10)       NOT NULL,
     sp_block_id             NUMBER(10)       NOT NULL,
     spn_db_site             CHAR(16)         NOT NULL,
     spn_db_id               NUMBER(10)       NOT NULL,
     spn_type_code           NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_blk_num_data ADD CONSTRAINT sp_blk_num_data_PK PRIMARY KEY (sp_blk_db_site,sp_blk_db_id,sp_block_id,spn_db_site,spn_db_id,spn_type_code);
  ALTER TABLE sp_blk_num_data ADD CONSTRAINT sp_blk_num_data_FK949 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_blk_num_data ADD CONSTRAINT sp_blk_num_data_FK950 FOREIGN KEY(sp_blk_db_site,sp_blk_db_id,sp_block_id) REFERENCES signal_proc_blk;
  ALTER TABLE sp_blk_num_data ADD CONSTRAINT sp_blk_num_data_FK951 FOREIGN KEY(spn_db_site,spn_db_id,spn_type_code) REFERENCES sp_num_dat_type;
  ALTER TABLE sp_blk_num_data ADD CONSTRAINT sp_blk_num_data_FK952 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sp_blk_num_data ADD CONSTRAINT sp_blk_num_data_FK953 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_stream_type (
     sps_type_db_site        CHAR(16)         NOT NULL,
     sps_type_db_id          NUMBER(10)       NOT NULL,
     sps_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_stream_type ADD CONSTRAINT sp_stream_type_PK PRIMARY KEY (sps_type_db_site,sps_type_db_id,sps_type_code);
  ALTER TABLE sp_stream_type ADD CONSTRAINT sp_stream_type_FK1001 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_stream_type ADD CONSTRAINT sp_stream_type_FK1002 FOREIGN KEY(sps_type_db_site,sps_type_db_id) REFERENCES site_database;
  ALTER TABLE sp_stream_type ADD CONSTRAINT sp_stream_type_FK1003 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_stream (
     sp_str_db_site          CHAR(16)         NOT NULL,
     sp_str_db_id            NUMBER(10)       NOT NULL,
     sp_stream_id            NUMBER(10)       NOT NULL,
     sps_type_db_site        CHAR(16)         NOT NULL,
     sps_type_db_id          NUMBER(10)       NOT NULL,
     sps_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_stream ADD CONSTRAINT sp_stream_PK PRIMARY KEY (sp_str_db_site,sp_str_db_id,sp_stream_id);
  ALTER TABLE sp_stream ADD CONSTRAINT sp_stream_FK993 FOREIGN KEY(sp_str_db_site,sp_str_db_id) REFERENCES site_database;
  ALTER TABLE sp_stream ADD CONSTRAINT sp_stream_FK994 FOREIGN KEY(sps_type_db_site,sps_type_db_id,sps_type_code) REFERENCES sp_stream_type;
  ALTER TABLE sp_stream ADD CONSTRAINT sp_stream_FK995 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE sp_stream ADD CONSTRAINT sp_stream_FK996 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE sp_stream_block (
     sp_str_db_site          CHAR(16)         NOT NULL,
     sp_str_db_id            NUMBER(10)       NOT NULL,
     sp_stream_id            NUMBER(10)       NOT NULL,
     sp_blk_db_site          CHAR(16)         NOT NULL,
     sp_blk_db_id            NUMBER(10)       NOT NULL,
     sp_block_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_stream_block ADD CONSTRAINT sp_stream_block_PK PRIMARY KEY (sp_str_db_site,sp_str_db_id,sp_stream_id,sp_blk_db_site,sp_blk_db_id,sp_block_id);
  ALTER TABLE sp_stream_block ADD CONSTRAINT sp_stream_block_FK997 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_stream_block ADD CONSTRAINT sp_stream_block_FK998 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_stream_block ADD CONSTRAINT sp_stream_block_FK999 FOREIGN KEY(sp_blk_db_site,sp_blk_db_id,sp_block_id) REFERENCES signal_proc_blk;
  ALTER TABLE sp_stream_block ADD CONSTRAINT sp_stream_block_FK1000 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE average_type (
     ave_db_site             CHAR(16)         NOT NULL,
     ave_db_id               NUMBER(10)       NOT NULL,
     ave_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE average_type ADD CONSTRAINT average_type_PK PRIMARY KEY (ave_db_site,ave_db_id,ave_type_code);
  ALTER TABLE average_type ADD CONSTRAINT average_type_FK300 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE average_type ADD CONSTRAINT average_type_FK301 FOREIGN KEY(ave_db_site,ave_db_id) REFERENCES site_database;
  ALTER TABLE average_type ADD CONSTRAINT average_type_FK302 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ave_weight_type (
     ave_wt_db_site          CHAR(16)         NOT NULL,
     ave_wt_db_id            NUMBER(10)       NOT NULL,
     ave_wt_type_code        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ave_weight_type ADD CONSTRAINT ave_weight_type_PK PRIMARY KEY (ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  ALTER TABLE ave_weight_type ADD CONSTRAINT ave_weight_type_FK297 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ave_weight_type ADD CONSTRAINT ave_weight_type_FK298 FOREIGN KEY(ave_wt_db_site,ave_wt_db_id) REFERENCES site_database;
  ALTER TABLE ave_weight_type ADD CONSTRAINT ave_weight_type_FK299 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ave_synch_type (
     ave_sy_db_site          CHAR(16)         NOT NULL,
     ave_sy_db_id            NUMBER(10)       NOT NULL,
     ave_sy_type_code        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ave_synch_type ADD CONSTRAINT ave_synch_type_PK PRIMARY KEY (ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  ALTER TABLE ave_synch_type ADD CONSTRAINT ave_synch_type_FK294 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ave_synch_type ADD CONSTRAINT ave_synch_type_FK295 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id) REFERENCES site_database;
  ALTER TABLE ave_synch_type ADD CONSTRAINT ave_synch_type_FK296 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_ampl_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     freq_or_order           CHAR(1)          NOT NULL,
     min_in_hz_or_ord        FLOAT            NOT NULL,
     max_in_hz_or_ord        FLOAT            NOT NULL,
     src_dt_db_site          CHAR(16),
     src_dt_db_id            NUMBER(10),
     src_dt_type_code        NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     assoc_rpm_in_hz         FLOAT,
     amplitude               FLOAT            NOT NULL,
     angle_in_degrees        FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq);
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK936 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK937 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK938 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK939 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK940 FOREIGN KEY(src_dt_db_site,src_dt_db_id,src_dt_type_code) REFERENCES src_detect_type;
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK941 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_ampl_data ADD CONSTRAINT sp_ampl_data_FK942 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_ampl_alarm (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     gmt_acknowledged        VARCHAR2(29),
     ack_loc_hr_delta        NUMBER(5),
     ack_loc_min_delta       NUMBER(5),
     org_agent_site          CHAR(16),
     agent_id                NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_ampl_alarm ADD CONSTRAINT sp_ampl_alarm_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code);
  ALTER TABLE sp_ampl_alarm ADD CONSTRAINT sp_ampl_alarm_FK931 FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent;
  ALTER TABLE sp_ampl_alarm ADD CONSTRAINT sp_ampl_alarm_FK932 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE sp_ampl_alarm ADD CONSTRAINT sp_ampl_alarm_FK933 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_ampl_alarm ADD CONSTRAINT sp_ampl_alarm_FK934 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,ordering_seq) REFERENCES sp_ampl_data;
  ALTER TABLE sp_ampl_alarm ADD CONSTRAINT sp_ampl_alarm_FK935 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  COMMIT;

  CREATE TABLE spa_al_assoc_reg (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     alarm_db_site           CHAR(16)         NOT NULL,
     alarm_db_id             NUMBER(10)       NOT NULL,
     al_meas_loc_site        CHAR(16)         NOT NULL,
     al_meas_loc_id          NUMBER(10)       NOT NULL,
     al_ordering_seq         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT spa_al_assoc_reg_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code,alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq);
  ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT spa_al_assoc_reg_FK1021 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT spa_al_assoc_reg_FK1022 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code) REFERENCES sp_ampl_alarm;
  ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT spa_al_assoc_reg_FK1023 FOREIGN KEY(alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq) REFERENCES spa_alarm_reg;
  ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT spa_al_assoc_reg_FK1024 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE window_type (
     win_db_site             CHAR(16)         NOT NULL,
     win_db_id               NUMBER(10)       NOT NULL,
     win_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     pf_multiplier           FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE window_type ADD CONSTRAINT window_type_PK PRIMARY KEY (win_db_site,win_db_id,win_type_code);
  ALTER TABLE window_type ADD CONSTRAINT window_type_FK1094 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE window_type ADD CONSTRAINT window_type_FK1095 FOREIGN KEY(win_db_site,win_db_id) REFERENCES site_database;
  ALTER TABLE window_type ADD CONSTRAINT window_type_FK1096 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_fft_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     freq_or_order           CHAR(1)          NOT NULL,
     min_in_hz_or_ord        FLOAT            NOT NULL,
     max_in_hz_or_ord        FLOAT            NOT NULL,
     resolution_lines        NUMBER(10)       NOT NULL,
     win_db_site             CHAR(16)         NOT NULL,
     win_db_id               NUMBER(10)       NOT NULL,
     win_type_code           NUMBER(10)       NOT NULL,
     ave_db_site             CHAR(16),
     ave_db_id               NUMBER(10),
     ave_type_code           NUMBER(10),
     ave_wt_db_site          CHAR(16),
     ave_wt_db_id            NUMBER(10),
     ave_wt_type_code        NUMBER(10),
     ave_sy_db_site          CHAR(16),
     ave_sy_db_id            NUMBER(10),
     ave_sy_type_code        NUMBER(10),
     ave_overlap_pct         FLOAT,
     num_of_averages         NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     assoc_rpm_in_hz         FLOAT,
     name                    VARCHAR2(254),
     dc_level                FLOAT,
     complex_yn              CHAR(1)          NOT NULL,
     spectrum_data           LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq);
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK971 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK972 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK973 FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK974 FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK975 FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK976 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK977 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK978 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK979 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sp_fft_data ADD CONSTRAINT sp_fft_data_FK980 FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type;
  COMMIT;

  CREATE TABLE sp_time_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     secs_or_revs            CHAR(1)          NOT NULL,
     off_secs_or_revs        FLOAT            NOT NULL,
     max_secs_or_revs        FLOAT            NOT NULL,
     number_of_samples       FLOAT            NOT NULL,
     win_db_site             CHAR(16)         NOT NULL,
     win_db_id               NUMBER(10)       NOT NULL,
     win_type_code           NUMBER(10)       NOT NULL,
     ave_db_site             CHAR(16),
     ave_db_id               NUMBER(10),
     ave_type_code           NUMBER(10),
     ave_wt_db_site          CHAR(16),
     ave_wt_db_id            NUMBER(10),
     ave_wt_type_code        NUMBER(10),
     ave_sy_db_site          CHAR(16),
     ave_sy_db_id            NUMBER(10),
     ave_sy_type_code        NUMBER(10),
     ave_overlap_pct         FLOAT,
     num_of_averages         NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     assoc_rpm_in_hz         FLOAT,
     name                    VARCHAR2(254),
     complex_yn              CHAR(1)          NOT NULL,
     waveform_data           LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq);
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1004 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1005 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1006 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1007 FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1008 FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1009 FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1010 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1011 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_time_data ADD CONSTRAINT sp_time_data_FK1012 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_cpb_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     number_of_bands         NUMBER(10)       NOT NULL,
     center_in_hz_1bd        FLOAT            NOT NULL,
     width_pct_or_oct        CHAR(1)          NOT NULL,
     band_width              FLOAT            NOT NULL,
     ave_db_site             CHAR(16),
     ave_db_id               NUMBER(10),
     ave_type_code           NUMBER(10),
     ave_wt_db_site          CHAR(16),
     ave_wt_db_id            NUMBER(10),
     ave_wt_type_code        NUMBER(10),
     ave_sy_db_site          CHAR(16),
     ave_sy_db_id            NUMBER(10),
     ave_sy_type_code        NUMBER(10),
     ave_overlap_pct         FLOAT,
     num_of_averages         NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     assoc_rpm_in_hz         FLOAT,
     name                    VARCHAR2(254),
     spectrum_data           LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq);
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK954 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK955 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK956 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK957 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK958 FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK959 FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK960 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK961 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_cpb_data ADD CONSTRAINT sp_cpb_data_FK962 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_ampl_setup (
     spa_setup_db_site       CHAR(16)         NOT NULL,
     spa_setup_db_id         NUMBER(10)       NOT NULL,
     spa_setup_id            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     freq_or_order           CHAR(1)          NOT NULL,
     min_in_hz_or_ord        FLOAT            NOT NULL,
     max_in_hz_or_ord        FLOAT            NOT NULL,
     src_dt_db_site          CHAR(16),
     src_dt_db_id            NUMBER(10),
     src_dt_type_code        NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_PK PRIMARY KEY (spa_setup_db_site,spa_setup_db_id,spa_setup_id);
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_FK943 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_FK944 FOREIGN KEY(spa_setup_db_site,spa_setup_db_id) REFERENCES site_database;
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_FK945 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_FK946 FOREIGN KEY(src_dt_db_site,src_dt_db_id,src_dt_type_code) REFERENCES src_detect_type;
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_FK947 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_ampl_setup ADD CONSTRAINT sp_ampl_setup_FK948 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_fft_setup (
     spf_setup_db_site       CHAR(16)         NOT NULL,
     spf_setup_db_id         NUMBER(10)       NOT NULL,
     spf_setup_id            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     freq_or_order           CHAR(1)          NOT NULL,
     min_in_hz_or_ord        FLOAT            NOT NULL,
     max_in_hz_or_ord        FLOAT            NOT NULL,
     resolution_lines        NUMBER(10)       NOT NULL,
     win_db_site             CHAR(16)         NOT NULL,
     win_db_id               NUMBER(10)       NOT NULL,
     win_type_code           NUMBER(10)       NOT NULL,
     ave_db_site             CHAR(16),
     ave_db_id               NUMBER(10),
     ave_type_code           NUMBER(10),
     ave_wt_db_site          CHAR(16),
     ave_wt_db_id            NUMBER(10),
     ave_wt_type_code        NUMBER(10),
     ave_sy_db_site          CHAR(16),
     ave_sy_db_id            NUMBER(10),
     ave_sy_type_code        NUMBER(10),
     ave_overlap_pct         FLOAT,
     num_of_averages         NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     complex_yn              CHAR(1)          NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_PK PRIMARY KEY (spf_setup_db_site,spf_setup_db_id,spf_setup_id);
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK981 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK982 FOREIGN KEY(spf_setup_db_site,spf_setup_db_id) REFERENCES site_database;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK983 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK984 FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK985 FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK986 FOREIGN KEY(ave_wt_db_site,ave_wt_type_code,ave_wt_db_id) REFERENCES ave_weight_type;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK987 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK988 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_fft_setup ADD CONSTRAINT sp_fft_setup_FK989 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_time_setup (
     spt_setup_db_site       CHAR(16)         NOT NULL,
     spt_setup_db_id         NUMBER(10)       NOT NULL,
     spt_setup_id            NUMBER(10)       NOT NULL,
     secs_or_revs            CHAR(1)          NOT NULL,
     off_secs_or_revs        FLOAT            NOT NULL,
     max_secs_or_revs        FLOAT            NOT NULL,
     number_of_samples       FLOAT            NOT NULL,
     win_db_site             CHAR(16)         NOT NULL,
     win_db_id               NUMBER(10)       NOT NULL,
     win_type_code           NUMBER(10)       NOT NULL,
     ave_db_site             CHAR(16),
     ave_db_id               NUMBER(10),
     ave_type_code           NUMBER(10),
     ave_wt_db_site          CHAR(16),
     ave_wt_db_id            NUMBER(10),
     ave_wt_type_code        NUMBER(10),
     ave_sy_db_site          CHAR(16),
     ave_sy_db_id            NUMBER(10),
     ave_sy_type_code        NUMBER(10),
     ave_overlap_pct         FLOAT,
     num_of_averages         NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     complex_yn              CHAR(1)          NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_PK PRIMARY KEY (spt_setup_db_site,spt_setup_db_id,spt_setup_id);
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1013 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1014 FOREIGN KEY(spt_setup_db_site,spt_setup_db_id) REFERENCES site_database;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1015 FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1016 FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1017 FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1018 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1019 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_time_setup ADD CONSTRAINT sp_time_setup_FK1020 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sp_cpb_setup (
     spc_setup_db_site       CHAR(16)         NOT NULL,
     spc_setup_db_id         NUMBER(10)       NOT NULL,
     spc_setup_id            NUMBER(10)       NOT NULL,
     pst_sc_db_site          CHAR(16)         NOT NULL,
     pst_sc_db_id            NUMBER(10)       NOT NULL,
     pst_sc_type_code        NUMBER(10)       NOT NULL,
     number_of_bands         NUMBER(10)       NOT NULL,
     center_in_hz_1bd        FLOAT            NOT NULL,
     width_pct_or_oct        CHAR(1)          NOT NULL,
     band_width              FLOAT            NOT NULL,
     ave_db_site             CHAR(16),
     ave_db_id               NUMBER(10),
     ave_type_code           NUMBER(10),
     ave_wt_db_site          CHAR(16),
     ave_wt_db_id            NUMBER(10),
     ave_wt_type_code        NUMBER(10),
     ave_sy_db_site          CHAR(16),
     ave_sy_db_id            NUMBER(10),
     ave_sy_type_code        NUMBER(10),
     ave_overlap_pct         FLOAT,
     num_of_averages         NUMBER(10),
     sp_str_db_site          CHAR(16),
     sp_str_db_id            NUMBER(10),
     sp_stream_id            NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_PK PRIMARY KEY (spc_setup_db_site,spc_setup_db_id,spc_setup_id);
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK963 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK964 FOREIGN KEY(spc_setup_db_site,spc_setup_db_id) REFERENCES site_database;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK965 FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK966 FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK967 FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK968 FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK969 FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream;
  ALTER TABLE sp_cpb_setup ADD CONSTRAINT sp_cpb_setup_FK970 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_ulist_sp_ampl (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     channel_number          NUMBER(10)       NOT NULL,
     spa_setup_db_site       CHAR(16)         NOT NULL,
     spa_setup_db_id         NUMBER(10)       NOT NULL,
     spa_setup_id            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT mloc_ulist_sp_ampl_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spa_setup_db_site,spa_setup_db_id,spa_setup_id);
  ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT mloc_ulist_sp_ampl_FK446 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT mloc_ulist_sp_ampl_FK447 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list;
  ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT mloc_ulist_sp_ampl_FK448 FOREIGN KEY(spa_setup_db_site,spa_setup_db_id,spa_setup_id) REFERENCES sp_ampl_setup;
  ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT mloc_ulist_sp_ampl_FK449 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_ulist_sp_fft (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     channel_number          NUMBER(10)       NOT NULL,
     spf_setup_db_site       CHAR(16)         NOT NULL,
     spf_setup_db_id         NUMBER(10)       NOT NULL,
     spf_setup_id            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT mloc_ulist_sp_fft_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spf_setup_db_site,spf_setup_db_id,spf_setup_id);
  ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT mloc_ulist_sp_fft_FK454 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT mloc_ulist_sp_fft_FK455 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list;
  ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT mloc_ulist_sp_fft_FK456 FOREIGN KEY(spf_setup_db_site,spf_setup_db_id,spf_setup_id) REFERENCES sp_fft_setup;
  ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT mloc_ulist_sp_fft_FK457 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_ulist_sp_time (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     channel_number          NUMBER(10)       NOT NULL,
     spt_setup_db_site       CHAR(16)         NOT NULL,
     spt_setup_db_id         NUMBER(10)       NOT NULL,
     spt_setup_id            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT mloc_ulist_sp_time_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spt_setup_db_site,spt_setup_db_id,spt_setup_id);
  ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT mloc_ulist_sp_time_FK458 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT mloc_ulist_sp_time_FK459 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list;
  ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT mloc_ulist_sp_time_FK460 FOREIGN KEY(spt_setup_db_site,spt_setup_db_id,spt_setup_id) REFERENCES sp_time_setup;
  ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT mloc_ulist_sp_time_FK461 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_ulist_sp_cpb (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     channel_number          NUMBER(10)       NOT NULL,
     spc_setup_db_site       CHAR(16)         NOT NULL,
     spc_setup_db_id         NUMBER(10)       NOT NULL,
     spc_setup_id            NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT mloc_ulist_sp_cpb_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spc_setup_db_site,spc_setup_db_id,spc_setup_id);
  ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT mloc_ulist_sp_cpb_FK450 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT mloc_ulist_sp_cpb_FK451 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list;
  ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT mloc_ulist_sp_cpb_FK452 FOREIGN KEY(spc_setup_db_site,spc_setup_db_id,spc_setup_id) REFERENCES sp_cpb_setup;
  ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT mloc_ulist_sp_cpb_FK453 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mim_tech_type (
     tech_type_code          NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mim_tech_type ADD CONSTRAINT mim_tech_type_PK PRIMARY KEY (tech_type_code);
  ALTER TABLE mim_tech_type ADD CONSTRAINT mim_tech_type_FK433 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mim_tech_type ADD CONSTRAINT mim_tech_type_FK434 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mim_support_type (
     supp_type_code          NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mim_support_type ADD CONSTRAINT mim_support_type_PK PRIMARY KEY (supp_type_code);
  ALTER TABLE mim_support_type ADD CONSTRAINT mim_support_type_FK431 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mim_support_type ADD CONSTRAINT mim_support_type_FK432 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mim_data_cat_type (
     dcat_type_code          NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mim_data_cat_type ADD CONSTRAINT mim_data_cat_type_PK PRIMARY KEY (dcat_type_code);
  ALTER TABLE mim_data_cat_type ADD CONSTRAINT mim_data_cat_type_FK421 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mim_data_cat_type ADD CONSTRAINT mim_data_cat_type_FK422 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mim_func_type (
     func_type_code          NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mim_func_type ADD CONSTRAINT mim_func_type_PK PRIMARY KEY (func_type_code);
  ALTER TABLE mim_func_type ADD CONSTRAINT mim_func_type_FK423 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mim_func_type ADD CONSTRAINT mim_func_type_FK424 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mim_access_type (
     acc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mim_access_type ADD CONSTRAINT mim_access_type_PK PRIMARY KEY (acc_type_code);
  ALTER TABLE mim_access_type ADD CONSTRAINT mim_access_type_FK1263 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mim_access_type ADD CONSTRAINT mim_access_type_FK1264 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mim_interface_type (
     interf_type_code        NUMBER(10)       NOT NULL,
     dcat_type_code          NUMBER(10)       NOT NULL,
     supp_type_code          NUMBER(10)       NOT NULL,
     func_type_code          NUMBER(10)       NOT NULL,
     tech_type_code          NUMBER(10)       NOT NULL,
     acc_type_code           NUMBER(10)       NOT NULL,
     support_level           NUMBER(5)        NOT NULL,
     version_supported       NUMBER(5)        NOT NULL,
     subversion_supp         NUMBER(5)        NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_PK PRIMARY KEY (interf_type_code);
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK425 FOREIGN KEY(dcat_type_code) REFERENCES mim_data_cat_type;
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK426 FOREIGN KEY(func_type_code) REFERENCES mim_func_type;
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK427 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK428 FOREIGN KEY(supp_type_code) REFERENCES mim_support_type;
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK429 FOREIGN KEY(tech_type_code) REFERENCES mim_tech_type;
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK1265 FOREIGN KEY(acc_type_code) REFERENCES mim_access_type;
  ALTER TABLE mim_interface_type ADD CONSTRAINT mim_interface_type_FK430 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE network_type (
     nt_db_site              CHAR(16)         NOT NULL,
     nt_db_id                NUMBER(10)       NOT NULL,
     nt_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE network_type ADD CONSTRAINT network_type_PK PRIMARY KEY (nt_db_site,nt_db_id,nt_type_code);
  ALTER TABLE network_type ADD CONSTRAINT network_type_FK536 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE network_type ADD CONSTRAINT network_type_FK537 FOREIGN KEY(nt_db_site,nt_db_id) REFERENCES site_database;
  ALTER TABLE network_type ADD CONSTRAINT network_type_FK538 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE event_type_child (
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     child_ev_db_site        CHAR(16)         NOT NULL,
     child_ev_db_id          NUMBER(10)       NOT NULL,
     child_ev_type_code      NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE event_type_child ADD CONSTRAINT event_type_child_PK PRIMARY KEY (ev_db_site,ev_db_id,event_type_code,child_ev_db_site,child_ev_db_id,child_ev_type_code);
  ALTER TABLE event_type_child ADD CONSTRAINT event_type_child_FK346 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE event_type_child ADD CONSTRAINT event_type_child_FK347 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE event_type_child ADD CONSTRAINT event_type_child_FK348 FOREIGN KEY(child_ev_db_site,child_ev_db_id,child_ev_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE event_type_child ADD CONSTRAINT event_type_child_FK349 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sample_test_type (
     stt_db_site             CHAR(16)         NOT NULL,
     stt_db_id               NUMBER(10)       NOT NULL,
     stt_code                NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sample_test_type ADD CONSTRAINT sample_test_type_PK PRIMARY KEY (stt_db_site,stt_db_id,stt_code);
  ALTER TABLE sample_test_type ADD CONSTRAINT sample_test_type_FK650 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sample_test_type ADD CONSTRAINT sample_test_type_FK651 FOREIGN KEY(stt_db_site,stt_db_id) REFERENCES site_database;
  ALTER TABLE sample_test_type ADD CONSTRAINT sample_test_type_FK652 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sample_ndata_type (
     snum_db_site            CHAR(16)         NOT NULL,
     snum_db_id              NUMBER(10)       NOT NULL,
     snum_type_code          NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sample_ndata_type ADD CONSTRAINT sample_ndata_type_PK PRIMARY KEY (snum_db_site,snum_db_id,snum_type_code);
  ALTER TABLE sample_ndata_type ADD CONSTRAINT sample_ndata_type_FK639 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sample_ndata_type ADD CONSTRAINT sample_ndata_type_FK640 FOREIGN KEY(snum_db_site,snum_db_id) REFERENCES site_database;
  ALTER TABLE sample_ndata_type ADD CONSTRAINT sample_ndata_type_FK641 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sample_cdata_type (
     schr_db_site            CHAR(16)         NOT NULL,
     schr_db_id              NUMBER(10)       NOT NULL,
     schr_type_code          NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sample_cdata_type ADD CONSTRAINT sample_cdata_type_PK PRIMARY KEY (schr_db_site,schr_db_id,schr_type_code);
  ALTER TABLE sample_cdata_type ADD CONSTRAINT sample_cdata_type_FK631 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sample_cdata_type ADD CONSTRAINT sample_cdata_type_FK632 FOREIGN KEY(schr_db_site,schr_db_id) REFERENCES site_database;
  ALTER TABLE sample_cdata_type ADD CONSTRAINT sample_cdata_type_FK633 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_result_ntype (
     strn_db_site            CHAR(16)         NOT NULL,
     strn_db_id              NUMBER(10)       NOT NULL,
     str_num_type_code       NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_result_ntype ADD CONSTRAINT test_result_ntype_PK PRIMARY KEY (strn_db_site,strn_db_id,str_num_type_code);
  ALTER TABLE test_result_ntype ADD CONSTRAINT test_result_ntype_FK1079 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_result_ntype ADD CONSTRAINT test_result_ntype_FK1080 FOREIGN KEY(strn_db_site,strn_db_id) REFERENCES site_database;
  ALTER TABLE test_result_ntype ADD CONSTRAINT test_result_ntype_FK1081 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_result_ctype (
     strc_db_site            CHAR(16)         NOT NULL,
     strc_db_id              NUMBER(10)       NOT NULL,
     str_chr_type_code       NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_result_ctype ADD CONSTRAINT test_result_ctype_PK PRIMARY KEY (strc_db_site,strc_db_id,str_chr_type_code);
  ALTER TABLE test_result_ctype ADD CONSTRAINT test_result_ctype_FK1076 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_result_ctype ADD CONSTRAINT test_result_ctype_FK1077 FOREIGN KEY(strc_db_site,strc_db_id) REFERENCES site_database;
  ALTER TABLE test_result_ctype ADD CONSTRAINT test_result_ctype_FK1078 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_result_btype (
     strb_db_site            CHAR(16)         NOT NULL,
     strb_db_id              NUMBER(10)       NOT NULL,
     str_blob_type_code      NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_result_btype ADD CONSTRAINT test_result_btype_PK PRIMARY KEY (strb_db_site,strb_db_id,str_blob_type_code);
  ALTER TABLE test_result_btype ADD CONSTRAINT test_result_btype_FK1073 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_result_btype ADD CONSTRAINT test_result_btype_FK1074 FOREIGN KEY(strb_db_site,strb_db_id) REFERENCES site_database;
  ALTER TABLE test_result_btype ADD CONSTRAINT test_result_btype_FK1075 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE blob_data_type (
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE blob_data_type ADD CONSTRAINT blob_data_type_PK PRIMARY KEY (bd_db_site,bd_db_id,bd_type_code);
  ALTER TABLE blob_data_type ADD CONSTRAINT blob_data_type_FK314 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE blob_data_type ADD CONSTRAINT blob_data_type_FK315 FOREIGN KEY(bd_db_site,bd_db_id) REFERENCES site_database;
  ALTER TABLE blob_data_type ADD CONSTRAINT blob_data_type_FK316 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE blob_content_type (
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE blob_content_type ADD CONSTRAINT blob_content_type_PK PRIMARY KEY (blct_db_site,blct_db_id,blc_type_code);
  ALTER TABLE blob_content_type ADD CONSTRAINT blob_content_type_FK1221 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE blob_content_type ADD CONSTRAINT blob_content_type_FK1222 FOREIGN KEY(blct_db_site,blct_db_id) REFERENCES site_database;
  ALTER TABLE blob_content_type ADD CONSTRAINT blob_content_type_FK1223 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mevent_blob_type (
     mebt_db_site            CHAR(16)         NOT NULL,
     mebt_db_id              NUMBER(10)       NOT NULL,
     meb_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mevent_blob_type ADD CONSTRAINT mevent_blob_type_PK PRIMARY KEY (mebt_db_site,mebt_db_id,meb_type_code);
  ALTER TABLE mevent_blob_type ADD CONSTRAINT mevent_blob_type_FK410 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mevent_blob_type ADD CONSTRAINT mevent_blob_type_FK411 FOREIGN KEY(mebt_db_site,mebt_db_id) REFERENCES site_database;
  ALTER TABLE mevent_blob_type ADD CONSTRAINT mevent_blob_type_FK412 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE highlight_type (
     high_db_site            CHAR(16)         NOT NULL,
     high_db_id              NUMBER(10)       NOT NULL,
     high_type_code          NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE highlight_type ADD CONSTRAINT highlight_type_PK PRIMARY KEY (high_db_site,high_db_id,high_type_code);
  ALTER TABLE highlight_type ADD CONSTRAINT highlight_type_FK352 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE highlight_type ADD CONSTRAINT highlight_type_FK353 FOREIGN KEY(high_db_site,high_db_id) REFERENCES site_database;
  ALTER TABLE highlight_type ADD CONSTRAINT highlight_type_FK354 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE agent_role_type (
     ag_role_db_site         CHAR(16)         NOT NULL,
     ag_role_db_id           NUMBER(10)       NOT NULL,
     ag_role_type_code       NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE agent_role_type ADD CONSTRAINT agent_role_type_PK PRIMARY KEY (ag_role_db_site,ag_role_db_id,ag_role_type_code);
  ALTER TABLE agent_role_type ADD CONSTRAINT agent_role_type_FK9 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE agent_role_type ADD CONSTRAINT agent_role_type_FK10 FOREIGN KEY(ag_role_db_site,ag_role_db_id) REFERENCES site_database;
  ALTER TABLE agent_role_type ADD CONSTRAINT agent_role_type_FK11 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ev_num_data_type (
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ev_num_data_type ADD CONSTRAINT ev_num_data_type_PK PRIMARY KEY (en_db_site,en_db_id,en_type_code);
  ALTER TABLE ev_num_data_type ADD CONSTRAINT ev_num_data_type_FK343 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ev_num_data_type ADD CONSTRAINT ev_num_data_type_FK344 FOREIGN KEY(en_db_site,en_db_id) REFERENCES site_database;
  ALTER TABLE ev_num_data_type ADD CONSTRAINT ev_num_data_type_FK345 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE severity_type (
     severity_rank           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE severity_type ADD CONSTRAINT severity_type_PK PRIMARY KEY (severity_rank);
  ALTER TABLE severity_type ADD CONSTRAINT severity_type_FK704 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE severity_type ADD CONSTRAINT severity_type_FK705 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE health_grade_type (
     hgrade_type_code        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE health_grade_type ADD CONSTRAINT health_grade_type_PK PRIMARY KEY (hgrade_type_code);
  ALTER TABLE health_grade_type ADD CONSTRAINT health_grade_type_FK350 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE health_grade_type ADD CONSTRAINT health_grade_type_FK351 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE priority_type (
     priority_type_code      NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE priority_type ADD CONSTRAINT priority_type_PK PRIMARY KEY (priority_type_code);
  ALTER TABLE priority_type ADD CONSTRAINT priority_type_FK602 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE priority_type ADD CONSTRAINT priority_type_FK603 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_manage_type (
     wm_type_db_site         CHAR(16)         NOT NULL,
     wm_type_db_id           NUMBER(10)       NOT NULL,
     wm_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_manage_type ADD CONSTRAINT work_manage_type_PK PRIMARY KEY (wm_type_db_site,wm_type_db_id,wm_type_code);
  ALTER TABLE work_manage_type ADD CONSTRAINT work_manage_type_FK1135 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_manage_type ADD CONSTRAINT work_manage_type_FK1136 FOREIGN KEY(wm_type_db_site,wm_type_db_id) REFERENCES site_database;
  ALTER TABLE work_manage_type ADD CONSTRAINT work_manage_type_FK1137 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_task_type (
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_task_type ADD CONSTRAINT work_task_type_PK PRIMARY KEY (task_db_site,task_db_id,task_type_code);
  ALTER TABLE work_task_type ADD CONSTRAINT work_task_type_FK1214 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_task_type ADD CONSTRAINT work_task_type_FK1215 FOREIGN KEY(task_db_site,task_db_id) REFERENCES site_database;
  ALTER TABLE work_task_type ADD CONSTRAINT work_task_type_FK1216 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wtask_type_child (
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     child_tk_db_site        CHAR(16)         NOT NULL,
     child_tk_db_id          NUMBER(10)       NOT NULL,
     child_tk_type_code      NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wtask_type_child ADD CONSTRAINT wtask_type_child_PK PRIMARY KEY (task_db_site,task_db_id,task_type_code,child_tk_db_site,child_tk_db_id,child_tk_type_code);
  ALTER TABLE wtask_type_child ADD CONSTRAINT wtask_type_child_FK1217 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wtask_type_child ADD CONSTRAINT wtask_type_child_FK1218 FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type;
  ALTER TABLE wtask_type_child ADD CONSTRAINT wtask_type_child_FK1219 FOREIGN KEY(child_tk_db_site,child_tk_db_id,child_tk_type_code) REFERENCES work_task_type;
  ALTER TABLE wtask_type_child ADD CONSTRAINT wtask_type_child_FK1220 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE change_patt_type (
     ch_patt_db_site         CHAR(16)         NOT NULL,
     ch_patt_db_id           NUMBER(10)       NOT NULL,
     ch_patt_type_code       NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE change_patt_type ADD CONSTRAINT change_patt_type_PK PRIMARY KEY (ch_patt_db_site,ch_patt_db_id,ch_patt_type_code);
  ALTER TABLE change_patt_type ADD CONSTRAINT change_patt_type_FK321 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE change_patt_type ADD CONSTRAINT change_patt_type_FK322 FOREIGN KEY(ch_patt_db_site,ch_patt_db_id) REFERENCES site_database;
  ALTER TABLE change_patt_type ADD CONSTRAINT change_patt_type_FK323 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_audit_type (
     waudit_db_site          CHAR(16)         NOT NULL,
     waudit_db_id            NUMBER(10)       NOT NULL,
     waudit_type_code        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_audit_type ADD CONSTRAINT work_audit_type_PK PRIMARY KEY (waudit_db_site,waudit_db_id,waudit_type_code);
  ALTER TABLE work_audit_type ADD CONSTRAINT work_audit_type_FK1129 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_audit_type ADD CONSTRAINT work_audit_type_FK1130 FOREIGN KEY(waudit_db_site,waudit_db_id) REFERENCES site_database;
  ALTER TABLE work_audit_type ADD CONSTRAINT work_audit_type_FK1131 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_num_data_type (
     wn_db_site              CHAR(16)         NOT NULL,
     wn_db_id                NUMBER(10)       NOT NULL,
     wn_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_num_data_type ADD CONSTRAINT work_num_data_type_PK PRIMARY KEY (wn_db_site,wn_db_id,wn_type_code);
  ALTER TABLE work_num_data_type ADD CONSTRAINT work_num_data_type_FK1138 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_num_data_type ADD CONSTRAINT work_num_data_type_FK1139 FOREIGN KEY(wn_db_site,wn_db_id) REFERENCES site_database;
  ALTER TABLE work_num_data_type ADD CONSTRAINT work_num_data_type_FK1140 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_chr_data_type (
     wc_db_site              CHAR(16)         NOT NULL,
     wc_db_id                NUMBER(10)       NOT NULL,
     wc_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_chr_data_type ADD CONSTRAINT work_chr_data_type_PK PRIMARY KEY (wc_db_site,wc_db_id,wc_type_code);
  ALTER TABLE work_chr_data_type ADD CONSTRAINT work_chr_data_type_FK1132 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_chr_data_type ADD CONSTRAINT work_chr_data_type_FK1133 FOREIGN KEY(wc_db_site,wc_db_id) REFERENCES site_database;
  ALTER TABLE work_chr_data_type ADD CONSTRAINT work_chr_data_type_FK1134 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE solution_pack_type (
     sol_db_site             CHAR(16)         NOT NULL,
     sol_db_id               NUMBER(10)       NOT NULL,
     sol_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE solution_pack_type ADD CONSTRAINT solution_pack_type_PK PRIMARY KEY (sol_db_site,sol_db_id,sol_type_code);
  ALTER TABLE solution_pack_type ADD CONSTRAINT solution_pack_type_FK923 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE solution_pack_type ADD CONSTRAINT solution_pack_type_FK924 FOREIGN KEY(sol_db_site,sol_db_id) REFERENCES site_database;
  ALTER TABLE solution_pack_type ADD CONSTRAINT solution_pack_type_FK925 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE network (
     network_db_site         CHAR(16)         NOT NULL,
     network_db_id           NUMBER(10)       NOT NULL,
     network_id              NUMBER(10)       NOT NULL,
     nt_db_site              CHAR(16)         NOT NULL,
     nt_db_id                NUMBER(10)       NOT NULL,
     nt_type_code            NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE network ADD CONSTRAINT network_PK PRIMARY KEY (network_db_site,network_db_id,network_id);
  ALTER TABLE network ADD CONSTRAINT network_FK532 FOREIGN KEY(network_db_site,network_db_id) REFERENCES site_database;
  ALTER TABLE network ADD CONSTRAINT network_FK533 FOREIGN KEY(nt_db_site,nt_db_id,nt_type_code) REFERENCES network_type;
  ALTER TABLE network ADD CONSTRAINT network_FK534 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE network ADD CONSTRAINT network_FK535 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE sg_network_connect (
     network_db_site         CHAR(16)         NOT NULL,
     network_db_id           NUMBER(10)       NOT NULL,
     network_id              NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     output_sg_site          CHAR(16)         NOT NULL,
     output_sg_id            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     gmt_stream_config       VARCHAR2(29),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_network_connect ADD CONSTRAINT sg_network_connect_PK PRIMARY KEY (network_db_site,network_db_id,network_id,segment_site,segment_id,output_sg_site,output_sg_id,ordering_seq);
  ALTER TABLE sg_network_connect ADD CONSTRAINT sg_network_connect_FK767 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_network_connect ADD CONSTRAINT sg_network_connect_FK768 FOREIGN KEY(network_db_site,network_db_id,network_id) REFERENCES network;
  ALTER TABLE sg_network_connect ADD CONSTRAINT sg_network_connect_FK769 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_network_connect ADD CONSTRAINT sg_network_connect_FK770 FOREIGN KEY(output_sg_site,output_sg_id) REFERENCES segment;
  ALTER TABLE sg_network_connect ADD CONSTRAINT sg_network_connect_FK771 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_network_connect (
     network_db_site         CHAR(16)         NOT NULL,
     network_db_id           NUMBER(10)       NOT NULL,
     network_id              NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     output_as_site          CHAR(16)         NOT NULL,
     output_as_id            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     gmt_stream_config       VARCHAR2(29),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_network_connect ADD CONSTRAINT as_network_connect_PK PRIMARY KEY (network_db_site,network_db_id,network_id,asset_org_site,asset_id,output_as_site,output_as_id,ordering_seq);
  ALTER TABLE as_network_connect ADD CONSTRAINT as_network_connect_FK83 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_network_connect ADD CONSTRAINT as_network_connect_FK84 FOREIGN KEY(network_db_site,network_db_id,network_id) REFERENCES network;
  ALTER TABLE as_network_connect ADD CONSTRAINT as_network_connect_FK85 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_network_connect ADD CONSTRAINT as_network_connect_FK86 FOREIGN KEY(output_as_site,output_as_id) REFERENCES asset;
  ALTER TABLE as_network_connect ADD CONSTRAINT as_network_connect_FK87 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE agent_role (
     org_agent_site          CHAR(16)         NOT NULL,
     agent_id                NUMBER(10)       NOT NULL,
     ag_role_db_site         CHAR(16)         NOT NULL,
     ag_role_db_id           NUMBER(10)       NOT NULL,
     ag_role_type_code       NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE agent_role ADD CONSTRAINT agent_role_PK PRIMARY KEY (org_agent_site,agent_id,ag_role_db_site,ag_role_db_id,ag_role_type_code);
  ALTER TABLE agent_role ADD CONSTRAINT agent_role_FK5 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE agent_role ADD CONSTRAINT agent_role_FK6 FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent;
  ALTER TABLE agent_role ADD CONSTRAINT agent_role_FK7 FOREIGN KEY(ag_role_db_site,ag_role_db_id,ag_role_type_code) REFERENCES agent_role_type;
  ALTER TABLE agent_role ADD CONSTRAINT agent_role_FK8 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE agent_role_with_agent (
     org_agent_site          CHAR(16)         NOT NULL,
     agent_id                NUMBER(10)       NOT NULL,
     ag_role_db_site         CHAR(16)         NOT NULL,
     ag_role_db_id           NUMBER(10)       NOT NULL,
     ag_role_type_code       NUMBER(10)       NOT NULL,
     other_org_agent_site    CHAR(16)         NOT NULL,
     other_agent_id          NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE agent_role_with_agent ADD CONSTRAINT agent_role_with_agent_PK PRIMARY KEY (org_agent_site,agent_id,ag_role_db_site,ag_role_db_id,ag_role_type_code,other_org_agent_site,other_agent_id);
  ALTER TABLE agent_role_with_agent ADD CONSTRAINT agent_role_with_agent_FK12 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE agent_role_with_agent ADD CONSTRAINT agent_role_with_agent_FK13 FOREIGN KEY(ag_role_db_site,ag_role_db_id,ag_role_type_code) REFERENCES agent_role_type;
  ALTER TABLE agent_role_with_agent ADD CONSTRAINT agent_role_with_agent_FK14 FOREIGN KEY(other_org_agent_site,other_agent_id) REFERENCES agent;
  ALTER TABLE agent_role_with_agent ADD CONSTRAINT agent_role_with_agent_FK15 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_test_alrm_rg (
     alarm_db_site           CHAR(16)         NOT NULL,
     alarm_db_id             NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     ml_db_site              CHAR(16),
     ml_db_id                NUMBER(10),
     ml_type_code            NUMBER(10),
     mc_db_site              CHAR(16),
     mc_db_id                NUMBER(10),
     mc_type_code            NUMBER(10),
     stt_db_site             CHAR(16)         NOT NULL,
     stt_db_id               NUMBER(10)       NOT NULL,
     stt_code                NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     strn_db_site            CHAR(16)         NOT NULL,
     strn_db_id              NUMBER(10)       NOT NULL,
     str_num_type_code       NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     gmt_alarm_start         VARCHAR2(29)     NOT NULL,
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     min_data_value          FLOAT            NOT NULL,
     max_data_value          FLOAT            NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_PK PRIMARY KEY (alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq);
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK438 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK439 FOREIGN KEY(alarm_db_site,alarm_db_id) REFERENCES site_database;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK440 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK441 FOREIGN KEY(stt_db_site,stt_db_id,stt_code) REFERENCES sample_test_type;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK442 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK443 FOREIGN KEY(strn_db_site,strn_db_id,str_num_type_code) REFERENCES test_result_ntype;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK444 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK445 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK1232 FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT mloc_test_alrm_rg_FK1233 FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type;
  COMMIT;

  CREATE TABLE meas_sample (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_sample ADD CONSTRAINT meas_sample_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);
  ALTER TABLE meas_sample ADD CONSTRAINT meas_sample_FK391 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_sample ADD CONSTRAINT meas_sample_FK392 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE meas_sample ADD CONSTRAINT meas_sample_FK393 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE meas_sample ADD CONSTRAINT meas_sample_FK394 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_sample_child (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     child_mloc_site         CHAR(16)         NOT NULL,
     child_mloc_id           NUMBER(10)       NOT NULL,
     child_gmt_event         VARCHAR2(29)     NOT NULL,
     child_sam_ord_seq       NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_sample_child ADD CONSTRAINT meas_sample_child_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,child_mloc_site,child_mloc_id,child_gmt_event,child_sam_ord_seq);
  ALTER TABLE meas_sample_child ADD CONSTRAINT meas_sample_child_FK395 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_sample_child ADD CONSTRAINT meas_sample_child_FK396 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample;
  ALTER TABLE meas_sample_child ADD CONSTRAINT meas_sample_child_FK397 FOREIGN KEY(child_mloc_site,child_mloc_id,child_gmt_event,child_sam_ord_seq) REFERENCES meas_sample;
  ALTER TABLE meas_sample_child ADD CONSTRAINT meas_sample_child_FK398 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sample_num_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     snum_db_site            CHAR(16)         NOT NULL,
     snum_db_id              NUMBER(10)       NOT NULL,
     snum_type_code          NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sample_num_data ADD CONSTRAINT sample_num_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,snum_db_site,snum_db_id,snum_type_code);
  ALTER TABLE sample_num_data ADD CONSTRAINT sample_num_data_FK642 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sample_num_data ADD CONSTRAINT sample_num_data_FK643 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample;
  ALTER TABLE sample_num_data ADD CONSTRAINT sample_num_data_FK644 FOREIGN KEY(snum_db_site,snum_db_id,snum_type_code) REFERENCES sample_ndata_type;
  ALTER TABLE sample_num_data ADD CONSTRAINT sample_num_data_FK645 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sample_num_data ADD CONSTRAINT sample_num_data_FK646 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sample_chr_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     schr_db_site            CHAR(16)         NOT NULL,
     schr_db_id              NUMBER(10)       NOT NULL,
     schr_type_code          NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sample_chr_data ADD CONSTRAINT sample_chr_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,schr_db_site,schr_db_id,schr_type_code);
  ALTER TABLE sample_chr_data ADD CONSTRAINT sample_chr_data_FK634 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sample_chr_data ADD CONSTRAINT sample_chr_data_FK635 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample;
  ALTER TABLE sample_chr_data ADD CONSTRAINT sample_chr_data_FK636 FOREIGN KEY(schr_db_site,schr_db_id,schr_type_code) REFERENCES sample_cdata_type;
  ALTER TABLE sample_chr_data ADD CONSTRAINT sample_chr_data_FK637 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sample_chr_data ADD CONSTRAINT sample_chr_data_FK638 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sample_remark (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sample_remark ADD CONSTRAINT sample_remark_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,ordering_seq);
  ALTER TABLE sample_remark ADD CONSTRAINT sample_remark_FK647 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sample_remark ADD CONSTRAINT sample_remark_FK648 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample;
  ALTER TABLE sample_remark ADD CONSTRAINT sample_remark_FK649 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE meas_sample_test (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     stt_db_site             CHAR(16)         NOT NULL,
     stt_db_id               NUMBER(10)       NOT NULL,
     stt_code                NUMBER(10)       NOT NULL,
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     test_asset_site         CHAR(16),
     test_asset_id           NUMBER(10),
     gmt_started             VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     gmt_ended               VARCHAR2(29),
     end_loc_hr_delta        NUMBER(5),
     end_loc_min_delta       NUMBER(5),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq);
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_FK399 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_FK400 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample;
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_FK401 FOREIGN KEY(stt_db_site,stt_code,stt_db_id) REFERENCES sample_test_type;
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_FK402 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_FK403 FOREIGN KEY(test_asset_site,test_asset_id) REFERENCES asset;
  ALTER TABLE meas_sample_test ADD CONSTRAINT meas_sample_test_FK404 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_num_results (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     strn_db_site            CHAR(16)         NOT NULL,
     strn_db_id              NUMBER(10)       NOT NULL,
     str_num_type_code       NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     real_data_value         FLOAT            NOT NULL,
     imag_data_value         FLOAT,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_num_results ADD CONSTRAINT test_num_results_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  ALTER TABLE test_num_results ADD CONSTRAINT test_num_results_FK1065 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE test_num_results ADD CONSTRAINT test_num_results_FK1066 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_num_results ADD CONSTRAINT test_num_results_FK1067 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test;
  ALTER TABLE test_num_results ADD CONSTRAINT test_num_results_FK1068 FOREIGN KEY(strn_db_site,strn_db_id,str_num_type_code) REFERENCES test_result_ntype;
  ALTER TABLE test_num_results ADD CONSTRAINT test_num_results_FK1069 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  COMMIT;

  CREATE TABLE test_chr_results (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     strc_db_site            CHAR(16)         NOT NULL,
     strc_db_id              NUMBER(10)       NOT NULL,
     str_chr_type_code       NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_chr_results ADD CONSTRAINT test_chr_results_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  ALTER TABLE test_chr_results ADD CONSTRAINT test_chr_results_FK1050 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_chr_results ADD CONSTRAINT test_chr_results_FK1051 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test;
  ALTER TABLE test_chr_results ADD CONSTRAINT test_chr_results_FK1052 FOREIGN KEY(strc_db_site,strc_db_id,str_chr_type_code) REFERENCES test_result_ctype;
  ALTER TABLE test_chr_results ADD CONSTRAINT test_chr_results_FK1053 FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type;
  ALTER TABLE test_chr_results ADD CONSTRAINT test_chr_results_FK1054 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_remark (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_remark ADD CONSTRAINT test_remark_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  ALTER TABLE test_remark ADD CONSTRAINT test_remark_FK1070 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_remark ADD CONSTRAINT test_remark_FK1071 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test;
  ALTER TABLE test_remark ADD CONSTRAINT test_remark_FK1072 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_histogram (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     strn_db_site            CHAR(16)         NOT NULL,
     strn_db_id              NUMBER(10)       NOT NULL,
     str_num_type_code       NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     min_screen_in_eu        NUMBER(10)       NOT NULL,
     max_screen_in_eu        NUMBER(10)       NOT NULL,
     resolution_lines        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     histogram_data          LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_histogram ADD CONSTRAINT test_histogram_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  ALTER TABLE test_histogram ADD CONSTRAINT test_histogram_FK1055 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_histogram ADD CONSTRAINT test_histogram_FK1056 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test;
  ALTER TABLE test_histogram ADD CONSTRAINT test_histogram_FK1057 FOREIGN KEY(strn_db_site,strn_db_id,str_num_type_code) REFERENCES test_result_ntype;
  ALTER TABLE test_histogram ADD CONSTRAINT test_histogram_FK1058 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE test_histogram ADD CONSTRAINT test_histogram_FK1059 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_nres_alarm (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     gmt_acknowledged        VARCHAR2(29),
     ack_loc_hr_delta        NUMBER(5),
     ack_loc_min_delta       NUMBER(5),
     org_agent_site          CHAR(16),
     agent_id                NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_nres_alarm ADD CONSTRAINT test_nres_alarm_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code);
  ALTER TABLE test_nres_alarm ADD CONSTRAINT test_nres_alarm_FK1060 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_nres_alarm ADD CONSTRAINT test_nres_alarm_FK1061 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq) REFERENCES test_num_results;
  ALTER TABLE test_nres_alarm ADD CONSTRAINT test_nres_alarm_FK1062 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  ALTER TABLE test_nres_alarm ADD CONSTRAINT test_nres_alarm_FK1063 FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent;
  ALTER TABLE test_nres_alarm ADD CONSTRAINT test_nres_alarm_FK1064 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_al_assoc_reg (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     alarm_db_site           CHAR(16)         NOT NULL,
     alarm_db_id             NUMBER(10)       NOT NULL,
     al_meas_loc_site        CHAR(16)         NOT NULL,
     al_meas_loc_id          NUMBER(10)       NOT NULL,
     al_ordering_seq         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_al_assoc_reg ADD CONSTRAINT test_al_assoc_reg_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code,alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq);
  ALTER TABLE test_al_assoc_reg ADD CONSTRAINT test_al_assoc_reg_FK1036 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_al_assoc_reg ADD CONSTRAINT test_al_assoc_reg_FK1037 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code) REFERENCES test_nres_alarm;
  ALTER TABLE test_al_assoc_reg ADD CONSTRAINT test_al_assoc_reg_FK1038 FOREIGN KEY(al_meas_loc_site,al_meas_loc_id,alarm_db_site,alarm_db_id,al_ordering_seq) REFERENCES mloc_test_alrm_rg;
  ALTER TABLE test_al_assoc_reg ADD CONSTRAINT test_al_assoc_reg_FK1039 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_blob_results (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     strb_db_site            CHAR(16)         NOT NULL,
     strb_db_id              NUMBER(10)       NOT NULL,
     str_blob_type_code      NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_blob_results ADD CONSTRAINT test_blob_results_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  ALTER TABLE test_blob_results ADD CONSTRAINT test_blob_results_FK1040 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_blob_results ADD CONSTRAINT test_blob_results_FK1041 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test;
  ALTER TABLE test_blob_results ADD CONSTRAINT test_blob_results_FK1042 FOREIGN KEY(strb_db_site,strb_db_id,str_blob_type_code) REFERENCES test_result_btype;
  ALTER TABLE test_blob_results ADD CONSTRAINT test_blob_results_FK1043 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE test_blob_results ADD CONSTRAINT test_blob_results_FK1044 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE test_bres_alarm (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     sample_order_seq        NUMBER(10)       NOT NULL,
     test_order_seq          NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     assoc_file_name         VARCHAR2(254),
     gmt_acknowledged        VARCHAR2(29)     NOT NULL,
     ack_loc_hr_delta        NUMBER(5),
     ack_loc_min_delta       NUMBER(5),
     org_agent_site          CHAR(16),
     agent_id                NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE test_bres_alarm ADD CONSTRAINT test_bres_alarm_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code);
  ALTER TABLE test_bres_alarm ADD CONSTRAINT test_bres_alarm_FK1045 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE test_bres_alarm ADD CONSTRAINT test_bres_alarm_FK1046 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq) REFERENCES test_blob_results;
  ALTER TABLE test_bres_alarm ADD CONSTRAINT test_bres_alarm_FK1047 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  ALTER TABLE test_bres_alarm ADD CONSTRAINT test_bres_alarm_FK1048 FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent;
  ALTER TABLE test_bres_alarm ADD CONSTRAINT test_bres_alarm_FK1049 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_type_blob_data (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_PK PRIMARY KEY (db_site,db_id,sg_db_site,sg_db_id,sg_type_code,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_FK891 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_FK892 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_FK893 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type;
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_FK894 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_FK1234 FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type;
  ALTER TABLE sg_type_blob_data ADD CONSTRAINT sg_type_blob_data_FK895 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_blob_data (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_PK PRIMARY KEY (db_site,db_id,segment_site,segment_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_FK657 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_FK658 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_FK659 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_FK1236 FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type;
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_FK660 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE segment_blob_data ADD CONSTRAINT segment_blob_data_FK661 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_blob_data (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_PK PRIMARY KEY (db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_FK471 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_FK472 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_FK473 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_FK474 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_FK1237 FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type;
  ALTER TABLE model_blob_data ADD CONSTRAINT model_blob_data_FK475 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_type_blob_data (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_PK PRIMARY KEY (db_site,db_id,as_db_site,as_db_id,as_type_code,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_FK210 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_FK211 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_FK212 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_FK213 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_FK1235 FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type;
  ALTER TABLE as_type_blob_data ADD CONSTRAINT as_type_blob_data_FK214 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_blob_data (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_PK PRIMARY KEY (db_site,db_id,asset_org_site,asset_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_FK238 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_FK239 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_FK240 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_FK241 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_FK1238 FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type;
  ALTER TABLE asset_blob_data ADD CONSTRAINT asset_blob_data_FK242 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE olist_blob_data (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     blct_db_site            CHAR(16)         NOT NULL,
     blct_db_id              NUMBER(10)       NOT NULL,
     blc_type_code           NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_PK PRIMARY KEY (db_site,db_id,ord_list_db_site,ord_list_db_id,ord_list_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_FK576 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_FK577 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_FK578 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_FK579 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_FK1239 FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type;
  ALTER TABLE olist_blob_data ADD CONSTRAINT olist_blob_data_FK580 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mevent_blob_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     mebt_db_site            CHAR(16)         NOT NULL,
     mebt_db_id              NUMBER(10)       NOT NULL,
     meb_type_code           NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mevent_blob_data ADD CONSTRAINT mevent_blob_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code);
  ALTER TABLE mevent_blob_data ADD CONSTRAINT mevent_blob_data_FK405 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mevent_blob_data ADD CONSTRAINT mevent_blob_data_FK406 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE mevent_blob_data ADD CONSTRAINT mevent_blob_data_FK407 FOREIGN KEY(mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_type;
  ALTER TABLE mevent_blob_data ADD CONSTRAINT mevent_blob_data_FK408 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE mevent_blob_data ADD CONSTRAINT mevent_blob_data_FK409 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE blob_grid_data (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     mebt_db_site            CHAR(16)         NOT NULL,
     mebt_db_id              NUMBER(10)       NOT NULL,
     meb_type_code           NUMBER(10)       NOT NULL,
     grid_seq                NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     x_resolution            NUMBER(10)       NOT NULL,
     y_resolution            NUMBER(10)       NOT NULL,
     data_origin_x           NUMBER(10)       NOT NULL,
     data_origin_y           NUMBER(10)       NOT NULL,
     data_end_x              NUMBER(10)       NOT NULL,
     data_end_y              NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     float_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE blob_grid_data ADD CONSTRAINT blob_grid_data_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code,grid_seq);
  ALTER TABLE blob_grid_data ADD CONSTRAINT blob_grid_data_FK317 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE blob_grid_data ADD CONSTRAINT blob_grid_data_FK318 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_data;
  ALTER TABLE blob_grid_data ADD CONSTRAINT blob_grid_data_FK319 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE blob_grid_data ADD CONSTRAINT blob_grid_data_FK320 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE blob_alarm (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     mebt_db_site            CHAR(16)         NOT NULL,
     mebt_db_id              NUMBER(10)       NOT NULL,
     meb_type_code           NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     gmt_acknowledged        VARCHAR2(29)     NOT NULL,
     ack_loc_hr_delta        NUMBER(5),
     ack_loc_min_delta       NUMBER(5),
     org_agent_site          CHAR(16),
     agent_id                NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE blob_alarm ADD CONSTRAINT blob_alarm_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code,al_db_site,al_db_id,al_type_code);
  ALTER TABLE blob_alarm ADD CONSTRAINT blob_alarm_FK303 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE blob_alarm ADD CONSTRAINT blob_alarm_FK304 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_data;
  ALTER TABLE blob_alarm ADD CONSTRAINT blob_alarm_FK305 FOREIGN KEY(al_db_site,al_type_code,al_db_id) REFERENCES alarm_type;
  ALTER TABLE blob_alarm ADD CONSTRAINT blob_alarm_FK306 FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent;
  ALTER TABLE blob_alarm ADD CONSTRAINT blob_alarm_FK307 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE blob_area_alarm (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     mebt_db_site            CHAR(16)         NOT NULL,
     mebt_db_id              NUMBER(10)       NOT NULL,
     meb_type_code           NUMBER(10)       NOT NULL,
     area_seq                NUMBER(10)       NOT NULL,
     x_resolution            NUMBER(10)       NOT NULL,
     y_resolution            NUMBER(10)       NOT NULL,
     high_db_site            CHAR(16)         NOT NULL,
     high_db_id              NUMBER(10)       NOT NULL,
     high_type_code          NUMBER(10)       NOT NULL,
     data_origin_x           NUMBER(10)       NOT NULL,
     data_origin_y           NUMBER(10)       NOT NULL,
     data_end_x              NUMBER(10)       NOT NULL,
     data_end_y              NUMBER(10)       NOT NULL,
     al_db_site              CHAR(16)         NOT NULL,
     al_db_id                NUMBER(10)       NOT NULL,
     al_type_code            NUMBER(10)       NOT NULL,
     gmt_acknowledged        VARCHAR2(29)     NOT NULL,
     ack_loc_hr_delta        NUMBER(5),
     ack_loc_min_delta       NUMBER(5),
     org_agent_site          CHAR(16),
     agent_id                NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_PK PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code,area_seq);
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_FK308 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_FK309 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_data;
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_FK310 FOREIGN KEY(high_db_site,high_db_id,high_type_code) REFERENCES highlight_type;
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_FK311 FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type;
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_FK312 FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent;
  ALTER TABLE blob_area_alarm ADD CONSTRAINT blob_area_alarm_FK313 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_function (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     user_tag_id             VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_function ADD CONSTRAINT segment_function_PK PRIMARY KEY (db_site,db_id,segment_site,segment_id,ordering_seq);
  ALTER TABLE segment_function ADD CONSTRAINT segment_function_FK679 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_function ADD CONSTRAINT segment_function_FK680 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE segment_function ADD CONSTRAINT segment_function_FK681 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_function ADD CONSTRAINT segment_function_FK682 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE segment_function ADD CONSTRAINT segment_function_FK683 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_function (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     user_tag_id             VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_function ADD CONSTRAINT asset_function_PK PRIMARY KEY (db_site,db_id,asset_org_site,asset_id,ordering_seq);
  ALTER TABLE asset_function ADD CONSTRAINT asset_function_FK259 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_function ADD CONSTRAINT asset_function_FK260 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE asset_function ADD CONSTRAINT asset_function_FK261 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_function ADD CONSTRAINT asset_function_FK262 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE asset_function ADD CONSTRAINT asset_function_FK263 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_type_function (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     user_tag_id             VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_type_function ADD CONSTRAINT sg_type_function_PK PRIMARY KEY (db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq);
  ALTER TABLE sg_type_function ADD CONSTRAINT sg_type_function_FK896 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_type_function ADD CONSTRAINT sg_type_function_FK897 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE sg_type_function ADD CONSTRAINT sg_type_function_FK898 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type;
  ALTER TABLE sg_type_function ADD CONSTRAINT sg_type_function_FK899 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_type_function ADD CONSTRAINT sg_type_function_FK900 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_type_function (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     user_tag_id             VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_type_function ADD CONSTRAINT as_type_function_PK PRIMARY KEY (db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq);
  ALTER TABLE as_type_function ADD CONSTRAINT as_type_function_FK215 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_type_function ADD CONSTRAINT as_type_function_FK216 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE as_type_function ADD CONSTRAINT as_type_function_FK217 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  ALTER TABLE as_type_function ADD CONSTRAINT as_type_function_FK218 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_type_function ADD CONSTRAINT as_type_function_FK219 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_function (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     user_tag_id             VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_function ADD CONSTRAINT model_function_PK PRIMARY KEY (db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq);
  ALTER TABLE model_function ADD CONSTRAINT model_function_FK485 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_function ADD CONSTRAINT model_function_FK486 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE model_function ADD CONSTRAINT model_function_FK487 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_function ADD CONSTRAINT model_function_FK488 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE model_function ADD CONSTRAINT model_function_FK489 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_ev_sg_func_link (
     ev_segment_site         CHAR(16)         NOT NULL,
     ev_segment_id           NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     fn_db_site              CHAR(16)         NOT NULL,
     fn_db_id                NUMBER(10)       NOT NULL,
     fn_segment_site         CHAR(16)         NOT NULL,
     fn_segment_id           NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT sg_ev_sg_func_link_PK PRIMARY KEY (ev_segment_site,ev_segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,fn_db_site,fn_db_id,fn_segment_site,fn_segment_id,ordering_seq);
  ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT sg_ev_sg_func_link_FK726 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT sg_ev_sg_func_link_FK727 FOREIGN KEY(ev_segment_site,ev_segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT sg_ev_sg_func_link_FK728 FOREIGN KEY(fn_db_site,fn_db_id,fn_segment_site,fn_segment_id,ordering_seq) REFERENCES segment_function;
  ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT sg_ev_sg_func_link_FK729 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT sg_ev_sg_func_link_FK730 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_ev_as_func_link (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     fc_as_org_site          CHAR(16)         NOT NULL,
     fc_as_id                NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_ev_as_func_link ADD CONSTRAINT as_ev_as_func_link_PK PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,db_site,db_id,fc_as_org_site,fc_as_id,ordering_seq);
  ALTER TABLE as_ev_as_func_link ADD CONSTRAINT as_ev_as_func_link_FK37 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_ev_as_func_link ADD CONSTRAINT as_ev_as_func_link_FK38 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE as_ev_as_func_link ADD CONSTRAINT as_ev_as_func_link_FK39 FOREIGN KEY(db_site,db_id,fc_as_org_site,fc_as_id,ordering_seq) REFERENCES asset_function;
  ALTER TABLE as_ev_as_func_link ADD CONSTRAINT as_ev_as_func_link_FK40 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_ev_as_func_link ADD CONSTRAINT as_ev_as_func_link_FK41 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_event_num_data (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_event_num_data ADD CONSTRAINT sg_event_num_data_PK PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,en_db_site,en_db_id,en_type_code);
  ALTER TABLE sg_event_num_data ADD CONSTRAINT sg_event_num_data_FK731 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_event_num_data ADD CONSTRAINT sg_event_num_data_FK732 FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE sg_event_num_data ADD CONSTRAINT sg_event_num_data_FK733 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE sg_event_num_data ADD CONSTRAINT sg_event_num_data_FK734 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_event_num_data ADD CONSTRAINT sg_event_num_data_FK735 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_event_num_data (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_event_num_data ADD CONSTRAINT as_event_num_data_PK PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,en_db_site,en_db_id,en_type_code);
  ALTER TABLE as_event_num_data ADD CONSTRAINT as_event_num_data_FK47 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_event_num_data ADD CONSTRAINT as_event_num_data_FK48 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE as_event_num_data ADD CONSTRAINT as_event_num_data_FK49 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE as_event_num_data ADD CONSTRAINT as_event_num_data_FK50 FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type;
  ALTER TABLE as_event_num_data ADD CONSTRAINT as_event_num_data_FK51 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_ev_meas_event (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_ev_meas_event ADD CONSTRAINT sg_ev_meas_event_PK PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE sg_ev_meas_event ADD CONSTRAINT sg_ev_meas_event_FK721 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_ev_meas_event ADD CONSTRAINT sg_ev_meas_event_FK722 FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE sg_ev_meas_event ADD CONSTRAINT sg_ev_meas_event_FK723 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sg_ev_meas_event ADD CONSTRAINT sg_ev_meas_event_FK724 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_ev_meas_event ADD CONSTRAINT sg_ev_meas_event_FK725 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_ev_meas_event (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_ev_meas_event ADD CONSTRAINT as_ev_meas_event_PK PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE as_ev_meas_event ADD CONSTRAINT as_ev_meas_event_FK42 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_ev_meas_event ADD CONSTRAINT as_ev_meas_event_FK43 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE as_ev_meas_event ADD CONSTRAINT as_ev_meas_event_FK44 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE as_ev_meas_event ADD CONSTRAINT as_ev_meas_event_FK45 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_ev_meas_event ADD CONSTRAINT as_ev_meas_event_FK46 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_event_link (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     caused_sg_site          CHAR(16)         NOT NULL,
     caused_sg_id            NUMBER(10)       NOT NULL,
     caused_ev_db_site       CHAR(16)         NOT NULL,
     caused_ev_db_id         NUMBER(10)       NOT NULL,
     caused_ev_code          NUMBER(10)       NOT NULL,
     caused_gmt              VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_event_link ADD CONSTRAINT segment_event_link_PK PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,caused_sg_site,caused_sg_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt);
  ALTER TABLE segment_event_link ADD CONSTRAINT segment_event_link_FK675 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_event_link ADD CONSTRAINT segment_event_link_FK676 FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE segment_event_link ADD CONSTRAINT segment_event_link_FK677 FOREIGN KEY(caused_sg_site,caused_sg_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt) REFERENCES segment_event;
  ALTER TABLE segment_event_link ADD CONSTRAINT segment_event_link_FK678 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_event_link (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     caused_as_site          CHAR(16)         NOT NULL,
     caused_as_id            NUMBER(10)       NOT NULL,
     caused_ev_db_site       CHAR(16)         NOT NULL,
     caused_ev_db_id         NUMBER(10)       NOT NULL,
     caused_ev_code          NUMBER(10)       NOT NULL,
     caused_gmt              VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_event_link ADD CONSTRAINT asset_event_link_PK PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,caused_as_site,caused_as_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt);
  ALTER TABLE asset_event_link ADD CONSTRAINT asset_event_link_FK255 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_event_link ADD CONSTRAINT asset_event_link_FK256 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE asset_event_link ADD CONSTRAINT asset_event_link_FK257 FOREIGN KEY(caused_as_site,caused_as_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt) REFERENCES asset_event;
  ALTER TABLE asset_event_link ADD CONSTRAINT asset_event_link_FK258 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_hyp_event (
     sg_hyp_db_site          CHAR(16)         NOT NULL,
     sg_hyp_db_id            NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     name                    VARCHAR2(254),
     associated_blob         LONG RAW,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_PK PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK756 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK757 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK758 FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id) REFERENCES site_database;
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK759 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK760 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK761 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_hyp_event ADD CONSTRAINT sg_hyp_event_FK762 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_hyp_event (
     as_hyp_db_site          CHAR(16)         NOT NULL,
     as_hyp_db_id            NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     name                    VARCHAR2(254),
     associated_blob         LONG RAW,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_PK PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK72 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK73 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK74 FOREIGN KEY(as_hyp_db_site,as_hyp_db_id) REFERENCES site_database;
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK75 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK76 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK77 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_hyp_event ADD CONSTRAINT as_hyp_event_FK78 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_typ_hyp_event (
     sgt_hyp_db_site         CHAR(16)         NOT NULL,
     sgt_hyp_db_id           NUMBER(10)       NOT NULL,
     sgt_hyp_event_id        NUMBER(10)       NOT NULL,
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     name                    VARCHAR2(254),
     associated_blob         LONG RAW,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_PK PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id);
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK880 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK881 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK882 FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id) REFERENCES site_database;
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK883 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type;
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK884 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK885 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT sg_typ_hyp_event_FK886 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_typ_hyp_event (
     ast_hyp_db_site         CHAR(16)         NOT NULL,
     ast_hyp_db_id           NUMBER(10)       NOT NULL,
     ast_hyp_event_id        NUMBER(10)       NOT NULL,
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     name                    VARCHAR2(254),
     associated_blob         LONG RAW,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_PK PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id);
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK199 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK200 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK201 FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id) REFERENCES site_database;
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK202 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK203 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK204 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_typ_hyp_event ADD CONSTRAINT as_typ_hyp_event_FK205 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_hyp_event (
     mod_hyp_db_site         CHAR(16)         NOT NULL,
     mod_hyp_db_id           NUMBER(10)       NOT NULL,
     mod_hyp_event_id        NUMBER(10)       NOT NULL,
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     name                    VARCHAR2(254),
     associated_blob         LONG RAW,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_PK PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK504 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK505 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK506 FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id) REFERENCES site_database;
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK507 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK508 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK509 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE model_hyp_event ADD CONSTRAINT model_hyp_event_FK510 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_hyp_event_link (
     sg_hyp_db_site          CHAR(16)         NOT NULL,
     sg_hyp_db_id            NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_hyp_event_link ADD CONSTRAINT sg_hyp_event_link_PK PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE sg_hyp_event_link ADD CONSTRAINT sg_hyp_event_link_FK763 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_hyp_event_link ADD CONSTRAINT sg_hyp_event_link_FK764 FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_hyp_event_link ADD CONSTRAINT sg_hyp_event_link_FK765 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_hyp_event_link ADD CONSTRAINT sg_hyp_event_link_FK766 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_hyp_event_link (
     as_hyp_db_site          CHAR(16)         NOT NULL,
     as_hyp_db_id            NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_hyp_event_link ADD CONSTRAINT as_hyp_event_link_PK PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE as_hyp_event_link ADD CONSTRAINT as_hyp_event_link_FK79 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_hyp_event_link ADD CONSTRAINT as_hyp_event_link_FK80 FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_hyp_event_link ADD CONSTRAINT as_hyp_event_link_FK81 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_hyp_event_link ADD CONSTRAINT as_hyp_event_link_FK82 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_typ_hyp_ev_link (
     sgt_hyp_db_site         CHAR(16)         NOT NULL,
     sgt_hyp_db_id           NUMBER(10)       NOT NULL,
     sgt_hyp_event_id        NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT sg_typ_hyp_ev_link_PK PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT sg_typ_hyp_ev_link_FK871 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT sg_typ_hyp_ev_link_FK872 FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id) REFERENCES sg_typ_hyp_event;
  ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT sg_typ_hyp_ev_link_FK873 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES sg_typ_hyp_event;
  ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT sg_typ_hyp_ev_link_FK874 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_typ_hyp_ev_link (
     ast_hyp_db_site         CHAR(16)         NOT NULL,
     ast_hyp_db_id           NUMBER(10)       NOT NULL,
     ast_hyp_event_id        NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT as_typ_hyp_ev_link_PK PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT as_typ_hyp_ev_link_FK190 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT as_typ_hyp_ev_link_FK191 FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id) REFERENCES as_typ_hyp_event;
  ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT as_typ_hyp_ev_link_FK192 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES as_typ_hyp_event;
  ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT as_typ_hyp_ev_link_FK193 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_hyp_ev_link (
     mod_hyp_db_site         CHAR(16)         NOT NULL,
     mod_hyp_db_id           NUMBER(10)       NOT NULL,
     mod_hyp_event_id        NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_hyp_ev_link ADD CONSTRAINT model_hyp_ev_link_PK PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE model_hyp_ev_link ADD CONSTRAINT model_hyp_ev_link_FK495 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_hyp_ev_link ADD CONSTRAINT model_hyp_ev_link_FK496 FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event;
  ALTER TABLE model_hyp_ev_link ADD CONSTRAINT model_hyp_ev_link_FK497 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES model_hyp_event;
  ALTER TABLE model_hyp_ev_link ADD CONSTRAINT model_hyp_ev_link_FK498 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_hyp_ev_num_data (
     sg_hyp_db_site          CHAR(16)         NOT NULL,
     sg_hyp_db_id            NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT sg_hyp_ev_num_data_PK PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT sg_hyp_ev_num_data_FK746 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT sg_hyp_ev_num_data_FK747 FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT sg_hyp_ev_num_data_FK748 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT sg_hyp_ev_num_data_FK749 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT sg_hyp_ev_num_data_FK750 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_hyp_ev_num_data (
     as_hyp_db_site          CHAR(16)         NOT NULL,
     as_hyp_db_id            NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT as_hyp_ev_num_data_PK PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT as_hyp_ev_num_data_FK67 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT as_hyp_ev_num_data_FK68 FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT as_hyp_ev_num_data_FK69 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT as_hyp_ev_num_data_FK70 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT as_hyp_ev_num_data_FK71 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_typ_hyp_ev_num_data (
     sgt_hyp_db_site         CHAR(16)         NOT NULL,
     sgt_hyp_db_id           NUMBER(10)       NOT NULL,
     sgt_hyp_event_id        NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT sg_typ_hyp_ev_num_data_PK PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT sg_typ_hyp_ev_num_data_FK875 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT sg_typ_hyp_ev_num_data_FK876 FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id) REFERENCES sg_typ_hyp_event;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT sg_typ_hyp_ev_num_data_FK877 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT sg_typ_hyp_ev_num_data_FK878 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT sg_typ_hyp_ev_num_data_FK879 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_typ_hyp_ev_num_data (
     ast_hyp_db_site         CHAR(16)         NOT NULL,
     ast_hyp_db_id           NUMBER(10)       NOT NULL,
     ast_hyp_event_id        NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT as_typ_hyp_ev_num_data_PK PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT as_typ_hyp_ev_num_data_FK194 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT as_typ_hyp_ev_num_data_FK195 FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id) REFERENCES as_typ_hyp_event;
  ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT as_typ_hyp_ev_num_data_FK196 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT as_typ_hyp_ev_num_data_FK197 FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type;
  ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT as_typ_hyp_ev_num_data_FK198 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_hyp_ev_num_data (
     mod_hyp_db_site         CHAR(16)         NOT NULL,
     mod_hyp_db_id           NUMBER(10)       NOT NULL,
     mod_hyp_event_id        NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT model_hyp_ev_num_data_PK PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT model_hyp_ev_num_data_FK499 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT model_hyp_ev_num_data_FK500 FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event;
  ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT model_hyp_ev_num_data_FK501 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT model_hyp_ev_num_data_FK502 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT model_hyp_ev_num_data_FK503 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_hyp_ev_sg_func (
     sg_hyp_db_site          CHAR(16)         NOT NULL,
     sg_hyp_db_id            NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT sg_hyp_ev_sg_func_PK PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id,db_site,db_id,segment_site,segment_id,ordering_seq);
  ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT sg_hyp_ev_sg_func_FK751 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT sg_hyp_ev_sg_func_FK752 FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT sg_hyp_ev_sg_func_FK753 FOREIGN KEY(db_site,db_id,segment_site,segment_id,ordering_seq) REFERENCES segment_function;
  ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT sg_hyp_ev_sg_func_FK754 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT sg_hyp_ev_sg_func_FK755 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_hyp_ev_as_func (
     as_hyp_db_site          CHAR(16)         NOT NULL,
     as_hyp_db_id            NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT as_hyp_ev_as_func_PK PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id,db_site,db_id,asset_org_site,asset_id,ordering_seq);
  ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT as_hyp_ev_as_func_FK62 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT as_hyp_ev_as_func_FK63 FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT as_hyp_ev_as_func_FK64 FOREIGN KEY(asset_org_site,asset_id,db_site,db_id,ordering_seq) REFERENCES asset_function;
  ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT as_hyp_ev_as_func_FK65 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT as_hyp_ev_as_func_FK66 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_typ_hyp_ev_func (
     sgt_hyp_db_site         CHAR(16)         NOT NULL,
     sgt_hyp_db_id           NUMBER(10)       NOT NULL,
     sgt_hyp_event_id        NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT sg_typ_hyp_ev_func_PK PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id,db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq);
  ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT sg_typ_hyp_ev_func_FK866 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT sg_typ_hyp_ev_func_FK867 FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id) REFERENCES sg_typ_hyp_event;
  ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT sg_typ_hyp_ev_func_FK868 FOREIGN KEY(db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq) REFERENCES sg_type_function;
  ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT sg_typ_hyp_ev_func_FK869 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT sg_typ_hyp_ev_func_FK870 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_typ_hyp_ev_func (
     ast_hyp_db_site         CHAR(16)         NOT NULL,
     ast_hyp_db_id           NUMBER(10)       NOT NULL,
     ast_hyp_event_id        NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT as_typ_hyp_ev_func_PK PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id,db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq);
  ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT as_typ_hyp_ev_func_FK185 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT as_typ_hyp_ev_func_FK186 FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id) REFERENCES as_typ_hyp_event;
  ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT as_typ_hyp_ev_func_FK187 FOREIGN KEY(db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq) REFERENCES as_type_function;
  ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT as_typ_hyp_ev_func_FK188 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT as_typ_hyp_ev_func_FK189 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_hyp_ev_func (
     mod_hyp_db_site         CHAR(16)         NOT NULL,
     mod_hyp_db_id           NUMBER(10)       NOT NULL,
     mod_hyp_event_id        NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_hyp_ev_func ADD CONSTRAINT model_hyp_ev_func_PK PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id,db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq);
  ALTER TABLE model_hyp_ev_func ADD CONSTRAINT model_hyp_ev_func_FK490 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_hyp_ev_func ADD CONSTRAINT model_hyp_ev_func_FK491 FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event;
  ALTER TABLE model_hyp_ev_func ADD CONSTRAINT model_hyp_ev_func_FK492 FOREIGN KEY(db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq) REFERENCES model_function;
  ALTER TABLE model_hyp_ev_func ADD CONSTRAINT model_hyp_ev_func_FK493 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE model_hyp_ev_func ADD CONSTRAINT model_hyp_ev_func_FK494 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_proposed_event (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_proposed            VARCHAR2(29),
     pr_loc_hr_delta         NUMBER(5),
     pr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     likelihood_prob         FLOAT,
     est_gmt_start           VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     est_gmt_occur_end       VARCHAR2(29),
     end_loc_hr_delta        NUMBER(5),
     end_loc_min_delta       NUMBER(5),
     ch_patt_db_site         CHAR(16),
     ch_patt_db_id           NUMBER(10),
     ch_patt_type_code       NUMBER(10),
     name                    VARCHAR2(254),
     gmt_audited             VARCHAR2(29),
     aud_loc_hr_delta        NUMBER(5),
     aud_loc_min_delta       NUMBER(5),
     aud_quality_code        NUMBER(5),
     aud_by_org_asite        CHAR(16),
     aud_by_agent_id         NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK805 FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK806 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK807 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK808 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id) REFERENCES site_database;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK809 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK810 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK811 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK812 FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK813 FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent;
  ALTER TABLE sg_proposed_event ADD CONSTRAINT sg_proposed_event_FK814 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_proposed_event (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     severity_rank           NUMBER(10),
     gmt_proposed            VARCHAR2(29),
     pr_loc_hr_delta         NUMBER(5),
     pr_loc_min_delta        NUMBER(5),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     likelihood_prob         FLOAT,
     est_gmt_start           VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     est_gmt_occur_end       VARCHAR2(29),
     end_loc_hr_delta        NUMBER(5),
     end_loc_min_delta       NUMBER(5),
     ch_patt_db_site         CHAR(16),
     ch_patt_db_id           NUMBER(10),
     ch_patt_type_code       NUMBER(10),
     name                    VARCHAR2(254),
     gmt_audited             VARCHAR2(29),
     aud_loc_hr_delta        NUMBER(5),
     aud_loc_min_delta       NUMBER(5),
     aud_quality_code        NUMBER(5),
     aud_by_org_asite        CHAR(16),
     aud_by_agent_id         NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id);
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK121 FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK122 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK123 FOREIGN KEY(severity_rank) REFERENCES severity_type;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK124 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK125 FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK126 FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK127 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK128 FOREIGN KEY(as_prop_db_site,as_prop_db_id) REFERENCES site_database;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK129 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_proposed_event ADD CONSTRAINT as_proposed_event_FK130 FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type;
  COMMIT;

  CREATE TABLE sg_prop_ev_link (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_prop_ev_link ADD CONSTRAINT sg_prop_ev_link_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE sg_prop_ev_link ADD CONSTRAINT sg_prop_ev_link_FK781 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_prop_ev_link ADD CONSTRAINT sg_prop_ev_link_FK782 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_link ADD CONSTRAINT sg_prop_ev_link_FK783 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_link ADD CONSTRAINT sg_prop_ev_link_FK784 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_prop_ev_link (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     caused_db_site          CHAR(16)         NOT NULL,
     caused_db_id            NUMBER(10)       NOT NULL,
     caused_event_id         NUMBER(10)       NOT NULL,
     likelihood_prob         FLOAT,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_prop_ev_link ADD CONSTRAINT as_prop_ev_link_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,caused_db_site,caused_db_id,caused_event_id);
  ALTER TABLE as_prop_ev_link ADD CONSTRAINT as_prop_ev_link_FK107 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_prop_ev_link ADD CONSTRAINT as_prop_ev_link_FK108 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_link ADD CONSTRAINT as_prop_ev_link_FK109 FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_link ADD CONSTRAINT as_prop_ev_link_FK110 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_prop_ev_ndat (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT sg_prop_ev_ndat_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT sg_prop_ev_ndat_FK790 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT sg_prop_ev_ndat_FK791 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT sg_prop_ev_ndat_FK792 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT sg_prop_ev_ndat_FK793 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT sg_prop_ev_ndat_FK794 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_prop_ev_ndat (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     en_db_site              CHAR(16)         NOT NULL,
     en_db_id                NUMBER(10)       NOT NULL,
     en_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT as_prop_ev_ndat_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,en_db_site,en_db_id,en_type_code);
  ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT as_prop_ev_ndat_FK116 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT as_prop_ev_ndat_FK117 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT as_prop_ev_ndat_FK118 FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type;
  ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT as_prop_ev_ndat_FK119 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT as_prop_ev_ndat_FK120 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_prop_ev_sg_func (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT sg_prop_ev_sg_func_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,db_site,db_id,segment_site,segment_id,ordering_seq);
  ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT sg_prop_ev_sg_func_FK800 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT sg_prop_ev_sg_func_FK801 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT sg_prop_ev_sg_func_FK802 FOREIGN KEY(db_site,db_id,segment_site,segment_id,ordering_seq) REFERENCES segment_function;
  ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT sg_prop_ev_sg_func_FK803 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT sg_prop_ev_sg_func_FK804 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_prop_ev_as_func (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT as_prop_ev_as_func_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,db_site,db_id,asset_org_site,asset_id,ordering_seq);
  ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT as_prop_ev_as_func_FK97 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT as_prop_ev_as_func_FK98 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT as_prop_ev_as_func_FK99 FOREIGN KEY(asset_org_site,asset_id,db_site,db_id,ordering_seq) REFERENCES asset_function;
  ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT as_prop_ev_as_func_FK100 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT as_prop_ev_as_func_FK101 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_prop_ev_hyp_ev (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     sg_hypev_db_site        CHAR(16)         NOT NULL,
     sg_hypev_db_id          NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT sg_prop_ev_hyp_ev_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,sg_hypev_db_site,sg_hypev_db_id,sg_hyp_event_id);
  ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT sg_prop_ev_hyp_ev_FK776 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT sg_prop_ev_hyp_ev_FK777 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT sg_prop_ev_hyp_ev_FK778 FOREIGN KEY(sg_hypev_db_site,sg_hypev_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT sg_prop_ev_hyp_ev_FK779 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT sg_prop_ev_hyp_ev_FK780 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_prop_ev_hyp_ev (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     as_hypev_db_site        CHAR(16)         NOT NULL,
     as_hypev_db_id          NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT as_prop_ev_hyp_ev_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,as_hypev_db_site,as_hypev_db_id,as_hyp_event_id);
  ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT as_prop_ev_hyp_ev_FK102 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT as_prop_ev_hyp_ev_FK103 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT as_prop_ev_hyp_ev_FK104 FOREIGN KEY(as_hypev_db_site,as_hypev_db_id,as_hyp_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT as_prop_ev_hyp_ev_FK105 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT as_prop_ev_hyp_ev_FK106 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_prop_ev_sg_ev (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT sg_prop_ev_sg_ev_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT sg_prop_ev_sg_ev_FK795 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT sg_prop_ev_sg_ev_FK796 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT sg_prop_ev_sg_ev_FK797 FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT sg_prop_ev_sg_ev_FK798 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT sg_prop_ev_sg_ev_FK799 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_prop_ev_as_ev (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT as_prop_ev_as_ev_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT as_prop_ev_as_ev_FK92 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT as_prop_ev_as_ev_FK93 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT as_prop_ev_as_ev_FK94 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT as_prop_ev_as_ev_FK95 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT as_prop_ev_as_ev_FK96 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_prop_ev_meas_ev (
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT sg_prop_ev_meas_ev_PK PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT sg_prop_ev_meas_ev_FK785 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT sg_prop_ev_meas_ev_FK786 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT sg_prop_ev_meas_ev_FK787 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT sg_prop_ev_meas_ev_FK788 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT sg_prop_ev_meas_ev_FK789 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_prop_ev_meas_ev (
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     by_org_asite            CHAR(16),
     by_agent_id             NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT as_prop_ev_meas_ev_PK PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT as_prop_ev_meas_ev_FK111 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT as_prop_ev_meas_ev_FK112 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT as_prop_ev_meas_ev_FK113 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT as_prop_ev_meas_ev_FK114 FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent;
  ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT as_prop_ev_meas_ev_FK115 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE segment_health (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     hgrade_type_code        NUMBER(10)       NOT NULL,
     hgrade_float            FLOAT,
     likelihood_prob         FLOAT,
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     ch_patt_db_site         CHAR(16),
     ch_patt_db_id           NUMBER(10),
     ch_patt_type_code       NUMBER(10),
     gmt_audited             VARCHAR2(29),
     aud_loc_hr_delta        NUMBER(5),
     aud_loc_min_delta       NUMBER(5),
     aud_quality_code        NUMBER(5),
     aud_by_org_asite        CHAR(16),
     aud_by_agent_id         NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_PK PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id);
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK684 FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK685 FOREIGN KEY(hgrade_type_code) REFERENCES health_grade_type;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK686 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK687 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK688 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK689 FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK690 FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent;
  ALTER TABLE segment_health ADD CONSTRAINT segment_health_FK691 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE asset_health (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     hgrade_type_code        NUMBER(10)       NOT NULL,
     hgrade_float            FLOAT,
     likelihood_prob         FLOAT,
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     ch_patt_db_site         CHAR(16),
     ch_patt_db_id           NUMBER(10),
     ch_patt_type_code       NUMBER(10),
     gmt_audited             VARCHAR2(29),
     aud_loc_hr_delta        NUMBER(5),
     aud_loc_min_delta       NUMBER(5),
     aud_quality_code        NUMBER(5),
     aud_by_org_asite        CHAR(16),
     aud_by_agent_id         NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_PK PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id);
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK264 FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK265 FOREIGN KEY(hgrade_type_code) REFERENCES health_grade_type;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK266 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK267 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK268 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK269 FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK270 FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent;
  ALTER TABLE asset_health ADD CONSTRAINT asset_health_FK271 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_health_sg_event (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ev_sg_site              CHAR(16)         NOT NULL,
     ev_sg_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     assoc_by_org_asite      CHAR(16),
     assoc_by_agent_id       NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_health_sg_event ADD CONSTRAINT sg_health_sg_event_PK PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id,ev_sg_site,ev_sg_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE sg_health_sg_event ADD CONSTRAINT sg_health_sg_event_FK736 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_health_sg_event ADD CONSTRAINT sg_health_sg_event_FK737 FOREIGN KEY(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES segment_health;
  ALTER TABLE sg_health_sg_event ADD CONSTRAINT sg_health_sg_event_FK738 FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE sg_health_sg_event ADD CONSTRAINT sg_health_sg_event_FK739 FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent;
  ALTER TABLE sg_health_sg_event ADD CONSTRAINT sg_health_sg_event_FK740 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_health_as_event (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ev_as_org_site          CHAR(16)         NOT NULL,
     ev_as_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     name                    VARCHAR2(254),
     assoc_by_org_asite      CHAR(16),
     assoc_by_agent_id       NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_health_as_event ADD CONSTRAINT as_health_as_event_PK PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id,ev_as_org_site,ev_as_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE as_health_as_event ADD CONSTRAINT as_health_as_event_FK52 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_health_as_event ADD CONSTRAINT as_health_as_event_FK53 FOREIGN KEY(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES asset_health;
  ALTER TABLE as_health_as_event ADD CONSTRAINT as_health_as_event_FK54 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE as_health_as_event ADD CONSTRAINT as_health_as_event_FK55 FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent;
  ALTER TABLE as_health_as_event ADD CONSTRAINT as_health_as_event_FK56 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_health_sg_prop_ev (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_by_org_asite      CHAR(16),
     assoc_by_agent_id       NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT sg_health_sg_prop_ev_PK PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id,sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT sg_health_sg_prop_ev_FK741 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT sg_health_sg_prop_ev_FK742 FOREIGN KEY(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES segment_health;
  ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT sg_health_sg_prop_ev_FK743 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT sg_health_sg_prop_ev_FK744 FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent;
  ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT sg_health_sg_prop_ev_FK745 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_health_as_prop_ev (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_by_org_asite      CHAR(16),
     assoc_by_agent_id       NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT as_health_as_prop_ev_PK PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id,as_prop_db_site,as_prop_db_id,as_prop_event_id);
  ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT as_health_as_prop_ev_FK57 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT as_health_as_prop_ev_FK58 FOREIGN KEY(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES asset_health;
  ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT as_health_as_prop_ev_FK59 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT as_health_as_prop_ev_FK60 FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent;
  ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT as_health_as_prop_ev_FK61 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_remaining_life (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     est_remaining_life      FLOAT,
     erl_eu_db_site          CHAR(16),
     erl_eu_db_id            NUMBER(10),
     erl_eu_type_code        NUMBER(10),
     error_estimate          FLOAT,
     err_eu_db_site          CHAR(16),
     err_eu_db_id            NUMBER(10),
     err_eu_type_code        NUMBER(10),
     likelihood_prob         FLOAT,
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_PK PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id);
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_FK847 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_FK848 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_FK849 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_FK850 FOREIGN KEY(erl_eu_db_site,erl_eu_db_id,erl_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_FK851 FOREIGN KEY(err_eu_db_site,err_eu_db_id,err_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_remaining_life ADD CONSTRAINT sg_remaining_life_FK852 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_remaining_life (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_assessment          VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     est_remaining_life      FLOAT,
     erl_eu_db_site          CHAR(16),
     erl_eu_db_id            NUMBER(10),
     erl_eu_type_code        NUMBER(10),
     error_estimate          FLOAT,
     err_eu_db_site          CHAR(16),
     err_eu_db_id            NUMBER(10),
     err_eu_type_code        NUMBER(10),
     likelihood_prob         FLOAT,
     gmt_created             VARCHAR2(29),
     cr_loc_hr_delta         NUMBER(5),
     cr_loc_min_delta        NUMBER(5),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_PK PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id);
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_FK166 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_FK167 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_FK168 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_FK169 FOREIGN KEY(erl_eu_db_site,erl_eu_db_id,erl_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_FK170 FOREIGN KEY(err_eu_db_site,err_eu_db_id,err_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE as_remaining_life ADD CONSTRAINT as_remaining_life_FK171 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_recommendation (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_recommendation ADD CONSTRAINT sg_recommendation_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE sg_recommendation ADD CONSTRAINT sg_recommendation_FK842 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE sg_recommendation ADD CONSTRAINT sg_recommendation_FK843 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_recommendation ADD CONSTRAINT sg_recommendation_FK844 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_recommendation ADD CONSTRAINT sg_recommendation_FK845 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_recommendation ADD CONSTRAINT sg_recommendation_FK846 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_recommendation (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_recommendation ADD CONSTRAINT as_recommendation_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE as_recommendation ADD CONSTRAINT as_recommendation_FK161 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE as_recommendation ADD CONSTRAINT as_recommendation_FK162 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_recommendation ADD CONSTRAINT as_recommendation_FK163 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_recommendation ADD CONSTRAINT as_recommendation_FK164 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE as_recommendation ADD CONSTRAINT as_recommendation_FK165 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ol_recommendation (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ol_recommendation ADD CONSTRAINT ol_recommendation_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE ol_recommendation ADD CONSTRAINT ol_recommendation_FK558 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE ol_recommendation ADD CONSTRAINT ol_recommendation_FK559 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ol_recommendation ADD CONSTRAINT ol_recommendation_FK560 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE ol_recommendation ADD CONSTRAINT ol_recommendation_FK561 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE ol_recommendation ADD CONSTRAINT ol_recommendation_FK562 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_type_recomm (
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_type_recomm ADD CONSTRAINT sg_type_recomm_PK PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE sg_type_recomm ADD CONSTRAINT sg_type_recomm_FK908 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE sg_type_recomm ADD CONSTRAINT sg_type_recomm_FK909 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_type_recomm ADD CONSTRAINT sg_type_recomm_FK910 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type;
  ALTER TABLE sg_type_recomm ADD CONSTRAINT sg_type_recomm_FK911 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_type_recomm ADD CONSTRAINT sg_type_recomm_FK912 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_type_recomm (
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_type_recomm ADD CONSTRAINT as_type_recomm_PK PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE as_type_recomm ADD CONSTRAINT as_type_recomm_FK227 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE as_type_recomm ADD CONSTRAINT as_type_recomm_FK228 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_type_recomm ADD CONSTRAINT as_type_recomm_FK229 FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type;
  ALTER TABLE as_type_recomm ADD CONSTRAINT as_type_recomm_FK230 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE as_type_recomm ADD CONSTRAINT as_type_recomm_FK231 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_recomm (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_recomm ADD CONSTRAINT model_recomm_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE model_recomm ADD CONSTRAINT model_recomm_FK527 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE model_recomm ADD CONSTRAINT model_recomm_FK528 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_recomm ADD CONSTRAINT model_recomm_FK529 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model;
  ALTER TABLE model_recomm ADD CONSTRAINT model_recomm_FK530 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE model_recomm ADD CONSTRAINT model_recomm_FK531 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_remark (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_remark ADD CONSTRAINT sg_rec_remark_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq);
  ALTER TABLE sg_rec_remark ADD CONSTRAINT sg_rec_remark_FK823 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_remark ADD CONSTRAINT sg_rec_remark_FK824 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_remark ADD CONSTRAINT sg_rec_remark_FK825 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_remark (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_remark ADD CONSTRAINT as_rec_remark_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq);
  ALTER TABLE as_rec_remark ADD CONSTRAINT as_rec_remark_FK158 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_remark ADD CONSTRAINT as_rec_remark_FK159 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE as_rec_remark ADD CONSTRAINT as_rec_remark_FK160 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ol_rec_remark (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ol_rec_remark ADD CONSTRAINT ol_rec_remark_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq);
  ALTER TABLE ol_rec_remark ADD CONSTRAINT ol_rec_remark_FK555 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ol_rec_remark ADD CONSTRAINT ol_rec_remark_FK556 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES ol_recommendation;
  ALTER TABLE ol_rec_remark ADD CONSTRAINT ol_rec_remark_FK557 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_type_rec_remark (
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_type_rec_remark ADD CONSTRAINT sg_type_rec_remark_PK PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq);
  ALTER TABLE sg_type_rec_remark ADD CONSTRAINT sg_type_rec_remark_FK905 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_type_rec_remark ADD CONSTRAINT sg_type_rec_remark_FK906 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_type_recomm;
  ALTER TABLE sg_type_rec_remark ADD CONSTRAINT sg_type_rec_remark_FK907 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_type_rec_remark (
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_type_rec_remark ADD CONSTRAINT as_type_rec_remark_PK PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq);
  ALTER TABLE as_type_rec_remark ADD CONSTRAINT as_type_rec_remark_FK224 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_type_rec_remark ADD CONSTRAINT as_type_rec_remark_FK225 FOREIGN KEY(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_type_recomm;
  ALTER TABLE as_type_rec_remark ADD CONSTRAINT as_type_rec_remark_FK226 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_rec_remark (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     remark_text             VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_rec_remark ADD CONSTRAINT model_rec_remark_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq);
  ALTER TABLE model_rec_remark ADD CONSTRAINT model_rec_remark_FK524 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_rec_remark ADD CONSTRAINT model_rec_remark_FK525 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES model_recomm;
  ALTER TABLE model_rec_remark ADD CONSTRAINT model_rec_remark_FK526 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_blob (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_blob ADD CONSTRAINT sg_rec_blob_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE sg_rec_blob ADD CONSTRAINT sg_rec_blob_FK815 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_blob ADD CONSTRAINT sg_rec_blob_FK816 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_blob ADD CONSTRAINT sg_rec_blob_FK817 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE sg_rec_blob ADD CONSTRAINT sg_rec_blob_FK818 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_blob (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_blob ADD CONSTRAINT as_rec_blob_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE as_rec_blob ADD CONSTRAINT as_rec_blob_FK150 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_blob ADD CONSTRAINT as_rec_blob_FK151 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE as_rec_blob ADD CONSTRAINT as_rec_blob_FK152 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE as_rec_blob ADD CONSTRAINT as_rec_blob_FK153 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  COMMIT;

  CREATE TABLE sg_type_rec_blob (
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_type_rec_blob ADD CONSTRAINT sg_type_rec_blob_PK PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE sg_type_rec_blob ADD CONSTRAINT sg_type_rec_blob_FK901 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_type_rec_blob ADD CONSTRAINT sg_type_rec_blob_FK902 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_type_recomm;
  ALTER TABLE sg_type_rec_blob ADD CONSTRAINT sg_type_rec_blob_FK903 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE sg_type_rec_blob ADD CONSTRAINT sg_type_rec_blob_FK904 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_type_rec_blob (
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_type_rec_blob ADD CONSTRAINT as_type_rec_blob_PK PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE as_type_rec_blob ADD CONSTRAINT as_type_rec_blob_FK220 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_type_rec_blob ADD CONSTRAINT as_type_rec_blob_FK221 FOREIGN KEY(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_type_recomm;
  ALTER TABLE as_type_rec_blob ADD CONSTRAINT as_type_rec_blob_FK222 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE as_type_rec_blob ADD CONSTRAINT as_type_rec_blob_FK223 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_rec_blob (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     bd_db_site              CHAR(16)         NOT NULL,
     bd_db_id                NUMBER(10)       NOT NULL,
     bd_type_code            NUMBER(10)       NOT NULL,
     ordering_seq            NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     assoc_file_name         VARCHAR2(254),
     image_data              LONG RAW         NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_rec_blob ADD CONSTRAINT model_rec_blob_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq);
  ALTER TABLE model_rec_blob ADD CONSTRAINT model_rec_blob_FK516 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_rec_blob ADD CONSTRAINT model_rec_blob_FK517 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES model_recomm;
  ALTER TABLE model_rec_blob ADD CONSTRAINT model_rec_blob_FK518 FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type;
  ALTER TABLE model_rec_blob ADD CONSTRAINT model_rec_blob_FK519 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_sg_health (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     hth_sg_site             CHAR(16)         NOT NULL,
     hth_sg_id               NUMBER(10)       NOT NULL,
     hth_gmt_assess          VARCHAR2(29)     NOT NULL,
     hth_by_agent_site       CHAR(16)         NOT NULL,
     hth_by_agent_id         NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_sg_health ADD CONSTRAINT sg_rec_sg_health_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,hth_sg_site,hth_sg_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id);
  ALTER TABLE sg_rec_sg_health ADD CONSTRAINT sg_rec_sg_health_FK830 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_sg_health ADD CONSTRAINT sg_rec_sg_health_FK831 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_sg_health ADD CONSTRAINT sg_rec_sg_health_FK832 FOREIGN KEY(hth_sg_site,hth_sg_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id) REFERENCES segment_health;
  ALTER TABLE sg_rec_sg_health ADD CONSTRAINT sg_rec_sg_health_FK833 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_as_health (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     hth_as_org_site         CHAR(16)         NOT NULL,
     hth_asset_id            NUMBER(10)       NOT NULL,
     hth_gmt_assess          VARCHAR2(29)     NOT NULL,
     hth_by_agent_site       CHAR(16)         NOT NULL,
     hth_by_agent_id         NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_as_health ADD CONSTRAINT as_rec_as_health_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,hth_as_org_site,hth_asset_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id);
  ALTER TABLE as_rec_as_health ADD CONSTRAINT as_rec_as_health_FK138 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_as_health ADD CONSTRAINT as_rec_as_health_FK139 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE as_rec_as_health ADD CONSTRAINT as_rec_as_health_FK140 FOREIGN KEY(hth_as_org_site,hth_asset_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id) REFERENCES asset_health;
  ALTER TABLE as_rec_as_health ADD CONSTRAINT as_rec_as_health_FK141 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_sg_event (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ev_sg_site              CHAR(16)         NOT NULL,
     ev_sg_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_sg_event ADD CONSTRAINT sg_rec_sg_event_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,ev_sg_site,ev_sg_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE sg_rec_sg_event ADD CONSTRAINT sg_rec_sg_event_FK826 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_sg_event ADD CONSTRAINT sg_rec_sg_event_FK827 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_sg_event ADD CONSTRAINT sg_rec_sg_event_FK828 FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event;
  ALTER TABLE sg_rec_sg_event ADD CONSTRAINT sg_rec_sg_event_FK829 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_as_event (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     ev_as_org_site          CHAR(16)         NOT NULL,
     ev_as_id                NUMBER(10)       NOT NULL,
     ev_db_site              CHAR(16)         NOT NULL,
     ev_db_id                NUMBER(10)       NOT NULL,
     event_type_code         NUMBER(10)       NOT NULL,
     gmt_event_start         VARCHAR2(29)     NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_as_event ADD CONSTRAINT as_rec_as_event_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,ev_as_org_site,ev_as_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  ALTER TABLE as_rec_as_event ADD CONSTRAINT as_rec_as_event_FK134 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_as_event ADD CONSTRAINT as_rec_as_event_FK135 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE as_rec_as_event ADD CONSTRAINT as_rec_as_event_FK136 FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event;
  ALTER TABLE as_rec_as_event ADD CONSTRAINT as_rec_as_event_FK137 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_sg_hyp_ev (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     sg_hyp_db_site          CHAR(16)         NOT NULL,
     sg_hyp_db_id            NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT sg_rec_sg_hyp_ev_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT sg_rec_sg_hyp_ev_FK834 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT sg_rec_sg_hyp_ev_FK835 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT sg_rec_sg_hyp_ev_FK836 FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT sg_rec_sg_hyp_ev_FK837 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_as_hyp_ev (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     as_hyp_db_site          CHAR(16)         NOT NULL,
     as_hyp_db_id            NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT as_rec_as_hyp_ev_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT as_rec_as_hyp_ev_FK142 FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT as_rec_as_hyp_ev_FK143 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT as_rec_as_hyp_ev_FK144 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT as_rec_as_hyp_ev_FK145 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  COMMIT;

  CREATE TABLE sg_type_rec_hyp_ev (
     sg_db_site              CHAR(16)         NOT NULL,
     sg_db_id                NUMBER(10)       NOT NULL,
     sg_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     sg_hyp_db_site          CHAR(16)         NOT NULL,
     sg_hyp_db_id            NUMBER(10)       NOT NULL,
     sg_hyp_event_id         NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT sg_type_rec_hyp_ev_PK PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id,sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT sg_type_rec_hyp_ev_FK887 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT sg_type_rec_hyp_ev_FK888 FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_type_recomm;
  ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT sg_type_rec_hyp_ev_FK889 FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event;
  ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT sg_type_rec_hyp_ev_FK890 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_type_rec_hyp_ev (
     as_db_site              CHAR(16)         NOT NULL,
     as_db_id                NUMBER(10)       NOT NULL,
     as_type_code            NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     as_hyp_db_site          CHAR(16)         NOT NULL,
     as_hyp_db_id            NUMBER(10)       NOT NULL,
     as_hyp_event_id         NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT as_type_rec_hyp_ev_PK PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id,as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT as_type_rec_hyp_ev_FK206 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT as_type_rec_hyp_ev_FK207 FOREIGN KEY(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_type_recomm;
  ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT as_type_rec_hyp_ev_FK208 FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event;
  ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT as_type_rec_hyp_ev_FK209 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE model_rec_hyp_ev (
     mf_db_site              CHAR(16)         NOT NULL,
     mf_db_id                NUMBER(10)       NOT NULL,
     mf_duns_code            NUMBER(10)       NOT NULL,
     model_number            VARCHAR2(254)    NOT NULL,
     revision_number         NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     mod_hyp_db_site         CHAR(16)         NOT NULL,
     mod_hyp_db_id           NUMBER(10)       NOT NULL,
     mod_hyp_event_id        NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT model_rec_hyp_ev_PK PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id,mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT model_rec_hyp_ev_FK520 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT model_rec_hyp_ev_FK521 FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES model_recomm;
  ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT model_rec_hyp_ev_FK522 FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event;
  ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT model_rec_hyp_ev_FK523 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_sg_prop_ev (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     sg_prop_db_site         CHAR(16)         NOT NULL,
     sg_prop_db_id           NUMBER(10)       NOT NULL,
     sg_prop_event_id        NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT sg_rec_sg_prop_ev_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT sg_rec_sg_prop_ev_FK838 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT sg_rec_sg_prop_ev_FK839 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT sg_rec_sg_prop_ev_FK840 FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event;
  ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT sg_rec_sg_prop_ev_FK841 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_as_prop_ev (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     as_prop_db_site         CHAR(16)         NOT NULL,
     as_prop_db_id           NUMBER(10)       NOT NULL,
     as_prop_event_id        NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT as_rec_as_prop_ev_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,as_prop_db_site,as_prop_db_id,as_prop_event_id);
  ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT as_rec_as_prop_ev_FK146 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT as_rec_as_prop_ev_FK147 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT as_rec_as_prop_ev_FK148 FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event;
  ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT as_rec_as_prop_ev_FK149 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_rec_mevent (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_rec_mevent ADD CONSTRAINT sg_rec_mevent_PK PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE sg_rec_mevent ADD CONSTRAINT sg_rec_mevent_FK819 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_rec_mevent ADD CONSTRAINT sg_rec_mevent_FK820 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_rec_mevent ADD CONSTRAINT sg_rec_mevent_FK821 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE sg_rec_mevent ADD CONSTRAINT sg_rec_mevent_FK822 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_rec_mevent (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     gmt_event               VARCHAR2(29)     NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_rec_mevent ADD CONSTRAINT as_rec_mevent_PK PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,meas_loc_site,meas_loc_id,gmt_event);
  ALTER TABLE as_rec_mevent ADD CONSTRAINT as_rec_mevent_FK154 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_rec_mevent ADD CONSTRAINT as_rec_mevent_FK155 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE as_rec_mevent ADD CONSTRAINT as_rec_mevent_FK156 FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event;
  ALTER TABLE as_rec_mevent ADD CONSTRAINT as_rec_mevent_FK157 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_request (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     wm_type_db_site         CHAR(16)         NOT NULL,
     wm_type_db_id           NUMBER(10)       NOT NULL,
     wm_type_code            NUMBER(10)       NOT NULL,
     gmt_created             VARCHAR2(29),
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     start_before_gmt        VARCHAR2(254),
     end_before_gmt          VARCHAR2(254),
     start_after_gmt         VARCHAR2(254),
     end_after_gmt           VARCHAR2(254),
     repeat_interval         NUMBER(10),
     int_eu_db_site          CHAR(16),
     int_eu_db_id            NUMBER(10),
     int_eu_type_code        NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     to_agent_site           CHAR(16),
     to_agent_id             NUMBER(10),
     priority_type_code      NUMBER(10),
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_request ADD CONSTRAINT work_request_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id);
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1189 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1190 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1191 FOREIGN KEY(work_req_db_site,work_req_db_id) REFERENCES site_database;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1192 FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1193 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1194 FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1195 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1196 FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent;
  ALTER TABLE work_request ADD CONSTRAINT work_request_FK1197 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE solution_package (
     sol_pack_db_site        CHAR(16)         NOT NULL,
     sol_pack_db_id          NUMBER(10)       NOT NULL,
     sol_pack_id             NUMBER(10)       NOT NULL,
     sol_db_site             CHAR(16)         NOT NULL,
     sol_db_id               NUMBER(10)       NOT NULL,
     sol_type_code           NUMBER(10)       NOT NULL,
     gmt_created             VARCHAR2(29),
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     priority_type_code      NUMBER(10),
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE solution_package ADD CONSTRAINT solution_package_PK PRIMARY KEY (sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  ALTER TABLE solution_package ADD CONSTRAINT solution_package_FK926 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE solution_package ADD CONSTRAINT solution_package_FK927 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE solution_package ADD CONSTRAINT solution_package_FK928 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id) REFERENCES site_database;
  ALTER TABLE solution_package ADD CONSTRAINT solution_package_FK929 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_pack_type;
  ALTER TABLE solution_package ADD CONSTRAINT solution_package_FK930 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE request (
     req_db_site             CHAR(16)         NOT NULL,
     req_db_id               NUMBER(10)       NOT NULL,
     request_id              NUMBER(10)       NOT NULL,
     gmt_created             VARCHAR2(29)     NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     priority_type_code      NUMBER(10),
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE request ADD CONSTRAINT request_PK PRIMARY KEY (req_db_site,req_db_id,request_id);
  ALTER TABLE request ADD CONSTRAINT request_FK1277 FOREIGN KEY(req_db_site,req_db_id) REFERENCES site_database;
  ALTER TABLE request ADD CONSTRAINT request_FK1278 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE request ADD CONSTRAINT request_FK1279 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE request ADD CONSTRAINT request_FK1280 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE request ADD CONSTRAINT request_FK1281 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE request ADD CONSTRAINT request_FK1282 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE sg_req_for_work (
     req_db_site             CHAR(16)         NOT NULL,
     req_db_id               NUMBER(10)       NOT NULL,
     request_id              NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     wm_type_db_site         CHAR(16)         NOT NULL,
     wm_type_db_id           NUMBER(10)       NOT NULL,
     wm_type_code            NUMBER(10)       NOT NULL,
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     start_before_gmt        VARCHAR2(29),
     end_before_gmt          VARCHAR2(29),
     start_after_gmt         VARCHAR2(29),
     end_after_gmt           VARCHAR2(29),
     repeat_interval         NUMBER(10),
     int_eu_db_site          CHAR(16),
     int_eu_db_id            NUMBER(10),
     int_eu_type_code        NUMBER(10),
     to_agent_site           CHAR(16),
     to_agent_id             NUMBER(10),
     sol_pack_db_site        CHAR(16),
     sol_pack_db_id          NUMBER(10),
     sol_pack_id             NUMBER(10),
     rec_segment_site        CHAR(16),
     rec_segment_id          NUMBER(10),
     rec_gmt_recomm          VARCHAR2(29),
     rec_by_agent_site       CHAR(16),
     rec_by_agent_id         NUMBER(10),
     work_req_db_site        CHAR(16),
     work_req_db_id          NUMBER(10),
     work_req_id             NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_PK PRIMARY KEY (req_db_site,req_db_id,request_id);
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK1283 FOREIGN KEY(req_db_site,req_db_id,request_id) REFERENCES request;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK854 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK855 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK857 FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK858 FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK859 FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK861 FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK862 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK863 FOREIGN KEY(rec_segment_site,rec_segment_id,rec_gmt_recomm,rec_by_agent_site,rec_by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK864 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE sg_req_for_work ADD CONSTRAINT sg_req_for_work_FK865 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_req_for_work (
     req_db_site             CHAR(16)         NOT NULL,
     req_db_id               NUMBER(10)       NOT NULL,
     request_id              NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     wm_type_db_site         CHAR(16)         NOT NULL,
     wm_type_db_id           NUMBER(10)       NOT NULL,
     wm_type_code            NUMBER(10)       NOT NULL,
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     start_before_gmt        VARCHAR2(254),
     end_before_gmt          VARCHAR2(254),
     start_after_gmt         VARCHAR2(254),
     end_after_gmt           VARCHAR2(254),
     repeat_interval         NUMBER(10),
     int_eu_db_site          CHAR(16),
     int_eu_db_id            NUMBER(10),
     int_eu_type_code        NUMBER(10),
     to_agent_site           CHAR(16),
     to_agent_id             NUMBER(10),
     sol_pack_db_site        CHAR(16),
     sol_pack_db_id          NUMBER(10),
     sol_pack_id             NUMBER(10),
     rec_asset_org_site      CHAR(16),
     rec_asset_id            NUMBER(10),
     rec_gmt_recomm          VARCHAR2(29),
     rec_by_agent_site       CHAR(16),
     rec_by_agent_id         NUMBER(10),
     work_req_db_site        CHAR(16),
     work_req_db_id          NUMBER(10),
     work_req_id             NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_PK PRIMARY KEY (req_db_site,req_db_id,request_id);
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK1284 FOREIGN KEY(req_db_site,req_db_id,request_id) REFERENCES request;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK173 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK174 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK176 FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK177 FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK178 FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK180 FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK181 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK182 FOREIGN KEY(rec_asset_org_site,rec_asset_id,rec_gmt_recomm,rec_by_agent_site,rec_by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK183 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE as_req_for_work ADD CONSTRAINT as_req_for_work_FK184 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ol_req_for_work (
     req_db_site             CHAR(16)         NOT NULL,
     req_db_id               NUMBER(10)       NOT NULL,
     request_id              NUMBER(10)       NOT NULL,
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     wm_type_db_site         CHAR(16)         NOT NULL,
     wm_type_db_id           NUMBER(10)       NOT NULL,
     wm_type_code            NUMBER(10)       NOT NULL,
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     start_before_gmt        VARCHAR2(254),
     end_before_gmt          VARCHAR2(254),
     start_after_gmt         VARCHAR2(254),
     end_after_gmt           VARCHAR2(254),
     repeat_interval         NUMBER(10),
     int_eu_db_site          CHAR(16),
     int_eu_db_id            NUMBER(10),
     int_eu_type_code        NUMBER(10),
     to_agent_site           CHAR(16),
     to_agent_id             NUMBER(10),
     sol_pack_db_site        CHAR(16),
     sol_pack_db_id          NUMBER(10),
     sol_pack_id             NUMBER(10),
     rec_ord_db_site         CHAR(16),
     rec_ord_db_id           NUMBER(10),
     rec_ord_list_id         NUMBER(10),
     rec_gmt_recomm          VARCHAR2(29),
     rec_by_agent_site       CHAR(16),
     rec_by_agent_id         NUMBER(10),
     work_req_db_site        CHAR(16),
     work_req_db_id          NUMBER(10),
     work_req_id             NUMBER(10),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_PK PRIMARY KEY (req_db_site,req_db_id,request_id);
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK1285 FOREIGN KEY(req_db_site,req_db_id,request_id) REFERENCES request;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK564 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK565 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK567 FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK568 FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK569 FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK571 FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK572 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK573 FOREIGN KEY(rec_ord_db_site,rec_ord_db_id,rec_ord_list_id,rec_gmt_recomm,rec_by_agent_site,rec_by_agent_id) REFERENCES ol_recommendation;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK574 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE ol_req_for_work ADD CONSTRAINT ol_req_for_work_FK575 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_req_sg_recomm (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_req_sg_recomm ADD CONSTRAINT work_req_sg_recomm_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE work_req_sg_recomm ADD CONSTRAINT work_req_sg_recomm_FK1181 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_req_sg_recomm ADD CONSTRAINT work_req_sg_recomm_FK1182 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE work_req_sg_recomm ADD CONSTRAINT work_req_sg_recomm_FK1183 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE work_req_sg_recomm ADD CONSTRAINT work_req_sg_recomm_FK1184 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_req_as_recomm (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_req_as_recomm ADD CONSTRAINT work_req_as_recomm_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE work_req_as_recomm ADD CONSTRAINT work_req_as_recomm_FK1177 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_req_as_recomm ADD CONSTRAINT work_req_as_recomm_FK1178 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE work_req_as_recomm ADD CONSTRAINT work_req_as_recomm_FK1179 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE work_req_as_recomm ADD CONSTRAINT work_req_as_recomm_FK1180 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_req_sol_pack (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     sol_pack_db_site        CHAR(16)         NOT NULL,
     sol_pack_db_id          NUMBER(10)       NOT NULL,
     sol_pack_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_req_sol_pack ADD CONSTRAINT work_req_sol_pack_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  ALTER TABLE work_req_sol_pack ADD CONSTRAINT work_req_sol_pack_FK1185 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_req_sol_pack ADD CONSTRAINT work_req_sol_pack_FK1186 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE work_req_sol_pack ADD CONSTRAINT work_req_sol_pack_FK1187 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE work_req_sol_pack ADD CONSTRAINT work_req_sol_pack_FK1188 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_req_num_data (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     wn_db_site              CHAR(16)         NOT NULL,
     wn_db_id                NUMBER(10)       NOT NULL,
     wn_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_req_num_data ADD CONSTRAINT work_req_num_data_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,wn_db_site,wn_db_id,wn_type_code);
  ALTER TABLE work_req_num_data ADD CONSTRAINT work_req_num_data_FK1209 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_req_num_data ADD CONSTRAINT work_req_num_data_FK1210 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE work_req_num_data ADD CONSTRAINT work_req_num_data_FK1211 FOREIGN KEY(wn_db_site,wn_db_id,wn_type_code) REFERENCES work_num_data_type;
  ALTER TABLE work_req_num_data ADD CONSTRAINT work_req_num_data_FK1212 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE work_req_num_data ADD CONSTRAINT work_req_num_data_FK1213 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_req_chr_data (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     wc_db_site              CHAR(16)         NOT NULL,
     wc_db_id                NUMBER(10)       NOT NULL,
     wc_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_req_chr_data ADD CONSTRAINT work_req_chr_data_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,wc_db_site,wc_db_id,wc_type_code);
  ALTER TABLE work_req_chr_data ADD CONSTRAINT work_req_chr_data_FK1204 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_req_chr_data ADD CONSTRAINT work_req_chr_data_FK1205 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE work_req_chr_data ADD CONSTRAINT work_req_chr_data_FK1206 FOREIGN KEY(wc_db_site,wc_db_id,wc_type_code) REFERENCES work_chr_data_type;
  ALTER TABLE work_req_chr_data ADD CONSTRAINT work_req_chr_data_FK1207 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE work_req_chr_data ADD CONSTRAINT work_req_chr_data_FK1208 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_request_audit (
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     waudit_db_site          CHAR(16)         NOT NULL,
     waudit_db_id            NUMBER(10)       NOT NULL,
     waudit_type_code        NUMBER(10)       NOT NULL,
     gmt_audit_posted        VARCHAR2(29)     NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_PK PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,waudit_db_site,waudit_db_id,waudit_type_code,gmt_audit_posted);
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_FK1198 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_FK1199 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_FK1200 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_FK1201 FOREIGN KEY(waudit_db_site,waudit_db_id,waudit_type_code) REFERENCES work_audit_type;
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_FK1202 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE work_request_audit ADD CONSTRAINT work_request_audit_FK1203 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  COMMIT;

  CREATE TABLE work_order (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     wm_type_db_site         CHAR(16),
     wm_type_db_id           NUMBER(10),
     wm_type_code            NUMBER(10),
     gmt_created             VARCHAR2(29),
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     start_before_gmt        VARCHAR2(254),
     end_before_gmt          VARCHAR2(254),
     start_after_gmt         VARCHAR2(254),
     end_after_gmt           VARCHAR2(254),
     repeat_interval         NUMBER(10),
     int_eu_db_site          CHAR(16),
     int_eu_db_id            NUMBER(10),
     int_eu_type_code        NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     to_agent_site           CHAR(16),
     to_agent_id             NUMBER(10),
     priority_type_code      NUMBER(10),
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_order ADD CONSTRAINT work_order_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id);
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1141 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1142 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1143 FOREIGN KEY(work_order_db_site,work_order_db_id) REFERENCES site_database;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1144 FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1145 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1146 FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1147 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1148 FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent;
  ALTER TABLE work_order ADD CONSTRAINT work_order_FK1149 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_order_child (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     child_wo_db_site        CHAR(16)         NOT NULL,
     child_wo_db_id          NUMBER(10)       NOT NULL,
     child_wo_id             NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_order_child ADD CONSTRAINT work_order_child_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,child_wo_db_site,child_wo_db_id,child_wo_id);
  ALTER TABLE work_order_child ADD CONSTRAINT work_order_child_FK1156 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_order_child ADD CONSTRAINT work_order_child_FK1157 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order;
  ALTER TABLE work_order_child ADD CONSTRAINT work_order_child_FK1158 FOREIGN KEY(child_wo_db_site,child_wo_db_id,child_wo_id) REFERENCES work_order;
  ALTER TABLE work_order_child ADD CONSTRAINT work_order_child_FK1159 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_order_num_data (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     wn_db_site              CHAR(16)         NOT NULL,
     wn_db_id                NUMBER(10)       NOT NULL,
     wn_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_order_num_data ADD CONSTRAINT work_order_num_data_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,wn_db_site,wn_db_id,wn_type_code);
  ALTER TABLE work_order_num_data ADD CONSTRAINT work_order_num_data_FK1165 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_order_num_data ADD CONSTRAINT work_order_num_data_FK1166 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order;
  ALTER TABLE work_order_num_data ADD CONSTRAINT work_order_num_data_FK1167 FOREIGN KEY(wn_db_site,wn_db_id,wn_type_code) REFERENCES work_num_data_type;
  ALTER TABLE work_order_num_data ADD CONSTRAINT work_order_num_data_FK1168 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE work_order_num_data ADD CONSTRAINT work_order_num_data_FK1169 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_order_chr_data (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     wc_db_site              CHAR(16)         NOT NULL,
     wc_db_id                NUMBER(10)       NOT NULL,
     wc_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_order_chr_data ADD CONSTRAINT work_order_chr_data_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,wc_db_site,wc_db_id,wc_type_code);
  ALTER TABLE work_order_chr_data ADD CONSTRAINT work_order_chr_data_FK1160 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_order_chr_data ADD CONSTRAINT work_order_chr_data_FK1161 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order;
  ALTER TABLE work_order_chr_data ADD CONSTRAINT work_order_chr_data_FK1162 FOREIGN KEY(wc_db_site,wc_db_id,wc_type_code) REFERENCES work_chr_data_type;
  ALTER TABLE work_order_chr_data ADD CONSTRAINT work_order_chr_data_FK1163 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE work_order_chr_data ADD CONSTRAINT work_order_chr_data_FK1164 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE work_order_audit (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     waudit_db_site          CHAR(16)         NOT NULL,
     waudit_db_id            NUMBER(10)       NOT NULL,
     waudit_type_code        NUMBER(10)       NOT NULL,
     gmt_audit_posted        VARCHAR2(29)     NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,waudit_db_site,waudit_db_id,waudit_type_code,gmt_audit_posted);
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_FK1150 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_FK1151 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_FK1152 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_FK1153 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_FK1154 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order;
  ALTER TABLE work_order_audit ADD CONSTRAINT work_order_audit_FK1155 FOREIGN KEY(waudit_db_site,waudit_db_id,waudit_type_code) REFERENCES work_audit_type;
  COMMIT;

  CREATE TABLE work_order_step (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     gmt_created             VARCHAR2(29),
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     start_before_gmt        VARCHAR2(254),
     end_before_gmt          VARCHAR2(254),
     start_after_gmt         VARCHAR2(254),
     end_after_gmt           VARCHAR2(254),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     to_agent_site           CHAR(16),
     to_agent_id             NUMBER(10),
     priority_type_code      NUMBER(10),
     user_tag_ident          VARCHAR2(254)    NOT NULL,
     abbrev                  VARCHAR2(254),
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1170 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1171 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1172 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order;
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1173 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1174 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1175 FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent;
  ALTER TABLE work_order_step ADD CONSTRAINT work_order_step_FK1176 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wo_step_num_data (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     wn_db_site              CHAR(16)         NOT NULL,
     wn_db_id                NUMBER(10)       NOT NULL,
     wn_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              FLOAT            NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wo_step_num_data ADD CONSTRAINT wo_step_num_data_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,wn_db_site,wn_db_id,wn_type_code);
  ALTER TABLE wo_step_num_data ADD CONSTRAINT wo_step_num_data_FK1112 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wo_step_num_data ADD CONSTRAINT wo_step_num_data_FK1113 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE wo_step_num_data ADD CONSTRAINT wo_step_num_data_FK1114 FOREIGN KEY(wn_db_site,wn_db_id,wn_type_code) REFERENCES work_num_data_type;
  ALTER TABLE wo_step_num_data ADD CONSTRAINT wo_step_num_data_FK1115 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE wo_step_num_data ADD CONSTRAINT wo_step_num_data_FK1116 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wo_step_chr_data (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     wc_db_site              CHAR(16)         NOT NULL,
     wc_db_id                NUMBER(10)       NOT NULL,
     wc_type_code            NUMBER(10)       NOT NULL,
     eu_db_site              CHAR(16)         NOT NULL,
     eu_db_id                NUMBER(10)       NOT NULL,
     eu_type_code            NUMBER(10)       NOT NULL,
     data_value              VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wo_step_chr_data ADD CONSTRAINT wo_step_chr_data_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,wc_db_site,wc_db_id,wc_type_code);
  ALTER TABLE wo_step_chr_data ADD CONSTRAINT wo_step_chr_data_FK1107 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wo_step_chr_data ADD CONSTRAINT wo_step_chr_data_FK1108 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE wo_step_chr_data ADD CONSTRAINT wo_step_chr_data_FK1109 FOREIGN KEY(wc_db_site,wc_db_id,wc_type_code) REFERENCES work_chr_data_type;
  ALTER TABLE wo_step_chr_data ADD CONSTRAINT wo_step_chr_data_FK1110 FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type;
  ALTER TABLE wo_step_chr_data ADD CONSTRAINT wo_step_chr_data_FK1111 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wo_step_audit (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     waudit_db_site          CHAR(16)         NOT NULL,
     waudit_db_id            NUMBER(10)       NOT NULL,
     waudit_type_code        NUMBER(10)       NOT NULL,
     gmt_audit_posted        VARCHAR2(29)     NOT NULL,
     loc_hr_delta            NUMBER(5),
     loc_min_delta           NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,waudit_db_site,waudit_db_id,waudit_type_code,gmt_audit_posted);
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_FK1101 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_FK1102 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_FK1103 FOREIGN KEY(waudit_db_site,waudit_db_id,waudit_type_code) REFERENCES work_audit_type;
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_FK1104 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_FK1105 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE wo_step_audit ADD CONSTRAINT wo_step_audit_FK1106 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wo_step_sg_recomm (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT wo_step_sg_recomm_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT wo_step_sg_recomm_FK1117 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT wo_step_sg_recomm_FK1118 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT wo_step_sg_recomm_FK1119 FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation;
  ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT wo_step_sg_recomm_FK1120 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wo_step_as_recomm (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     gmt_recommendation      VARCHAR2(29)     NOT NULL,
     by_agent_site           CHAR(16)         NOT NULL,
     by_agent_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wo_step_as_recomm ADD CONSTRAINT wo_step_as_recomm_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  ALTER TABLE wo_step_as_recomm ADD CONSTRAINT wo_step_as_recomm_FK1097 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wo_step_as_recomm ADD CONSTRAINT wo_step_as_recomm_FK1098 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE wo_step_as_recomm ADD CONSTRAINT wo_step_as_recomm_FK1099 FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation;
  ALTER TABLE wo_step_as_recomm ADD CONSTRAINT wo_step_as_recomm_FK1100 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE wo_step_work_req (
     work_order_db_site      CHAR(16)         NOT NULL,
     work_order_db_id        NUMBER(10)       NOT NULL,
     work_order_id           NUMBER(10)       NOT NULL,
     work_ord_step_seq       NUMBER(10)       NOT NULL,
     work_req_db_site        CHAR(16)         NOT NULL,
     work_req_db_id          NUMBER(10)       NOT NULL,
     work_req_id             NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE wo_step_work_req ADD CONSTRAINT wo_step_work_req_PK PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,work_req_db_site,work_req_db_id,work_req_id);
  ALTER TABLE wo_step_work_req ADD CONSTRAINT wo_step_work_req_FK1125 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE wo_step_work_req ADD CONSTRAINT wo_step_work_req_FK1126 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE wo_step_work_req ADD CONSTRAINT wo_step_work_req_FK1127 FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request;
  ALTER TABLE wo_step_work_req ADD CONSTRAINT wo_step_work_req_FK1128 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE sg_completed_work (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     gmt_completed           VARCHAR2(29)     NOT NULL,
     cp_loc_hr_delta         NUMBER(5),
     cp_loc_min_delta        NUMBER(5),
     gmt_started             VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     priority_type_code      NUMBER(10),
     work_order_db_site      CHAR(16),
     work_order_db_id        NUMBER(10),
     work_order_id           NUMBER(10),
     work_ord_step_seq       NUMBER(10),
     abbrev                  VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_PK PRIMARY KEY (segment_site,segment_id,task_db_site,task_db_id,task_type_code,gmt_completed);
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK713 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK714 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK715 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK716 FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK717 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK718 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK719 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE sg_completed_work ADD CONSTRAINT sg_completed_work_FK720 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_completed_work (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     gmt_completed           VARCHAR2(29)     NOT NULL,
     cp_loc_hr_delta         NUMBER(5),
     cp_loc_min_delta        NUMBER(5),
     gmt_started             VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     priority_type_code      NUMBER(10),
     work_order_db_site      CHAR(16),
     work_order_db_id        NUMBER(10),
     work_order_id           NUMBER(10),
     work_ord_step_seq       NUMBER(10),
     abbrev                  VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_PK PRIMARY KEY (asset_org_site,asset_id,task_db_site,task_db_id,task_type_code,gmt_completed);
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK29 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK30 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK31 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK32 FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK33 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK34 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK35 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE as_completed_work ADD CONSTRAINT as_completed_work_FK36 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE ol_completed_work (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     task_db_site            CHAR(16)         NOT NULL,
     task_db_id              NUMBER(10)       NOT NULL,
     task_type_code          NUMBER(10)       NOT NULL,
     gmt_completed           VARCHAR2(29)     NOT NULL,
     cp_loc_hr_delta         NUMBER(5),
     cp_loc_min_delta        NUMBER(5),
     gmt_started             VARCHAR2(29),
     st_loc_hr_delta         NUMBER(5),
     st_loc_min_delta        NUMBER(5),
     by_agent_site           CHAR(16),
     by_agent_id             NUMBER(10),
     from_sy_agent_site      CHAR(16),
     from_sy_agent_id        NUMBER(10),
     priority_type_code      NUMBER(10),
     work_order_db_site      CHAR(16),
     work_order_db_id        NUMBER(10),
     work_order_id           NUMBER(10),
     work_ord_step_seq       NUMBER(10),
     abbrev                  VARCHAR2(254)    NOT NULL,
     name                    VARCHAR2(254),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,task_db_site,task_db_id,task_type_code,gmt_completed);
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK547 FOREIGN KEY(priority_type_code) REFERENCES priority_type;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK548 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK549 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK550 FOREIGN KEY(task_db_site,task_type_code,task_db_id) REFERENCES work_task_type;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK551 FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK552 FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK553 FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step;
  ALTER TABLE ol_completed_work ADD CONSTRAINT ol_completed_work_FK554 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE db_mim_interface (
     db_site                 CHAR(16)         NOT NULL,
     db_id                   NUMBER(10)       NOT NULL,
     interf_type_code        NUMBER(10)       NOT NULL,
     gmt_snap_refresh        VARCHAR2(29),
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE db_mim_interface ADD CONSTRAINT db_mim_interface_PK PRIMARY KEY (db_site,db_id,interf_type_code);
  ALTER TABLE db_mim_interface ADD CONSTRAINT db_mim_interface_FK332 FOREIGN KEY(interf_type_code) REFERENCES mim_interface_type;
  ALTER TABLE db_mim_interface ADD CONSTRAINT db_mim_interface_FK333 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE db_mim_interface ADD CONSTRAINT db_mim_interface_FK334 FOREIGN KEY(db_site,db_id) REFERENCES site_database;
  ALTER TABLE db_mim_interface ADD CONSTRAINT db_mim_interface_FK335 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE mloc_type_child (
     ml_db_site              CHAR(16)         NOT NULL,
     ml_db_id                NUMBER(10)       NOT NULL,
     ml_type_code            NUMBER(10)       NOT NULL,
     child_ml_db_site        CHAR(16)         NOT NULL,
     child_ml_db_id          NUMBER(10)       NOT NULL,
     child_ml_type_code      NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE mloc_type_child ADD CONSTRAINT mloc_type_child_PK PRIMARY KEY (ml_db_site,ml_db_id,ml_type_code,child_ml_db_site,child_ml_db_id,child_ml_type_code);
  ALTER TABLE mloc_type_child ADD CONSTRAINT mloc_type_child_FK1252 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE mloc_type_child ADD CONSTRAINT mloc_type_child_FK1253 FOREIGN KEY(child_ml_db_site,child_ml_db_id,child_ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE mloc_type_child ADD CONSTRAINT mloc_type_child_FK1254 FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type;
  ALTER TABLE mloc_type_child ADD CONSTRAINT mloc_type_child_FK1255 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

  CREATE TABLE as_sol_pack (
     asset_org_site          CHAR(16)         NOT NULL,
     asset_id                NUMBER(10)       NOT NULL,
     sol_pack_db_site        CHAR(16)         NOT NULL,
     sol_pack_db_id          NUMBER(10)       NOT NULL,
     sol_pack_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE as_sol_pack ADD CONSTRAINT as_sol_pack_PK PRIMARY KEY (asset_org_site,asset_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  ALTER TABLE as_sol_pack ADD CONSTRAINT as_sol_pack_FK1240 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE as_sol_pack ADD CONSTRAINT as_sol_pack_FK1241 FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset;
  ALTER TABLE as_sol_pack ADD CONSTRAINT as_sol_pack_FK1242 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE as_sol_pack ADD CONSTRAINT as_sol_pack_FK1243 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE sg_sol_pack (
     segment_site            CHAR(16)         NOT NULL,
     segment_id              NUMBER(10)       NOT NULL,
     sol_pack_db_site        CHAR(16)         NOT NULL,
     sol_pack_db_id          NUMBER(10)       NOT NULL,
     sol_pack_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE sg_sol_pack ADD CONSTRAINT sg_sol_pack_PK PRIMARY KEY (segment_site,segment_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  ALTER TABLE sg_sol_pack ADD CONSTRAINT sg_sol_pack_FK1248 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE sg_sol_pack ADD CONSTRAINT sg_sol_pack_FK1249 FOREIGN KEY(segment_site,segment_id) REFERENCES segment;
  ALTER TABLE sg_sol_pack ADD CONSTRAINT sg_sol_pack_FK1250 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE sg_sol_pack ADD CONSTRAINT sg_sol_pack_FK1251 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE ol_sol_pack (
     ord_list_db_site        CHAR(16)         NOT NULL,
     ord_list_db_id          NUMBER(10)       NOT NULL,
     ord_list_id             NUMBER(10)       NOT NULL,
     sol_pack_db_site        CHAR(16)         NOT NULL,
     sol_pack_db_id          NUMBER(10)       NOT NULL,
     sol_pack_id             NUMBER(10)       NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE ol_sol_pack ADD CONSTRAINT ol_sol_pack_PK PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  ALTER TABLE ol_sol_pack ADD CONSTRAINT ol_sol_pack_FK1244 FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package;
  ALTER TABLE ol_sol_pack ADD CONSTRAINT ol_sol_pack_FK1245 FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list;
  ALTER TABLE ol_sol_pack ADD CONSTRAINT ol_sol_pack_FK1246 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  ALTER TABLE ol_sol_pack ADD CONSTRAINT ol_sol_pack_FK1247 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  COMMIT;

  CREATE TABLE meas_loc_assoc (
     meas_loc_site           CHAR(16)         NOT NULL,
     meas_loc_id             NUMBER(10)       NOT NULL,
     related_mloc_site       CHAR(16)         NOT NULL,
     related_mloc_id         NUMBER(10)       NOT NULL,
     name                    VARCHAR2(254)    NOT NULL,
     gmt_last_updated        VARCHAR2(29),
     last_upd_db_site        CHAR(16),
     last_upd_db_id          NUMBER(10),
     rstat_type_code         NUMBER(5)
  );
  ALTER TABLE meas_loc_assoc ADD CONSTRAINT meas_loc_assoc_PK PRIMARY KEY (meas_loc_site,meas_loc_id,related_mloc_site,related_mloc_id);
  ALTER TABLE meas_loc_assoc ADD CONSTRAINT meas_loc_assoc_FK1224 FOREIGN KEY(rstat_type_code) REFERENCES row_status_type;
  ALTER TABLE meas_loc_assoc ADD CONSTRAINT meas_loc_assoc_FK1225 FOREIGN KEY(related_mloc_site,related_mloc_id) REFERENCES meas_location;
  ALTER TABLE meas_loc_assoc ADD CONSTRAINT meas_loc_assoc_FK1226 FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location;
  ALTER TABLE meas_loc_assoc ADD CONSTRAINT meas_loc_assoc_FK1227 FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database;
  COMMIT;

