  SET search_path TO mimosa_3_0_g;

  CREATE TABLE row_status_type (
                    rstat_type_cod          SMALLINT         NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (rstat_type_cod)
  );
  COMMIT;

  CREATE TABLE enterprise_type (
                    ent_db_site             CHAR(16)         NOT NULL,
                    ent_db_id               INTEGER          NOT NULL,
                    ent_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ent_db_site,ent_db_id,ent_type_code)
  );
  COMMIT;

  CREATE TABLE enterprise (
                    enterprise_id           INTEGER          NOT NULL,
                    ent_db_site             CHAR(16)         NOT NULL,
                    ent_db_id               INTEGER          NOT NULL,
                    ent_type_code           INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (enterprise_id)
  );
  COMMIT;

  CREATE TABLE site_type (
                    st_db_site              CHAR(16)         NOT NULL,
                    st_db_id                INTEGER          NOT NULL,
                    st_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    mobile_yn               CHAR(1)          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (st_db_site,st_db_id,st_type_code),
     CHECK (mobile_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE site_type_child (
                    st_db_site              CHAR(16)         NOT NULL,
                    st_db_id                INTEGER          NOT NULL,
                    st_type_code            INTEGER          NOT NULL,
                    child_st_db_site        CHAR(16)         NOT NULL,
                    child_st_db_id          INTEGER          NOT NULL,
                    child_st_type_code      INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (st_db_site,st_db_id,st_type_code,child_st_db_site,child_st_db_id,child_st_type_code)
  );
  COMMIT;

  CREATE TABLE site (
                    site_code               CHAR(16)         NOT NULL,
                    enterprise_id           INTEGER          NOT NULL,
                    site_id                 INTEGER          NOT NULL,
                    st_db_site              CHAR(16)         NOT NULL,
                    st_db_id                INTEGER          NOT NULL,
                    st_type_code            INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    duns_number             INTEGER,
                    template_yn             CHAR(1)          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (site_code),
     CHECK (template_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE site_database (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    mf_db_site              CHAR(16),
                    mf_db_id                INTEGER,
                    mf_duns_code            INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id)
  );
  COMMIT;

  CREATE TABLE manufacturer (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    manuf_trade_name        VARCHAR(254)     NOT NULL,
                    company_name            VARCHAR(254)     NOT NULL,
                    phys_addr               VARCHAR(254),
                    phys_city_name          VARCHAR(254),
                    phys_state_abbr         VARCHAR(254),
                    phys_postal_code        VARCHAR(254),
                    phys_country_abbr       VARCHAR(254),
                    mail_addr               VARCHAR(254),
                    mail_city_name          VARCHAR(254),
                    mail_state_abbr         VARCHAR(254),
                    mail_postal_code        VARCHAR(254),
                    mail_country_abbr       VARCHAR(254),
                    us_ph_number            VARCHAR(254),
                    int_ph_country_no       VARCHAR(254),
                    int_ph_city_no          VARCHAR(254),
                    int_ph_local_no         VARCHAR(254),
                    us_fax_number           VARCHAR(254),
                    int_fax_country_no      VARCHAR(254),
                    int_fax_city_no         VARCHAR(254),
                    int_fax_local_no        VARCHAR(254),
                    business_desc           VARCHAR(254),
                    primary_sic             VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
                    lc_alt_sic1             VARCHAR(254),
                    lc_alt_sic2             VARCHAR(254),
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code)
  );
  COMMIT;

  CREATE TABLE segment_type (
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    default_mnemonic        VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code)
  );
  COMMIT;

  CREATE TABLE segment_type_child (
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    child_sg_db_site        CHAR(16)         NOT NULL,
                    child_sg_db_id          INTEGER          NOT NULL,
                    child_sg_type_code      INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,child_sg_db_site,child_sg_db_id,child_sg_type_code)
  );
  COMMIT;

  CREATE TABLE segment (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    segment_group_yn        CHAR(1)          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id),
     CHECK (segment_group_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE purchase_cond_type (
                    pc_db_site              CHAR(16)         NOT NULL,
                    pc_db_id                INTEGER          NOT NULL,
                    pc_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (pc_db_site,pc_db_id,pc_type_code)
  );
  COMMIT;

  CREATE TABLE as_readiness_type (
                    asr_db_site             CHAR(16)         NOT NULL,
                    asr_db_id               INTEGER          NOT NULL,
                    asr_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    description             VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asr_db_site,asr_db_id,asr_type_code)
  );
  COMMIT;

  CREATE TABLE mloc_calc_type (
                    mc_db_site              CHAR(16)         NOT NULL,
                    mc_db_id                INTEGER          NOT NULL,
                    mc_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    description             VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mc_db_site,mc_db_id,mc_type_code)
  );
  COMMIT;

  CREATE TABLE segment_child (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    child_sg_site           CHAR(16)         NOT NULL,
                    child_sg_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,child_sg_site,child_sg_id)
  );
  COMMIT;

  CREATE TABLE ref_unit_type (
                    ru_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    physics_descr           VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ru_type_code)
  );
  COMMIT;

  CREATE TABLE eng_unit_type (
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    ru_type_code            INTEGER          NOT NULL,
                    mult_fact_to_ref        FLOAT            NOT NULL,
                    refer_off_to_ref        FLOAT            NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    abbrev                  VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (eu_db_site,eu_db_id,eu_type_code)
  );
  COMMIT;

  CREATE TABLE eng_unit_enum (
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              INTEGER          NOT NULL,
                    data_name               VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (eu_db_site,eu_db_id,eu_type_code,data_value)
  );
  COMMIT;

  CREATE TABLE sg_num_dat_type (
                    sn_db_site              CHAR(16)         NOT NULL,
                    sn_db_id                INTEGER          NOT NULL,
                    sn_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    default_ru_type         INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sn_db_site,sn_db_id,sn_type_code)
  );
  COMMIT;

  CREATE TABLE sg_chr_dat_type (
                    sc_db_site              CHAR(16)         NOT NULL,
                    sc_db_id                INTEGER          NOT NULL,
                    sc_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    default_ru_type         INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sc_db_site,sc_db_id,sc_type_code)
  );
  COMMIT;

  CREATE TABLE segment_num_data (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    sn_db_site              CHAR(16)         NOT NULL,
                    sn_db_id                INTEGER          NOT NULL,
                    sn_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,sn_db_site,sn_db_id,sn_type_code)
  );
  COMMIT;

  CREATE TABLE segment_chr_data (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    sc_db_site              CHAR(16)         NOT NULL,
                    sc_db_id                INTEGER          NOT NULL,
                    sc_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,sc_db_site,sc_db_id,sc_type_code)
  );
  COMMIT;

  CREATE TABLE sg_as_event_type (
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ev_db_site,ev_db_id,event_type_code)
  );
  COMMIT;

  CREATE TABLE segment_event (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_event_stop          TIMESTAMP WITH TIME ZONE,
                    ev_loc_hr_delta         SMALLINT,
                    ev_loc_min_delta        SMALLINT,
                    gmt_stored              TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE asset_type (
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    default_mnemonic        VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_db_site,as_db_id,as_type_code)
  );
  COMMIT;

  CREATE TABLE asset_type_child (
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    child_as_db_site        CHAR(16)         NOT NULL,
                    child_as_db_id          INTEGER          NOT NULL,
                    child_as_type_code      INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_db_site,as_db_id,as_type_code,child_as_db_site,child_as_db_id,child_as_type_code)
  );
  COMMIT;

  CREATE TABLE model (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number)
  );
  COMMIT;

  CREATE TABLE model_child (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    child_mf_db_site        CHAR(16)         NOT NULL,
                    child_mf_db_id          INTEGER          NOT NULL,
                    child_mf_duns_code      INTEGER          NOT NULL,
                    child_model_num         VARCHAR(254)     NOT NULL,
                    child_revision_num      INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,child_mf_db_site,child_mf_db_id,child_mf_duns_code,child_model_num,child_revision_num)
  );
  COMMIT;

  CREATE TABLE as_num_dat_type (
                    an_db_site              CHAR(16)         NOT NULL,
                    an_db_id                INTEGER          NOT NULL,
                    an_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    default_ru_type         INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (an_db_site,an_db_id,an_type_code)
  );
  COMMIT;

  CREATE TABLE as_chr_dat_type (
                    ac_db_site              CHAR(16)         NOT NULL,
                    ac_db_id                INTEGER          NOT NULL,
                    ac_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    default_ru_type         INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ac_db_site,ac_db_id,ac_type_code)
  );
  COMMIT;

  CREATE TABLE model_num_data (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    an_db_site              CHAR(16)         NOT NULL,
                    an_db_id                INTEGER          NOT NULL,
                    an_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,an_db_site,an_db_id,an_type_code)
  );
  COMMIT;

  CREATE TABLE model_chr_data (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    ac_db_site              CHAR(16)         NOT NULL,
                    ac_db_id                INTEGER          NOT NULL,
                    ac_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ac_db_site,ac_db_id,ac_type_code)
  );
  COMMIT;

  CREATE TABLE asset (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    mf_db_site              CHAR(16),
                    mf_db_id                INTEGER,
                    mf_duns_code            INTEGER,
                    model_number            VARCHAR(254),
                    revision_number         INTEGER,
                    serial_number           VARCHAR(254),
                    asr_db_site             CHAR(16),
                    asr_db_id               INTEGER,
                    asr_type_code           INTEGER,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id)
  );
  COMMIT;

  CREATE TABLE asset_child (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    child_as_site           CHAR(16)         NOT NULL,
                    child_as_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,child_as_site,child_as_id)
  );
  COMMIT;

  CREATE TABLE asset_num_data (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    an_db_site              CHAR(16)         NOT NULL,
                    an_db_id                INTEGER          NOT NULL,
                    an_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,an_db_site,an_db_id,an_type_code)
  );
  COMMIT;

  CREATE TABLE asset_chr_data (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ac_db_site              CHAR(16)         NOT NULL,
                    ac_db_id                INTEGER          NOT NULL,
                    ac_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,ac_db_site,ac_db_id,ac_type_code)
  );
  COMMIT;

  CREATE TABLE asset_event (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_event_stop          TIMESTAMP WITH TIME ZONE,
                    ev_loc_hr_delta         SMALLINT,
                    ev_loc_min_delta        SMALLINT,
                    gmt_stored              TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE asset_on_segment (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_installed           TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_removed             TIMESTAMP WITH TIME ZONE,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,segment_site,segment_id,gmt_installed)
  );
  COMMIT;

  CREATE TABLE asset_owner (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_purchased           TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sold_to_site            CHAR(16)         NOT NULL,
                    purch_from_site         CHAR(16),
                    pc_db_site              CHAR(16),
                    pc_db_id                INTEGER,
                    pc_type_code            INTEGER,
                    asr_db_site             CHAR(16),
                    asr_db_id               INTEGER,
                    asr_type_code           INTEGER,
                    gmt_sold                TIMESTAMP WITH TIME ZONE,
                    gmt_discarded           TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_purchased)
  );
  COMMIT;

  CREATE TABLE meas_loc_type (
                    ml_db_site              CHAR(16)         NOT NULL,
                    ml_db_id                INTEGER          NOT NULL,
                    ml_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ml_db_site,ml_db_id,ml_type_code)
  );
  COMMIT;

  CREATE TABLE data_source_type (
                    ds_db_site              CHAR(16)         NOT NULL,
                    ds_db_id                INTEGER          NOT NULL,
                    ds_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ds_db_site,ds_db_id,ds_type_code)
  );
  COMMIT;

  CREATE TABLE trans_type (
                    tr_db_site              CHAR(16)         NOT NULL,
                    tr_db_id                INTEGER          NOT NULL,
                    tr_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    tr_type_abbrev          VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (tr_db_site,tr_db_id,tr_type_code)
  );
  COMMIT;

  CREATE TABLE tr_axis_dir_type (
                    ta_db_site              CHAR(16)         NOT NULL,
                    ta_db_id                INTEGER          NOT NULL,
                    ta_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ta_db_site,ta_db_id,ta_type_code)
  );
  COMMIT;

  CREATE TABLE meas_location (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    ml_db_site              CHAR(16)         NOT NULL,
                    ml_db_id                INTEGER          NOT NULL,
                    ml_type_code            INTEGER          NOT NULL,
                    segment_or_asset        CHAR(1)          NOT NULL,
                    segment_site            CHAR(16),
                    segment_id              INTEGER,
                    asset_org_site          CHAR(16),
                    asset_id                INTEGER,
                    ds_db_site              CHAR(16),
                    ds_db_id                INTEGER,
                    ds_type_code            INTEGER,
                    tr_db_site              CHAR(16),
                    tr_db_id                INTEGER,
                    tr_type_code            INTEGER,
                    ta_orient_deg           INTEGER,
                    ta_db_site              CHAR(16),
                    ta_db_id                INTEGER,
                    ta_type_code            INTEGER,
                    mim_loc_seq             INTEGER,
                    motion_direction        CHAR(1),
                    mim_user_prefix         VARCHAR(254),
                    mc_db_site              CHAR(16),
                    mc_db_id                INTEGER,
                    mc_type_code            INTEGER,
                    mc_calc_size            INTEGER,
                    update_interval         FLOAT,
                    int_eu_db_site          CHAR(16),
                    int_eu_db_id            INTEGER,
                    int_eu_type_code        INTEGER,
                    collect_duration        FLOAT,
                    dur_eu_db_site          CHAR(16),
                    dur_eu_db_id            INTEGER,
                    dur_eu_type_code        INTEGER,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    barcode                 VARCHAR(254),
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id),
     CHECK (segment_or_asset in ('A','S')),
                                        CHECK (motion_direction in ('N','R'))
                                     );
  COMMIT;

  CREATE TABLE ordered_list (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    user_tag_ident          VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id)
  );
  COMMIT;

  CREATE TABLE meas_loc_list (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE mloc_unit_list (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    channel_number          INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number)
  );
  COMMIT;

  CREATE TABLE data_source (
                    ds_asset_site           CHAR(16)         NOT NULL,
                    ds_asset_id             INTEGER          NOT NULL,
                    ds_db_site              CHAR(16)         NOT NULL,
                    ds_db_id                INTEGER          NOT NULL,
                    ds_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ds_asset_site,ds_asset_id)
  );
  COMMIT;

  CREATE TABLE transducer (
                    tr_asset_site           CHAR(16)         NOT NULL,
                    tr_asset_id             INTEGER          NOT NULL,
                    tr_db_site              CHAR(16)         NOT NULL,
                    tr_db_id                INTEGER          NOT NULL,
                    tr_type_code            INTEGER          NOT NULL,
                    out_eu_db_site          CHAR(16),
                    out_eu_db_id            INTEGER,
                    out_eu_type_code        INTEGER,
                    out_amplitude           FLOAT,
                    per_eu_db_site          CHAR(16),
                    per_eu_db_id            INTEGER,
                    per_eu_type_code        INTEGER,
                    gmt_last_calib          TIMESTAMP WITH TIME ZONE,
                    self_powered_yn         CHAR(1),
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (tr_asset_site,tr_asset_id),
     CHECK (self_powered_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE data_qual_type (
                    dqual_type_code         SMALLINT         NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (dqual_type_code)
  );
  COMMIT;

  CREATE TABLE meas_event (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ev_loc_hr_delta         SMALLINT,
                    ev_loc_min_delta        SMALLINT,
                    gmt_stored              TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    segment_site            CHAR(16),
                    segment_id              INTEGER,
                    asset_org_site          CHAR(16),
                    asset_id                INTEGER,
                    ds_asset_site           CHAR(16),
                    ds_asset_id             INTEGER,
                    tr_asset_site           CHAR(16),
                    tr_asset_id             INTEGER,
                    dqual_type_code         SMALLINT         NOT NULL,
                    ml_db_site              CHAR(16),
                    ml_db_id                INTEGER,
                    ml_type_code            INTEGER,
                    mc_db_site              CHAR(16),
                    mc_db_id                INTEGER,
                    mc_type_code            INTEGER,
                    mc_calc_size            INTEGER,
                    collect_duration        FLOAT,
                    dur_eu_db_site          CHAR(16),
                    dur_eu_db_id            INTEGER,
                    dur_eu_type_code        INTEGER,
                    confid_percent          SMALLINT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE meas_event_assoc (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    related_mloc_site       CHAR(16)         NOT NULL,
                    related_mloc_id         INTEGER          NOT NULL,
                    related_gmt_event       TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (related_mloc_site,related_mloc_id,related_gmt_event,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE meas_event_rem (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq)
  );
  COMMIT;

  CREATE TABLE mevent_num_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code)
  );
  COMMIT;

  CREATE TABLE mevent_chr_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code)
  );
  COMMIT;

  CREATE TABLE alarm_severity (
                    al_severity_rank        SMALLINT         NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (al_severity_rank)
  );
  COMMIT;

  CREATE TABLE alarm_type (
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    al_severity_rank        SMALLINT         NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (al_db_site,al_db_id,al_type_code)
  );
  COMMIT;

  CREATE TABLE num_alarm_reg (
                    alarm_db_site           CHAR(16)         NOT NULL,
                    alarm_db_id             INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    ml_db_site              CHAR(16),
                    ml_db_id                INTEGER,
                    ml_type_code            INTEGER,
                    mc_db_site              CHAR(16),
                    mc_db_id                INTEGER,
                    mc_type_code            INTEGER,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    gmt_alarm_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    min_amplitude           FLOAT            NOT NULL,
                    max_amplitude           FLOAT            NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE agent_type (
                    agent_db_site           CHAR(16)         NOT NULL,
                    agent_db_id             INTEGER          NOT NULL,
                    agent_type_code         INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (agent_db_site,agent_db_id,agent_type_code)
  );
  COMMIT;

  CREATE TABLE agent (
                    org_agent_site          CHAR(16)         NOT NULL,
                    agent_id                INTEGER          NOT NULL,
                    agent_db_site           CHAR(16)         NOT NULL,
                    agent_db_id             INTEGER          NOT NULL,
                    agent_type_code         INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (org_agent_site,agent_id)
  );
  COMMIT;

  CREATE TABLE src_detect_type (
                    src_dt_db_site          CHAR(16)         NOT NULL,
                    src_dt_db_id            INTEGER          NOT NULL,
                    src_dt_type_code        INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (src_dt_db_site,src_dt_db_id,src_dt_type_code)
  );
  COMMIT;

  CREATE TABLE post_scaling_type (
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (pst_sc_db_site,pst_sc_db_id,pst_sc_type_code)
  );
  COMMIT;

  CREATE TABLE mevent_num_alarm (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    gmt_acknowledged        TIMESTAMP WITH TIME ZONE,
                    ack_loc_hr_delta        SMALLINT,
                    ack_loc_min_delta       SMALLINT,
                    org_agent_site          CHAR(16),
                    agent_id                INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code)
  );
  COMMIT;

  CREATE TABLE num_al_assoc_reg (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    alarm_db_site           CHAR(16)         NOT NULL,
                    alarm_db_id             INTEGER          NOT NULL,
                    al_meas_loc_site        CHAR(16)         NOT NULL,
                    al_meas_loc_id          INTEGER          NOT NULL,
                    al_ordering_seq         INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code,alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq)
  );
  COMMIT;

  CREATE TABLE spa_alarm_reg (
                    alarm_db_site           CHAR(16)         NOT NULL,
                    alarm_db_id             INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    ml_db_site              CHAR(16),
                    ml_db_id                INTEGER,
                    ml_type_code            INTEGER,
                    mc_db_site              CHAR(16),
                    mc_db_id                INTEGER,
                    mc_type_code            INTEGER,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    freq_or_order           CHAR(1)          NOT NULL,
                    min_in_hz_or_ord        FLOAT            NOT NULL,
                    max_in_hz_or_ord        FLOAT            NOT NULL,
                    gmt_alarm_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    src_dt_db_site          CHAR(16),
                    src_dt_db_id            INTEGER,
                    src_dt_type_code        INTEGER,
                    min_amplitude           FLOAT            NOT NULL,
                    max_amplitude           FLOAT            NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq),
     CHECK (freq_or_order in ('F','O'))
                                     );
  COMMIT;

  CREATE TABLE signal_proc_type (
                    sp_db_site              CHAR(16)         NOT NULL,
                    sp_db_id                INTEGER          NOT NULL,
                    sp_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sp_db_site,sp_db_id,sp_type_code)
  );
  COMMIT;

  CREATE TABLE signal_proc_blk (
                    sp_blk_db_site          CHAR(16)         NOT NULL,
                    sp_blk_db_id            INTEGER          NOT NULL,
                    sp_block_id             INTEGER          NOT NULL,
                    sp_db_site              CHAR(16)         NOT NULL,
                    sp_db_id                INTEGER          NOT NULL,
                    sp_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sp_blk_db_site,sp_blk_db_id,sp_block_id)
  );
  COMMIT;

  CREATE TABLE sp_num_dat_type (
                    spn_db_site             CHAR(16)         NOT NULL,
                    spn_db_id               INTEGER          NOT NULL,
                    spn_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (spn_db_site,spn_db_id,spn_type_code)
  );
  COMMIT;

  CREATE TABLE sp_blk_num_data (
                    sp_blk_db_site          CHAR(16)         NOT NULL,
                    sp_blk_db_id            INTEGER          NOT NULL,
                    sp_block_id             INTEGER          NOT NULL,
                    spn_db_site             CHAR(16)         NOT NULL,
                    spn_db_id               INTEGER          NOT NULL,
                    spn_type_code           INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sp_blk_db_site,sp_blk_db_id,sp_block_id,spn_db_site,spn_db_id,spn_type_code)
  );
  COMMIT;

  CREATE TABLE sp_stream_type (
                    sps_type_db_site        CHAR(16)         NOT NULL,
                    sps_type_db_id          INTEGER          NOT NULL,
                    sps_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sps_type_db_site,sps_type_db_id,sps_type_code)
  );
  COMMIT;

  CREATE TABLE sp_stream (
                    sp_str_db_site          CHAR(16)         NOT NULL,
                    sp_str_db_id            INTEGER          NOT NULL,
                    sp_stream_id            INTEGER          NOT NULL,
                    sps_type_db_site        CHAR(16)         NOT NULL,
                    sps_type_db_id          INTEGER          NOT NULL,
                    sps_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sp_str_db_site,sp_str_db_id,sp_stream_id)
  );
  COMMIT;

  CREATE TABLE sp_stream_block (
                    sp_str_db_site          CHAR(16)         NOT NULL,
                    sp_str_db_id            INTEGER          NOT NULL,
                    sp_stream_id            INTEGER          NOT NULL,
                    sp_blk_db_site          CHAR(16)         NOT NULL,
                    sp_blk_db_id            INTEGER          NOT NULL,
                    sp_block_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sp_str_db_site,sp_str_db_id,sp_stream_id,sp_blk_db_site,sp_blk_db_id,sp_block_id)
  );
  COMMIT;

  CREATE TABLE average_type (
                    ave_db_site             CHAR(16)         NOT NULL,
                    ave_db_id               INTEGER          NOT NULL,
                    ave_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ave_db_site,ave_db_id,ave_type_code)
  );
  COMMIT;

  CREATE TABLE ave_weight_type (
                    ave_wt_db_site          CHAR(16)         NOT NULL,
                    ave_wt_db_id            INTEGER          NOT NULL,
                    ave_wt_type_code        INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ave_wt_db_site,ave_wt_db_id,ave_wt_type_code)
  );
  COMMIT;

  CREATE TABLE ave_synch_type (
                    ave_sy_db_site          CHAR(16)         NOT NULL,
                    ave_sy_db_id            INTEGER          NOT NULL,
                    ave_sy_type_code        INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ave_sy_db_site,ave_sy_db_id,ave_sy_type_code)
  );
  COMMIT;

  CREATE TABLE sp_ampl_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    freq_or_order           CHAR(1)          NOT NULL,
                    min_in_hz_or_ord        FLOAT            NOT NULL,
                    max_in_hz_or_ord        FLOAT            NOT NULL,
                    src_dt_db_site          CHAR(16),
                    src_dt_db_id            INTEGER,
                    src_dt_type_code        INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    assoc_rpm_in_hz         FLOAT,
                    amplitude               FLOAT            NOT NULL,
                    angle_in_degrees        FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq),
     CHECK (freq_or_order in ('F','O'))
                                     );
  COMMIT;

  CREATE TABLE sp_ampl_alarm (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    gmt_acknowledged        TIMESTAMP WITH TIME ZONE,
                    ack_loc_hr_delta        SMALLINT,
                    ack_loc_min_delta       SMALLINT,
                    org_agent_site          CHAR(16),
                    agent_id                INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code)
  );
  COMMIT;

  CREATE TABLE spa_al_assoc_reg (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    alarm_db_site           CHAR(16)         NOT NULL,
                    alarm_db_id             INTEGER          NOT NULL,
                    al_meas_loc_site        CHAR(16)         NOT NULL,
                    al_meas_loc_id          INTEGER          NOT NULL,
                    al_ordering_seq         INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code,alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq)
  );
  COMMIT;

  CREATE TABLE window_type (
                    win_db_site             CHAR(16)         NOT NULL,
                    win_db_id               INTEGER          NOT NULL,
                    win_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    pf_multiplier           FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (win_db_site,win_db_id,win_type_code)
  );
  COMMIT;

  CREATE TABLE sp_fft_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    freq_or_order           CHAR(1)          NOT NULL,
                    min_in_hz_or_ord        FLOAT            NOT NULL,
                    max_in_hz_or_ord        FLOAT            NOT NULL,
                    resolution_lines        INTEGER          NOT NULL,
                    win_db_site             CHAR(16)         NOT NULL,
                    win_db_id               INTEGER          NOT NULL,
                    win_type_code           INTEGER          NOT NULL,
                    ave_db_site             CHAR(16),
                    ave_db_id               INTEGER,
                    ave_type_code           INTEGER,
                    ave_wt_db_site          CHAR(16),
                    ave_wt_db_id            INTEGER,
                    ave_wt_type_code        INTEGER,
                    ave_sy_db_site          CHAR(16),
                    ave_sy_db_id            INTEGER,
                    ave_sy_type_code        INTEGER,
                    ave_overlap_pct         FLOAT,
                    num_of_averages         INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    assoc_rpm_in_hz         FLOAT,
                    name                    VARCHAR(254),
                    dc_level                FLOAT,
                    complex_yn              CHAR(1)          NOT NULL,
                    spectrum_data           BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq),
     CHECK (freq_or_order in ('F','O')),
                                        CHECK (complex_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE sp_time_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    secs_or_revs            CHAR(1)          NOT NULL,
                    off_secs_or_revs        FLOAT            NOT NULL,
                    max_secs_or_revs        FLOAT            NOT NULL,
                    number_of_samples       FLOAT            NOT NULL,
                    win_db_site             CHAR(16)         NOT NULL,
                    win_db_id               INTEGER          NOT NULL,
                    win_type_code           INTEGER          NOT NULL,
                    ave_db_site             CHAR(16),
                    ave_db_id               INTEGER,
                    ave_type_code           INTEGER,
                    ave_wt_db_site          CHAR(16),
                    ave_wt_db_id            INTEGER,
                    ave_wt_type_code        INTEGER,
                    ave_sy_db_site          CHAR(16),
                    ave_sy_db_id            INTEGER,
                    ave_sy_type_code        INTEGER,
                    ave_overlap_pct         FLOAT,
                    num_of_averages         INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    assoc_rpm_in_hz         FLOAT,
                    name                    VARCHAR(254),
                    complex_yn              CHAR(1)          NOT NULL,
                    waveform_data           BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq),
     CHECK (secs_or_revs in ('S','R')),
                                        CHECK (complex_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE sp_cpb_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    number_of_bands         INTEGER          NOT NULL,
                    center_in_hz_1bd        FLOAT            NOT NULL,
                    width_pct_or_oct        CHAR(1)          NOT NULL,
                    band_width              FLOAT            NOT NULL,
                    ave_db_site             CHAR(16),
                    ave_db_id               INTEGER,
                    ave_type_code           INTEGER,
                    ave_wt_db_site          CHAR(16),
                    ave_wt_db_id            INTEGER,
                    ave_wt_type_code        INTEGER,
                    ave_sy_db_site          CHAR(16),
                    ave_sy_db_id            INTEGER,
                    ave_sy_type_code        INTEGER,
                    ave_overlap_pct         FLOAT,
                    num_of_averages         INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    assoc_rpm_in_hz         FLOAT,
                    name                    VARCHAR(254),
                    spectrum_data           BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,ordering_seq),
     CHECK (width_pct_or_oct in ('P','O'))
                                     );
  COMMIT;

  CREATE TABLE sp_ampl_setup (
                    spa_setup_db_site       CHAR(16)         NOT NULL,
                    spa_setup_db_id         INTEGER          NOT NULL,
                    spa_setup_id            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    freq_or_order           CHAR(1)          NOT NULL,
                    min_in_hz_or_ord        FLOAT            NOT NULL,
                    max_in_hz_or_ord        FLOAT            NOT NULL,
                    src_dt_db_site          CHAR(16),
                    src_dt_db_id            INTEGER,
                    src_dt_type_code        INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (spa_setup_db_site,spa_setup_db_id,spa_setup_id),
     CHECK (freq_or_order in ('F','O'))
                                     );
  COMMIT;

  CREATE TABLE sp_fft_setup (
                    spf_setup_db_site       CHAR(16)         NOT NULL,
                    spf_setup_db_id         INTEGER          NOT NULL,
                    spf_setup_id            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    freq_or_order           CHAR(1)          NOT NULL,
                    min_in_hz_or_ord        FLOAT            NOT NULL,
                    max_in_hz_or_ord        FLOAT            NOT NULL,
                    resolution_lines        INTEGER          NOT NULL,
                    win_db_site             CHAR(16)         NOT NULL,
                    win_db_id               INTEGER          NOT NULL,
                    win_type_code           INTEGER          NOT NULL,
                    ave_db_site             CHAR(16),
                    ave_db_id               INTEGER,
                    ave_type_code           INTEGER,
                    ave_wt_db_site          CHAR(16),
                    ave_wt_db_id            INTEGER,
                    ave_wt_type_code        INTEGER,
                    ave_sy_db_site          CHAR(16),
                    ave_sy_db_id            INTEGER,
                    ave_sy_type_code        INTEGER,
                    ave_overlap_pct         FLOAT,
                    num_of_averages         INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    complex_yn              CHAR(1)          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (spf_setup_db_site,spf_setup_db_id,spf_setup_id),
     CHECK (freq_or_order in ('F','O')),
                                        CHECK (complex_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE sp_time_setup (
                    spt_setup_db_site       CHAR(16)         NOT NULL,
                    spt_setup_db_id         INTEGER          NOT NULL,
                    spt_setup_id            INTEGER          NOT NULL,
                    secs_or_revs            CHAR(1)          NOT NULL,
                    off_secs_or_revs        FLOAT            NOT NULL,
                    max_secs_or_revs        FLOAT            NOT NULL,
                    number_of_samples       FLOAT            NOT NULL,
                    win_db_site             CHAR(16)         NOT NULL,
                    win_db_id               INTEGER          NOT NULL,
                    win_type_code           INTEGER          NOT NULL,
                    ave_db_site             CHAR(16),
                    ave_db_id               INTEGER,
                    ave_type_code           INTEGER,
                    ave_wt_db_site          CHAR(16),
                    ave_wt_db_id            INTEGER,
                    ave_wt_type_code        INTEGER,
                    ave_sy_db_site          CHAR(16),
                    ave_sy_db_id            INTEGER,
                    ave_sy_type_code        INTEGER,
                    ave_overlap_pct         FLOAT,
                    num_of_averages         INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    complex_yn              CHAR(1)          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (spt_setup_db_site,spt_setup_db_id,spt_setup_id),
     CHECK (secs_or_revs in ('S','R')),
                                        CHECK (complex_yn in ('Y','N'))
                                     );
  COMMIT;

  CREATE TABLE sp_cpb_setup (
                    spc_setup_db_site       CHAR(16)         NOT NULL,
                    spc_setup_db_id         INTEGER          NOT NULL,
                    spc_setup_id            INTEGER          NOT NULL,
                    pst_sc_db_site          CHAR(16)         NOT NULL,
                    pst_sc_db_id            INTEGER          NOT NULL,
                    pst_sc_type_code        INTEGER          NOT NULL,
                    number_of_bands         INTEGER          NOT NULL,
                    center_in_hz_1bd        FLOAT            NOT NULL,
                    width_pct_or_oct        CHAR(1)          NOT NULL,
                    band_width              FLOAT            NOT NULL,
                    ave_db_site             CHAR(16),
                    ave_db_id               INTEGER,
                    ave_type_code           INTEGER,
                    ave_wt_db_site          CHAR(16),
                    ave_wt_db_id            INTEGER,
                    ave_wt_type_code        INTEGER,
                    ave_sy_db_site          CHAR(16),
                    ave_sy_db_id            INTEGER,
                    ave_sy_type_code        INTEGER,
                    ave_overlap_pct         FLOAT,
                    num_of_averages         INTEGER,
                    sp_str_db_site          CHAR(16),
                    sp_str_db_id            INTEGER,
                    sp_stream_id            INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (spc_setup_db_site,spc_setup_db_id,spc_setup_id),
     CHECK (width_pct_or_oct in ('P','O'))
                                     );
  COMMIT;

  CREATE TABLE mloc_ulist_sp_ampl (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    channel_number          INTEGER          NOT NULL,
                    spa_setup_db_site       CHAR(16)         NOT NULL,
                    spa_setup_db_id         INTEGER          NOT NULL,
                    spa_setup_id            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spa_setup_db_site,spa_setup_db_id,spa_setup_id)
  );
  COMMIT;

  CREATE TABLE mloc_ulist_sp_fft (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    channel_number          INTEGER          NOT NULL,
                    spf_setup_db_site       CHAR(16)         NOT NULL,
                    spf_setup_db_id         INTEGER          NOT NULL,
                    spf_setup_id            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spf_setup_db_site,spf_setup_db_id,spf_setup_id)
  );
  COMMIT;

  CREATE TABLE mloc_ulist_sp_time (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    channel_number          INTEGER          NOT NULL,
                    spt_setup_db_site       CHAR(16)         NOT NULL,
                    spt_setup_db_id         INTEGER          NOT NULL,
                    spt_setup_id            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spt_setup_db_site,spt_setup_db_id,spt_setup_id)
  );
  COMMIT;

  CREATE TABLE mloc_ulist_sp_cpb (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    channel_number          INTEGER          NOT NULL,
                    spc_setup_db_site       CHAR(16)         NOT NULL,
                    spc_setup_db_id         INTEGER          NOT NULL,
                    spc_setup_id            INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number,spc_setup_db_site,spc_setup_db_id,spc_setup_id)
  );
  COMMIT;

  CREATE TABLE mim_tech_type (
                    tech_type_code          INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (tech_type_code)
  );
  COMMIT;

  CREATE TABLE mim_support_type (
                    supp_type_code          INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (supp_type_code)
  );
  COMMIT;

  CREATE TABLE mim_data_cat_type (
                    dcat_type_code          INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (dcat_type_code)
  );
  COMMIT;

  CREATE TABLE mim_func_type (
                    func_type_code          INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (func_type_code)
  );
  COMMIT;

  CREATE TABLE mim_access_type (
                    acc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (acc_type_code)
  );
  COMMIT;

  CREATE TABLE mim_interface_type (
                    interf_type_code        INTEGER          NOT NULL,
                    dcat_type_code          INTEGER          NOT NULL,
                    supp_type_code          INTEGER          NOT NULL,
                    func_type_code          INTEGER          NOT NULL,
                    tech_type_code          INTEGER          NOT NULL,
                    acc_type_code           INTEGER          NOT NULL,
                    support_level           SMALLINT         NOT NULL,
                    version_supported       SMALLINT         NOT NULL,
                    subversion_supp         SMALLINT         NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (interf_type_code)
  );
  COMMIT;

  CREATE TABLE network_type (
                    nt_db_site              CHAR(16)         NOT NULL,
                    nt_db_id                INTEGER          NOT NULL,
                    nt_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (nt_db_site,nt_db_id,nt_type_code)
  );
  COMMIT;

  CREATE TABLE event_type_child (
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    child_ev_db_site        CHAR(16)         NOT NULL,
                    child_ev_db_id          INTEGER          NOT NULL,
                    child_ev_type_code      INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ev_db_site,ev_db_id,event_type_code,child_ev_db_site,child_ev_db_id,child_ev_type_code)
  );
  COMMIT;

  CREATE TABLE sample_test_type (
                    stt_db_site             CHAR(16)         NOT NULL,
                    stt_db_id               INTEGER          NOT NULL,
                    stt_code                INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (stt_db_site,stt_db_id,stt_code)
  );
  COMMIT;

  CREATE TABLE sample_ndata_type (
                    snum_db_site            CHAR(16)         NOT NULL,
                    snum_db_id              INTEGER          NOT NULL,
                    snum_type_code          INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (snum_db_site,snum_db_id,snum_type_code)
  );
  COMMIT;

  CREATE TABLE sample_cdata_type (
                    schr_db_site            CHAR(16)         NOT NULL,
                    schr_db_id              INTEGER          NOT NULL,
                    schr_type_code          INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (schr_db_site,schr_db_id,schr_type_code)
  );
  COMMIT;

  CREATE TABLE test_result_ntype (
                    strn_db_site            CHAR(16)         NOT NULL,
                    strn_db_id              INTEGER          NOT NULL,
                    str_num_type_code       INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (strn_db_site,strn_db_id,str_num_type_code)
  );
  COMMIT;

  CREATE TABLE test_result_ctype (
                    strc_db_site            CHAR(16)         NOT NULL,
                    strc_db_id              INTEGER          NOT NULL,
                    str_chr_type_code       INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (strc_db_site,strc_db_id,str_chr_type_code)
  );
  COMMIT;

  CREATE TABLE test_result_btype (
                    strb_db_site            CHAR(16)         NOT NULL,
                    strb_db_id              INTEGER          NOT NULL,
                    str_blob_type_code      INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (strb_db_site,strb_db_id,str_blob_type_code)
  );
  COMMIT;

  CREATE TABLE blob_data_type (
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (bd_db_site,bd_db_id,bd_type_code)
  );
  COMMIT;

  CREATE TABLE blob_content_type (
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (blct_db_site,blct_db_id,blc_type_code)
  );
  COMMIT;

  CREATE TABLE mevent_blob_type (
                    mebt_db_site            CHAR(16)         NOT NULL,
                    mebt_db_id              INTEGER          NOT NULL,
                    meb_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mebt_db_site,mebt_db_id,meb_type_code)
  );
  COMMIT;

  CREATE TABLE highlight_type (
                    high_db_site            CHAR(16)         NOT NULL,
                    high_db_id              INTEGER          NOT NULL,
                    high_type_code          INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (high_db_site,high_db_id,high_type_code)
  );
  COMMIT;

  CREATE TABLE agent_role_type (
                    ag_role_db_site         CHAR(16)         NOT NULL,
                    ag_role_db_id           INTEGER          NOT NULL,
                    ag_role_type_code       INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ag_role_db_site,ag_role_db_id,ag_role_type_code)
  );
  COMMIT;

  CREATE TABLE ev_num_data_type (
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE severity_type (
                    severity_rank           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (severity_rank)
  );
  COMMIT;

  CREATE TABLE health_grade_type (
                    hgrade_type_code        INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (hgrade_type_code)
  );
  COMMIT;

  CREATE TABLE priority_type (
                    priority_type_code      INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (priority_type_code)
  );
  COMMIT;

  CREATE TABLE work_manage_type (
                    wm_type_db_site         CHAR(16)         NOT NULL,
                    wm_type_db_id           INTEGER          NOT NULL,
                    wm_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (wm_type_db_site,wm_type_db_id,wm_type_code)
  );
  COMMIT;

  CREATE TABLE work_task_type (
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (task_db_site,task_db_id,task_type_code)
  );
  COMMIT;

  CREATE TABLE wtask_type_child (
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    child_tk_db_site        CHAR(16)         NOT NULL,
                    child_tk_db_id          INTEGER          NOT NULL,
                    child_tk_type_code      INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (task_db_site,task_db_id,task_type_code,child_tk_db_site,child_tk_db_id,child_tk_type_code)
  );
  COMMIT;

  CREATE TABLE change_patt_type (
                    ch_patt_db_site         CHAR(16)         NOT NULL,
                    ch_patt_db_id           INTEGER          NOT NULL,
                    ch_patt_type_code       INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ch_patt_db_site,ch_patt_db_id,ch_patt_type_code)
  );
  COMMIT;

  CREATE TABLE work_audit_type (
                    waudit_db_site          CHAR(16)         NOT NULL,
                    waudit_db_id            INTEGER          NOT NULL,
                    waudit_type_code        INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (waudit_db_site,waudit_db_id,waudit_type_code)
  );
  COMMIT;

  CREATE TABLE work_num_data_type (
                    wn_db_site              CHAR(16)         NOT NULL,
                    wn_db_id                INTEGER          NOT NULL,
                    wn_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (wn_db_site,wn_db_id,wn_type_code)
  );
  COMMIT;

  CREATE TABLE work_chr_data_type (
                    wc_db_site              CHAR(16)         NOT NULL,
                    wc_db_id                INTEGER          NOT NULL,
                    wc_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (wc_db_site,wc_db_id,wc_type_code)
  );
  COMMIT;

  CREATE TABLE solution_pack_type (
                    sol_db_site             CHAR(16)         NOT NULL,
                    sol_db_id               INTEGER          NOT NULL,
                    sol_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sol_db_site,sol_db_id,sol_type_code)
  );
  COMMIT;

  CREATE TABLE network (
                    network_db_site         CHAR(16)         NOT NULL,
                    network_db_id           INTEGER          NOT NULL,
                    network_id              INTEGER          NOT NULL,
                    nt_db_site              CHAR(16)         NOT NULL,
                    nt_db_id                INTEGER          NOT NULL,
                    nt_type_code            INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (network_db_site,network_db_id,network_id)
  );
  COMMIT;

  CREATE TABLE sg_network_connect (
                    network_db_site         CHAR(16)         NOT NULL,
                    network_db_id           INTEGER          NOT NULL,
                    network_id              INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    output_sg_site          CHAR(16)         NOT NULL,
                    output_sg_id            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    gmt_stream_config       TIMESTAMP WITH TIME ZONE,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (network_db_site,network_db_id,network_id,segment_site,segment_id,output_sg_site,output_sg_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_network_connect (
                    network_db_site         CHAR(16)         NOT NULL,
                    network_db_id           INTEGER          NOT NULL,
                    network_id              INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    output_as_site          CHAR(16)         NOT NULL,
                    output_as_id            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    gmt_stream_config       TIMESTAMP WITH TIME ZONE,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (network_db_site,network_db_id,network_id,asset_org_site,asset_id,output_as_site,output_as_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE agent_role (
                    org_agent_site          CHAR(16)         NOT NULL,
                    agent_id                INTEGER          NOT NULL,
                    ag_role_db_site         CHAR(16)         NOT NULL,
                    ag_role_db_id           INTEGER          NOT NULL,
                    ag_role_type_code       INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (org_agent_site,agent_id,ag_role_db_site,ag_role_db_id,ag_role_type_code)
  );
  COMMIT;

  CREATE TABLE agent_role_with_agent (
                    org_agent_site          CHAR(16)         NOT NULL,
                    agent_id                INTEGER          NOT NULL,
                    ag_role_db_site         CHAR(16)         NOT NULL,
                    ag_role_db_id           INTEGER          NOT NULL,
                    ag_role_type_code       INTEGER          NOT NULL,
                    other_org_agent_site    CHAR(16)         NOT NULL,
                    other_agent_id          INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (org_agent_site,agent_id,ag_role_db_site,ag_role_db_id,ag_role_type_code,other_org_agent_site,other_agent_id)
  );
  COMMIT;

  CREATE TABLE mloc_test_alrm_rg (
                    alarm_db_site           CHAR(16)         NOT NULL,
                    alarm_db_id             INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    ml_db_site              CHAR(16),
                    ml_db_id                INTEGER,
                    ml_type_code            INTEGER,
                    mc_db_site              CHAR(16),
                    mc_db_id                INTEGER,
                    mc_type_code            INTEGER,
                    stt_db_site             CHAR(16)         NOT NULL,
                    stt_db_id               INTEGER          NOT NULL,
                    stt_code                INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    strn_db_site            CHAR(16)         NOT NULL,
                    strn_db_id              INTEGER          NOT NULL,
                    str_num_type_code       INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    gmt_alarm_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    min_data_value          FLOAT            NOT NULL,
                    max_data_value          FLOAT            NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE meas_sample (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq)
  );
  COMMIT;

  CREATE TABLE meas_sample_child (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    child_mloc_site         CHAR(16)         NOT NULL,
                    child_mloc_id           INTEGER          NOT NULL,
                    child_gmt_event         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    child_sam_ord_seq       INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,child_mloc_site,child_mloc_id,child_gmt_event,child_sam_ord_seq)
  );
  COMMIT;

  CREATE TABLE sample_num_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    snum_db_site            CHAR(16)         NOT NULL,
                    snum_db_id              INTEGER          NOT NULL,
                    snum_type_code          INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,snum_db_site,snum_db_id,snum_type_code)
  );
  COMMIT;

  CREATE TABLE sample_chr_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    schr_db_site            CHAR(16)         NOT NULL,
                    schr_db_id              INTEGER          NOT NULL,
                    schr_type_code          INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,schr_db_site,schr_db_id,schr_type_code)
  );
  COMMIT;

  CREATE TABLE sample_remark (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,ordering_seq)
  );
  COMMIT;

  CREATE TABLE meas_sample_test (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    stt_db_site             CHAR(16)         NOT NULL,
                    stt_db_id               INTEGER          NOT NULL,
                    stt_code                INTEGER          NOT NULL,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    test_asset_site         CHAR(16),
                    test_asset_id           INTEGER,
                    gmt_started             TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    gmt_ended               TIMESTAMP WITH TIME ZONE,
                    end_loc_hr_delta        SMALLINT,
                    end_loc_min_delta       SMALLINT,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq)
  );
  COMMIT;

  CREATE TABLE test_num_results (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    strn_db_site            CHAR(16)         NOT NULL,
                    strn_db_id              INTEGER          NOT NULL,
                    str_num_type_code       INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    real_data_value         FLOAT            NOT NULL,
                    imag_data_value         FLOAT,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq)
  );
  COMMIT;

  CREATE TABLE test_chr_results (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    strc_db_site            CHAR(16)         NOT NULL,
                    strc_db_id              INTEGER          NOT NULL,
                    str_chr_type_code       INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq)
  );
  COMMIT;

  CREATE TABLE test_remark (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq)
  );
  COMMIT;

  CREATE TABLE test_histogram (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    strn_db_site            CHAR(16)         NOT NULL,
                    strn_db_id              INTEGER          NOT NULL,
                    str_num_type_code       INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    min_screen_in_eu        INTEGER          NOT NULL,
                    max_screen_in_eu        INTEGER          NOT NULL,
                    resolution_lines        INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    histogram_data          BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq)
  );
  COMMIT;

  CREATE TABLE test_nres_alarm (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    gmt_acknowledged        TIMESTAMP WITH TIME ZONE,
                    ack_loc_hr_delta        SMALLINT,
                    ack_loc_min_delta       SMALLINT,
                    org_agent_site          CHAR(16),
                    agent_id                INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code)
  );
  COMMIT;

  CREATE TABLE test_al_assoc_reg (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    alarm_db_site           CHAR(16)         NOT NULL,
                    alarm_db_id             INTEGER          NOT NULL,
                    al_meas_loc_site        CHAR(16)         NOT NULL,
                    al_meas_loc_id          INTEGER          NOT NULL,
                    al_ordering_seq         INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code,alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq)
  );
  COMMIT;

  CREATE TABLE test_blob_results (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    strb_db_site            CHAR(16)         NOT NULL,
                    strb_db_id              INTEGER          NOT NULL,
                    str_blob_type_code      INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq)
  );
  COMMIT;

  CREATE TABLE test_bres_alarm (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    sample_order_seq        INTEGER          NOT NULL,
                    test_order_seq          INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    assoc_file_name         VARCHAR(254),
                    gmt_acknowledged        TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ack_loc_hr_delta        SMALLINT,
                    ack_loc_min_delta       SMALLINT,
                    org_agent_site          CHAR(16),
                    agent_id                INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code)
  );
  COMMIT;

  CREATE TABLE sg_type_blob_data (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,sg_db_site,sg_db_id,sg_type_code,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE segment_blob_data (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,segment_site,segment_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE model_blob_data (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_type_blob_data (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,as_db_site,as_db_id,as_type_code,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE asset_blob_data (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,asset_org_site,asset_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE olist_blob_data (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    blct_db_site            CHAR(16)         NOT NULL,
                    blct_db_id              INTEGER          NOT NULL,
                    blc_type_code           INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,ord_list_db_site,ord_list_db_id,ord_list_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE mevent_blob_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    mebt_db_site            CHAR(16)         NOT NULL,
                    mebt_db_id              INTEGER          NOT NULL,
                    meb_type_code           INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code)
  );
  COMMIT;

  CREATE TABLE blob_grid_data (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    mebt_db_site            CHAR(16)         NOT NULL,
                    mebt_db_id              INTEGER          NOT NULL,
                    meb_type_code           INTEGER          NOT NULL,
                    grid_seq                INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    x_resolution            INTEGER          NOT NULL,
                    y_resolution            INTEGER          NOT NULL,
                    data_origin_x           INTEGER          NOT NULL,
                    data_origin_y           INTEGER          NOT NULL,
                    data_end_x              INTEGER          NOT NULL,
                    data_end_y              INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    float_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code,grid_seq)
  );
  COMMIT;

  CREATE TABLE blob_alarm (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    mebt_db_site            CHAR(16)         NOT NULL,
                    mebt_db_id              INTEGER          NOT NULL,
                    meb_type_code           INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    gmt_acknowledged        TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ack_loc_hr_delta        SMALLINT,
                    ack_loc_min_delta       SMALLINT,
                    org_agent_site          CHAR(16),
                    agent_id                INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code,al_db_site,al_db_id,al_type_code)
  );
  COMMIT;

  CREATE TABLE blob_area_alarm (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    mebt_db_site            CHAR(16)         NOT NULL,
                    mebt_db_id              INTEGER          NOT NULL,
                    meb_type_code           INTEGER          NOT NULL,
                    area_seq                INTEGER          NOT NULL,
                    x_resolution            INTEGER          NOT NULL,
                    y_resolution            INTEGER          NOT NULL,
                    high_db_site            CHAR(16)         NOT NULL,
                    high_db_id              INTEGER          NOT NULL,
                    high_type_code          INTEGER          NOT NULL,
                    data_origin_x           INTEGER          NOT NULL,
                    data_origin_y           INTEGER          NOT NULL,
                    data_end_x              INTEGER          NOT NULL,
                    data_end_y              INTEGER          NOT NULL,
                    al_db_site              CHAR(16)         NOT NULL,
                    al_db_id                INTEGER          NOT NULL,
                    al_type_code            INTEGER          NOT NULL,
                    gmt_acknowledged        TIMESTAMP WITH TIME ZONE         NOT NULL,
                    ack_loc_hr_delta        SMALLINT,
                    ack_loc_min_delta       SMALLINT,
                    org_agent_site          CHAR(16),
                    agent_id                INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code,area_seq)
  );
  COMMIT;

  CREATE TABLE segment_function (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    user_tag_id             VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,segment_site,segment_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE asset_function (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    user_tag_id             VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,asset_org_site,asset_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_type_function (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    user_tag_id             VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_type_function (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    user_tag_id             VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE model_function (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    user_tag_id             VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_ev_sg_func_link (
                    ev_segment_site         CHAR(16)         NOT NULL,
                    ev_segment_id           INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    fn_db_site              CHAR(16)         NOT NULL,
                    fn_db_id                INTEGER          NOT NULL,
                    fn_segment_site         CHAR(16)         NOT NULL,
                    fn_segment_id           INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ev_segment_site,ev_segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,fn_db_site,fn_db_id,fn_segment_site,fn_segment_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_ev_as_func_link (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    fc_as_org_site          CHAR(16)         NOT NULL,
                    fc_as_id                INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,db_site,db_id,fc_as_org_site,fc_as_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_event_num_data (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE as_event_num_data (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE sg_ev_meas_event (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE as_ev_meas_event (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE segment_event_link (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    caused_sg_site          CHAR(16)         NOT NULL,
                    caused_sg_id            INTEGER          NOT NULL,
                    caused_ev_db_site       CHAR(16)         NOT NULL,
                    caused_ev_db_id         INTEGER          NOT NULL,
                    caused_ev_code          INTEGER          NOT NULL,
                    caused_gmt              TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,caused_sg_site,caused_sg_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt)
  );
  COMMIT;

  CREATE TABLE asset_event_link (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    caused_as_site          CHAR(16)         NOT NULL,
                    caused_as_id            INTEGER          NOT NULL,
                    caused_ev_db_site       CHAR(16)         NOT NULL,
                    caused_ev_db_id         INTEGER          NOT NULL,
                    caused_ev_code          INTEGER          NOT NULL,
                    caused_gmt              TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start,caused_as_site,caused_as_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt)
  );
  COMMIT;

  CREATE TABLE sg_hyp_event (
                    sg_hyp_db_site          CHAR(16)         NOT NULL,
                    sg_hyp_db_id            INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    name                    VARCHAR(254),
                    associated_blob         BYTEA,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE as_hyp_event (
                    as_hyp_db_site          CHAR(16)         NOT NULL,
                    as_hyp_db_id            INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    name                    VARCHAR(254),
                    associated_blob         BYTEA,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE sg_typ_hyp_event (
                    sgt_hyp_db_site         CHAR(16)         NOT NULL,
                    sgt_hyp_db_id           INTEGER          NOT NULL,
                    sgt_hyp_event_id        INTEGER          NOT NULL,
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    name                    VARCHAR(254),
                    associated_blob         BYTEA,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE as_typ_hyp_event (
                    ast_hyp_db_site         CHAR(16)         NOT NULL,
                    ast_hyp_db_id           INTEGER          NOT NULL,
                    ast_hyp_event_id        INTEGER          NOT NULL,
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    name                    VARCHAR(254),
                    associated_blob         BYTEA,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE model_hyp_event (
                    mod_hyp_db_site         CHAR(16)         NOT NULL,
                    mod_hyp_db_id           INTEGER          NOT NULL,
                    mod_hyp_event_id        INTEGER          NOT NULL,
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    name                    VARCHAR(254),
                    associated_blob         BYTEA,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE sg_hyp_event_link (
                    sg_hyp_db_site          CHAR(16)         NOT NULL,
                    sg_hyp_db_id            INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE as_hyp_event_link (
                    as_hyp_db_site          CHAR(16)         NOT NULL,
                    as_hyp_db_id            INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE sg_typ_hyp_ev_link (
                    sgt_hyp_db_site         CHAR(16)         NOT NULL,
                    sgt_hyp_db_id           INTEGER          NOT NULL,
                    sgt_hyp_event_id        INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE as_typ_hyp_ev_link (
                    ast_hyp_db_site         CHAR(16)         NOT NULL,
                    ast_hyp_db_id           INTEGER          NOT NULL,
                    ast_hyp_event_id        INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE model_hyp_ev_link (
                    mod_hyp_db_site         CHAR(16)         NOT NULL,
                    mod_hyp_db_id           INTEGER          NOT NULL,
                    mod_hyp_event_id        INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE sg_hyp_ev_num_data (
                    sg_hyp_db_site          CHAR(16)         NOT NULL,
                    sg_hyp_db_id            INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE as_hyp_ev_num_data (
                    as_hyp_db_site          CHAR(16)         NOT NULL,
                    as_hyp_db_id            INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE sg_typ_hyp_ev_num_data (
                    sgt_hyp_db_site         CHAR(16)         NOT NULL,
                    sgt_hyp_db_id           INTEGER          NOT NULL,
                    sgt_hyp_event_id        INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE as_typ_hyp_ev_num_data (
                    ast_hyp_db_site         CHAR(16)         NOT NULL,
                    ast_hyp_db_id           INTEGER          NOT NULL,
                    ast_hyp_event_id        INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE model_hyp_ev_num_data (
                    mod_hyp_db_site         CHAR(16)         NOT NULL,
                    mod_hyp_db_id           INTEGER          NOT NULL,
                    mod_hyp_event_id        INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE sg_hyp_ev_sg_func (
                    sg_hyp_db_site          CHAR(16)         NOT NULL,
                    sg_hyp_db_id            INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id,db_site,db_id,segment_site,segment_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_hyp_ev_as_func (
                    as_hyp_db_site          CHAR(16)         NOT NULL,
                    as_hyp_db_id            INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_hyp_db_site,as_hyp_db_id,as_hyp_event_id,db_site,db_id,asset_org_site,asset_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_typ_hyp_ev_func (
                    sgt_hyp_db_site         CHAR(16)         NOT NULL,
                    sgt_hyp_db_id           INTEGER          NOT NULL,
                    sgt_hyp_event_id        INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id,db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_typ_hyp_ev_func (
                    ast_hyp_db_site         CHAR(16)         NOT NULL,
                    ast_hyp_db_id           INTEGER          NOT NULL,
                    ast_hyp_event_id        INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id,db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE model_hyp_ev_func (
                    mod_hyp_db_site         CHAR(16)         NOT NULL,
                    mod_hyp_db_id           INTEGER          NOT NULL,
                    mod_hyp_event_id        INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id,db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_proposed_event (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_proposed            TIMESTAMP WITH TIME ZONE,
                    pr_loc_hr_delta         SMALLINT,
                    pr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    likelihood_prob         FLOAT,
                    est_gmt_start           TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    est_gmt_occur_end       TIMESTAMP WITH TIME ZONE,
                    end_loc_hr_delta        SMALLINT,
                    end_loc_min_delta       SMALLINT,
                    ch_patt_db_site         CHAR(16),
                    ch_patt_db_id           INTEGER,
                    ch_patt_type_code       INTEGER,
                    name                    VARCHAR(254),
                    gmt_audited             TIMESTAMP WITH TIME ZONE,
                    aud_loc_hr_delta        SMALLINT,
                    aud_loc_min_delta       SMALLINT,
                    aud_quality_code        SMALLINT,
                    aud_by_org_asite        CHAR(16),
                    aud_by_agent_id         INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id)
  );
  COMMIT;

  CREATE TABLE as_proposed_event (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    severity_rank           INTEGER,
                    gmt_proposed            TIMESTAMP WITH TIME ZONE,
                    pr_loc_hr_delta         SMALLINT,
                    pr_loc_min_delta        SMALLINT,
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    likelihood_prob         FLOAT,
                    est_gmt_start           TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    est_gmt_occur_end       TIMESTAMP WITH TIME ZONE,
                    end_loc_hr_delta        SMALLINT,
                    end_loc_min_delta       SMALLINT,
                    ch_patt_db_site         CHAR(16),
                    ch_patt_db_id           INTEGER,
                    ch_patt_type_code       INTEGER,
                    name                    VARCHAR(254),
                    gmt_audited             TIMESTAMP WITH TIME ZONE,
                    aud_loc_hr_delta        SMALLINT,
                    aud_loc_min_delta       SMALLINT,
                    aud_quality_code        SMALLINT,
                    aud_by_org_asite        CHAR(16),
                    aud_by_agent_id         INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id)
  );
  COMMIT;

  CREATE TABLE sg_prop_ev_link (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE as_prop_ev_link (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    caused_db_site          CHAR(16)         NOT NULL,
                    caused_db_id            INTEGER          NOT NULL,
                    caused_event_id         INTEGER          NOT NULL,
                    likelihood_prob         FLOAT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,caused_db_site,caused_db_id,caused_event_id)
  );
  COMMIT;

  CREATE TABLE sg_prop_ev_ndat (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE as_prop_ev_ndat (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    en_db_site              CHAR(16)         NOT NULL,
                    en_db_id                INTEGER          NOT NULL,
                    en_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,en_db_site,en_db_id,en_type_code)
  );
  COMMIT;

  CREATE TABLE sg_prop_ev_sg_func (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,db_site,db_id,segment_site,segment_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_prop_ev_as_func (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,db_site,db_id,asset_org_site,asset_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_prop_ev_hyp_ev (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    sg_hypev_db_site        CHAR(16)         NOT NULL,
                    sg_hypev_db_id          INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,sg_hypev_db_site,sg_hypev_db_id,sg_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE as_prop_ev_hyp_ev (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    as_hypev_db_site        CHAR(16)         NOT NULL,
                    as_hypev_db_id          INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,as_hypev_db_site,as_hypev_db_id,as_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE sg_prop_ev_sg_ev (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE as_prop_ev_as_ev (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE sg_prop_ev_meas_ev (
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_prop_db_site,sg_prop_db_id,sg_prop_event_id,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE as_prop_ev_meas_ev (
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    by_org_asite            CHAR(16),
                    by_agent_id             INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_prop_db_site,as_prop_db_id,as_prop_event_id,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE segment_health (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    hgrade_type_code        INTEGER          NOT NULL,
                    hgrade_float            FLOAT,
                    likelihood_prob         FLOAT,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    ch_patt_db_site         CHAR(16),
                    ch_patt_db_id           INTEGER,
                    ch_patt_type_code       INTEGER,
                    gmt_audited             TIMESTAMP WITH TIME ZONE,
                    aud_loc_hr_delta        SMALLINT,
                    aud_loc_min_delta       SMALLINT,
                    aud_quality_code        SMALLINT,
                    aud_by_org_asite        CHAR(16),
                    aud_by_agent_id         INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE asset_health (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    hgrade_type_code        INTEGER          NOT NULL,
                    hgrade_float            FLOAT,
                    likelihood_prob         FLOAT,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    ch_patt_db_site         CHAR(16),
                    ch_patt_db_id           INTEGER,
                    ch_patt_type_code       INTEGER,
                    gmt_audited             TIMESTAMP WITH TIME ZONE,
                    aud_loc_hr_delta        SMALLINT,
                    aud_loc_min_delta       SMALLINT,
                    aud_quality_code        SMALLINT,
                    aud_by_org_asite        CHAR(16),
                    aud_by_agent_id         INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE sg_health_sg_event (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ev_sg_site              CHAR(16)         NOT NULL,
                    ev_sg_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    assoc_by_org_asite      CHAR(16),
                    assoc_by_agent_id       INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id,ev_sg_site,ev_sg_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE as_health_as_event (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ev_as_org_site          CHAR(16)         NOT NULL,
                    ev_as_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    name                    VARCHAR(254),
                    assoc_by_org_asite      CHAR(16),
                    assoc_by_agent_id       INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id,ev_as_org_site,ev_as_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE sg_health_sg_prop_ev (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_by_org_asite      CHAR(16),
                    assoc_by_agent_id       INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id,sg_prop_db_site,sg_prop_db_id,sg_prop_event_id)
  );
  COMMIT;

  CREATE TABLE as_health_as_prop_ev (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_by_org_asite      CHAR(16),
                    assoc_by_agent_id       INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id,as_prop_db_site,as_prop_db_id,as_prop_event_id)
  );
  COMMIT;

  CREATE TABLE sg_remaining_life (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    est_remaining_life      FLOAT,
                    erl_eu_db_site          CHAR(16),
                    erl_eu_db_id            INTEGER,
                    erl_eu_type_code        INTEGER,
                    error_estimate          FLOAT,
                    err_eu_db_site          CHAR(16),
                    err_eu_db_id            INTEGER,
                    err_eu_type_code        INTEGER,
                    likelihood_prob         FLOAT,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE as_remaining_life (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_assessment          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    est_remaining_life      FLOAT,
                    erl_eu_db_site          CHAR(16),
                    erl_eu_db_id            INTEGER,
                    erl_eu_type_code        INTEGER,
                    error_estimate          FLOAT,
                    err_eu_db_site          CHAR(16),
                    err_eu_db_id            INTEGER,
                    err_eu_type_code        INTEGER,
                    likelihood_prob         FLOAT,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    cr_loc_hr_delta         SMALLINT,
                    cr_loc_min_delta        SMALLINT,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE sg_recommendation (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE as_recommendation (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE ol_recommendation (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE sg_type_recomm (
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE as_type_recomm (
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE model_recomm (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE sg_rec_remark (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_rec_remark (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE ol_rec_remark (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_type_rec_remark (
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_type_rec_remark (
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE model_rec_remark (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    remark_text             VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_rec_blob (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_rec_blob (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_type_rec_blob (
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE as_type_rec_blob (
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE model_rec_blob (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    bd_db_site              CHAR(16)         NOT NULL,
                    bd_db_id                INTEGER          NOT NULL,
                    bd_type_code            INTEGER          NOT NULL,
                    ordering_seq            INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    assoc_file_name         VARCHAR(254),
                    image_data              BYTEA            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id,bd_db_site,bd_db_id,bd_type_code,ordering_seq)
  );
  COMMIT;

  CREATE TABLE sg_rec_sg_health (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    hth_sg_site             CHAR(16)         NOT NULL,
                    hth_sg_id               INTEGER          NOT NULL,
                    hth_gmt_assess          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    hth_by_agent_site       CHAR(16)         NOT NULL,
                    hth_by_agent_id         INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,hth_sg_site,hth_sg_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id)
  );
  COMMIT;

  CREATE TABLE as_rec_as_health (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    hth_as_org_site         CHAR(16)         NOT NULL,
                    hth_asset_id            INTEGER          NOT NULL,
                    hth_gmt_assess          TIMESTAMP WITH TIME ZONE         NOT NULL,
                    hth_by_agent_site       CHAR(16)         NOT NULL,
                    hth_by_agent_id         INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,hth_as_org_site,hth_asset_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id)
  );
  COMMIT;

  CREATE TABLE sg_rec_sg_event (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ev_sg_site              CHAR(16)         NOT NULL,
                    ev_sg_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,ev_sg_site,ev_sg_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE as_rec_as_event (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    ev_as_org_site          CHAR(16)         NOT NULL,
                    ev_as_id                INTEGER          NOT NULL,
                    ev_db_site              CHAR(16)         NOT NULL,
                    ev_db_id                INTEGER          NOT NULL,
                    event_type_code         INTEGER          NOT NULL,
                    gmt_event_start         TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,ev_as_org_site,ev_as_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start)
  );
  COMMIT;

  CREATE TABLE sg_rec_sg_hyp_ev (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    sg_hyp_db_site          CHAR(16)         NOT NULL,
                    sg_hyp_db_id            INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE as_rec_as_hyp_ev (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    as_hyp_db_site          CHAR(16)         NOT NULL,
                    as_hyp_db_id            INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,as_hyp_db_site,as_hyp_db_id,as_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE sg_type_rec_hyp_ev (
                    sg_db_site              CHAR(16)         NOT NULL,
                    sg_db_id                INTEGER          NOT NULL,
                    sg_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    sg_hyp_db_site          CHAR(16)         NOT NULL,
                    sg_hyp_db_id            INTEGER          NOT NULL,
                    sg_hyp_event_id         INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id,sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE as_type_rec_hyp_ev (
                    as_db_site              CHAR(16)         NOT NULL,
                    as_db_id                INTEGER          NOT NULL,
                    as_type_code            INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    as_hyp_db_site          CHAR(16)         NOT NULL,
                    as_hyp_db_id            INTEGER          NOT NULL,
                    as_hyp_event_id         INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id,as_hyp_db_site,as_hyp_db_id,as_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE model_rec_hyp_ev (
                    mf_db_site              CHAR(16)         NOT NULL,
                    mf_db_id                INTEGER          NOT NULL,
                    mf_duns_code            INTEGER          NOT NULL,
                    model_number            VARCHAR(254)     NOT NULL,
                    revision_number         INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    mod_hyp_db_site         CHAR(16)         NOT NULL,
                    mod_hyp_db_id           INTEGER          NOT NULL,
                    mod_hyp_event_id        INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id,mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id)
  );
  COMMIT;

  CREATE TABLE sg_rec_sg_prop_ev (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    sg_prop_db_site         CHAR(16)         NOT NULL,
                    sg_prop_db_id           INTEGER          NOT NULL,
                    sg_prop_event_id        INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,sg_prop_db_site,sg_prop_db_id,sg_prop_event_id)
  );
  COMMIT;

  CREATE TABLE as_rec_as_prop_ev (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    as_prop_db_site         CHAR(16)         NOT NULL,
                    as_prop_db_id           INTEGER          NOT NULL,
                    as_prop_event_id        INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,as_prop_db_site,as_prop_db_id,as_prop_event_id)
  );
  COMMIT;

  CREATE TABLE sg_rec_mevent (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE as_rec_mevent (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    gmt_event               TIMESTAMP WITH TIME ZONE         NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id,meas_loc_site,meas_loc_id,gmt_event)
  );
  COMMIT;

  CREATE TABLE work_request (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    wm_type_db_site         CHAR(16)         NOT NULL,
                    wm_type_db_id           INTEGER          NOT NULL,
                    wm_type_code            INTEGER          NOT NULL,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    start_before_gmt        VARCHAR(254),
                    end_before_gmt          VARCHAR(254),
                    start_after_gmt         VARCHAR(254),
                    end_after_gmt           VARCHAR(254),
                    repeat_interval         INTEGER,
                    int_eu_db_site          CHAR(16),
                    int_eu_db_id            INTEGER,
                    int_eu_type_code        INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    to_agent_site           CHAR(16),
                    to_agent_id             INTEGER,
                    priority_type_code      INTEGER,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id)
  );
  COMMIT;

  CREATE TABLE solution_package (
                    sol_pack_db_site        CHAR(16)         NOT NULL,
                    sol_pack_db_id          INTEGER          NOT NULL,
                    sol_pack_id             INTEGER          NOT NULL,
                    sol_db_site             CHAR(16)         NOT NULL,
                    sol_db_id               INTEGER          NOT NULL,
                    sol_type_code           INTEGER          NOT NULL,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    priority_type_code      INTEGER,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (sol_pack_db_site,sol_pack_db_id,sol_pack_id)
  );
  COMMIT;

  CREATE TABLE request (
                    req_db_site             CHAR(16)         NOT NULL,
                    req_db_id               INTEGER          NOT NULL,
                    request_id              INTEGER          NOT NULL,
                    gmt_created             TIMESTAMP WITH TIME ZONE         NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    priority_type_code      INTEGER,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (req_db_site,req_db_id,request_id)
  );
  COMMIT;

  CREATE TABLE sg_req_for_work (
                    req_db_site             CHAR(16)         NOT NULL,
                    req_db_id               INTEGER          NOT NULL,
                    request_id              INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    wm_type_db_site         CHAR(16)         NOT NULL,
                    wm_type_db_id           INTEGER          NOT NULL,
                    wm_type_code            INTEGER          NOT NULL,
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    start_before_gmt        TIMESTAMP WITH TIME ZONE,
                    end_before_gmt          TIMESTAMP WITH TIME ZONE,
                    start_after_gmt         TIMESTAMP WITH TIME ZONE,
                    end_after_gmt           TIMESTAMP WITH TIME ZONE,
                    repeat_interval         INTEGER,
                    int_eu_db_site          CHAR(16),
                    int_eu_db_id            INTEGER,
                    int_eu_type_code        INTEGER,
                    to_agent_site           CHAR(16),
                    to_agent_id             INTEGER,
                    sol_pack_db_site        CHAR(16),
                    sol_pack_db_id          INTEGER,
                    sol_pack_id             INTEGER,
                    rec_segment_site        CHAR(16),
                    rec_segment_id          INTEGER,
                    rec_gmt_recomm          TIMESTAMP WITH TIME ZONE,
                    rec_by_agent_site       CHAR(16),
                    rec_by_agent_id         INTEGER,
                    work_req_db_site        CHAR(16),
                    work_req_db_id          INTEGER,
                    work_req_id             INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (req_db_site,req_db_id,request_id)
  );
  COMMIT;

  CREATE TABLE as_req_for_work (
                    req_db_site             CHAR(16)         NOT NULL,
                    req_db_id               INTEGER          NOT NULL,
                    request_id              INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    wm_type_db_site         CHAR(16)         NOT NULL,
                    wm_type_db_id           INTEGER          NOT NULL,
                    wm_type_code            INTEGER          NOT NULL,
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    start_before_gmt        VARCHAR(254),
                    end_before_gmt          VARCHAR(254),
                    start_after_gmt         VARCHAR(254),
                    end_after_gmt           VARCHAR(254),
                    repeat_interval         INTEGER,
                    int_eu_db_site          CHAR(16),
                    int_eu_db_id            INTEGER,
                    int_eu_type_code        INTEGER,
                    to_agent_site           CHAR(16),
                    to_agent_id             INTEGER,
                    sol_pack_db_site        CHAR(16),
                    sol_pack_db_id          INTEGER,
                    sol_pack_id             INTEGER,
                    rec_asset_org_site      CHAR(16),
                    rec_asset_id            INTEGER,
                    rec_gmt_recomm          TIMESTAMP WITH TIME ZONE,
                    rec_by_agent_site       CHAR(16),
                    rec_by_agent_id         INTEGER,
                    work_req_db_site        CHAR(16),
                    work_req_db_id          INTEGER,
                    work_req_id             INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (req_db_site,req_db_id,request_id)
  );
  COMMIT;

  CREATE TABLE ol_req_for_work (
                    req_db_site             CHAR(16)         NOT NULL,
                    req_db_id               INTEGER          NOT NULL,
                    request_id              INTEGER          NOT NULL,
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    wm_type_db_site         CHAR(16)         NOT NULL,
                    wm_type_db_id           INTEGER          NOT NULL,
                    wm_type_code            INTEGER          NOT NULL,
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    start_before_gmt        VARCHAR(254),
                    end_before_gmt          VARCHAR(254),
                    start_after_gmt         VARCHAR(254),
                    end_after_gmt           VARCHAR(254),
                    repeat_interval         INTEGER,
                    int_eu_db_site          CHAR(16),
                    int_eu_db_id            INTEGER,
                    int_eu_type_code        INTEGER,
                    to_agent_site           CHAR(16),
                    to_agent_id             INTEGER,
                    sol_pack_db_site        CHAR(16),
                    sol_pack_db_id          INTEGER,
                    sol_pack_id             INTEGER,
                    rec_ord_db_site         CHAR(16),
                    rec_ord_db_id           INTEGER,
                    rec_ord_list_id         INTEGER,
                    rec_gmt_recomm          TIMESTAMP WITH TIME ZONE,
                    rec_by_agent_site       CHAR(16),
                    rec_by_agent_id         INTEGER,
                    work_req_db_site        CHAR(16),
                    work_req_db_id          INTEGER,
                    work_req_id             INTEGER,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (req_db_site,req_db_id,request_id)
  );
  COMMIT;

  CREATE TABLE work_req_sg_recomm (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE work_req_as_recomm (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE work_req_sol_pack (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    sol_pack_db_site        CHAR(16)         NOT NULL,
                    sol_pack_db_id          INTEGER          NOT NULL,
                    sol_pack_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id)
  );
  COMMIT;

  CREATE TABLE work_req_num_data (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    wn_db_site              CHAR(16)         NOT NULL,
                    wn_db_id                INTEGER          NOT NULL,
                    wn_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,wn_db_site,wn_db_id,wn_type_code)
  );
  COMMIT;

  CREATE TABLE work_req_chr_data (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    wc_db_site              CHAR(16)         NOT NULL,
                    wc_db_id                INTEGER          NOT NULL,
                    wc_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,wc_db_site,wc_db_id,wc_type_code)
  );
  COMMIT;

  CREATE TABLE work_request_audit (
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    waudit_db_site          CHAR(16)         NOT NULL,
                    waudit_db_id            INTEGER          NOT NULL,
                    waudit_type_code        INTEGER          NOT NULL,
                    gmt_audit_posted        TIMESTAMP WITH TIME ZONE         NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_req_db_site,work_req_db_id,work_req_id,waudit_db_site,waudit_db_id,waudit_type_code,gmt_audit_posted)
  );
  COMMIT;

  CREATE TABLE work_order (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    wm_type_db_site         CHAR(16),
                    wm_type_db_id           INTEGER,
                    wm_type_code            INTEGER,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    start_before_gmt        VARCHAR(254),
                    end_before_gmt          VARCHAR(254),
                    start_after_gmt         VARCHAR(254),
                    end_after_gmt           VARCHAR(254),
                    repeat_interval         INTEGER,
                    int_eu_db_site          CHAR(16),
                    int_eu_db_id            INTEGER,
                    int_eu_type_code        INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    to_agent_site           CHAR(16),
                    to_agent_id             INTEGER,
                    priority_type_code      INTEGER,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id)
  );
  COMMIT;

  CREATE TABLE work_order_child (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    child_wo_db_site        CHAR(16)         NOT NULL,
                    child_wo_db_id          INTEGER          NOT NULL,
                    child_wo_id             INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,child_wo_db_site,child_wo_db_id,child_wo_id)
  );
  COMMIT;

  CREATE TABLE work_order_num_data (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    wn_db_site              CHAR(16)         NOT NULL,
                    wn_db_id                INTEGER          NOT NULL,
                    wn_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,wn_db_site,wn_db_id,wn_type_code)
  );
  COMMIT;

  CREATE TABLE work_order_chr_data (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    wc_db_site              CHAR(16)         NOT NULL,
                    wc_db_id                INTEGER          NOT NULL,
                    wc_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,wc_db_site,wc_db_id,wc_type_code)
  );
  COMMIT;

  CREATE TABLE work_order_audit (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    waudit_db_site          CHAR(16)         NOT NULL,
                    waudit_db_id            INTEGER          NOT NULL,
                    waudit_type_code        INTEGER          NOT NULL,
                    gmt_audit_posted        TIMESTAMP WITH TIME ZONE         NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,waudit_db_site,waudit_db_id,waudit_type_code,gmt_audit_posted)
  );
  COMMIT;

  CREATE TABLE work_order_step (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    gmt_created             TIMESTAMP WITH TIME ZONE,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    start_before_gmt        VARCHAR(254),
                    end_before_gmt          VARCHAR(254),
                    start_after_gmt         VARCHAR(254),
                    end_after_gmt           VARCHAR(254),
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    to_agent_site           CHAR(16),
                    to_agent_id             INTEGER,
                    priority_type_code      INTEGER,
                    user_tag_ident          VARCHAR(254)     NOT NULL,
                    abbrev                  VARCHAR(254),
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq)
  );
  COMMIT;

  CREATE TABLE wo_step_num_data (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    wn_db_site              CHAR(16)         NOT NULL,
                    wn_db_id                INTEGER          NOT NULL,
                    wn_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              FLOAT            NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,wn_db_site,wn_db_id,wn_type_code)
  );
  COMMIT;

  CREATE TABLE wo_step_chr_data (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    wc_db_site              CHAR(16)         NOT NULL,
                    wc_db_id                INTEGER          NOT NULL,
                    wc_type_code            INTEGER          NOT NULL,
                    eu_db_site              CHAR(16)         NOT NULL,
                    eu_db_id                INTEGER          NOT NULL,
                    eu_type_code            INTEGER          NOT NULL,
                    data_value              VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,wc_db_site,wc_db_id,wc_type_code)
  );
  COMMIT;

  CREATE TABLE wo_step_audit (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    waudit_db_site          CHAR(16)         NOT NULL,
                    waudit_db_id            INTEGER          NOT NULL,
                    waudit_type_code        INTEGER          NOT NULL,
                    gmt_audit_posted        TIMESTAMP WITH TIME ZONE         NOT NULL,
                    loc_hr_delta            SMALLINT,
                    loc_min_delta           SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,waudit_db_site,waudit_db_id,waudit_type_code,gmt_audit_posted)
  );
  COMMIT;

  CREATE TABLE wo_step_sg_recomm (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE wo_step_as_recomm (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    gmt_recommendation      TIMESTAMP WITH TIME ZONE         NOT NULL,
                    by_agent_site           CHAR(16)         NOT NULL,
                    by_agent_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id)
  );
  COMMIT;

  CREATE TABLE wo_step_work_req (
                    work_order_db_site      CHAR(16)         NOT NULL,
                    work_order_db_id        INTEGER          NOT NULL,
                    work_order_id           INTEGER          NOT NULL,
                    work_ord_step_seq       INTEGER          NOT NULL,
                    work_req_db_site        CHAR(16)         NOT NULL,
                    work_req_db_id          INTEGER          NOT NULL,
                    work_req_id             INTEGER          NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq,work_req_db_site,work_req_db_id,work_req_id)
  );
  COMMIT;

  CREATE TABLE sg_completed_work (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    gmt_completed           TIMESTAMP WITH TIME ZONE         NOT NULL,
                    cp_loc_hr_delta         SMALLINT,
                    cp_loc_min_delta        SMALLINT,
                    gmt_started             TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    priority_type_code      INTEGER,
                    work_order_db_site      CHAR(16),
                    work_order_db_id        INTEGER,
                    work_order_id           INTEGER,
                    work_ord_step_seq       INTEGER,
                    abbrev                  VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,task_db_site,task_db_id,task_type_code,gmt_completed)
  );
  COMMIT;

  CREATE TABLE as_completed_work (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    gmt_completed           TIMESTAMP WITH TIME ZONE         NOT NULL,
                    cp_loc_hr_delta         SMALLINT,
                    cp_loc_min_delta        SMALLINT,
                    gmt_started             TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    priority_type_code      INTEGER,
                    work_order_db_site      CHAR(16),
                    work_order_db_id        INTEGER,
                    work_order_id           INTEGER,
                    work_ord_step_seq       INTEGER,
                    abbrev                  VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,task_db_site,task_db_id,task_type_code,gmt_completed)
  );
  COMMIT;

  CREATE TABLE ol_completed_work (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    task_db_site            CHAR(16)         NOT NULL,
                    task_db_id              INTEGER          NOT NULL,
                    task_type_code          INTEGER          NOT NULL,
                    gmt_completed           TIMESTAMP WITH TIME ZONE         NOT NULL,
                    cp_loc_hr_delta         SMALLINT,
                    cp_loc_min_delta        SMALLINT,
                    gmt_started             TIMESTAMP WITH TIME ZONE,
                    st_loc_hr_delta         SMALLINT,
                    st_loc_min_delta        SMALLINT,
                    by_agent_site           CHAR(16),
                    by_agent_id             INTEGER,
                    from_sy_agent_site      CHAR(16),
                    from_sy_agent_id        INTEGER,
                    priority_type_code      INTEGER,
                    work_order_db_site      CHAR(16),
                    work_order_db_id        INTEGER,
                    work_order_id           INTEGER,
                    work_ord_step_seq       INTEGER,
                    abbrev                  VARCHAR(254)     NOT NULL,
                    name                    VARCHAR(254),
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,task_db_site,task_db_id,task_type_code,gmt_completed)
  );
  COMMIT;

  CREATE TABLE db_mim_interface (
                    db_site                 CHAR(16)         NOT NULL,
                    db_id                   INTEGER          NOT NULL,
                    interf_type_code        INTEGER          NOT NULL,
                    gmt_snap_refresh        TIMESTAMP WITH TIME ZONE,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (db_site,db_id,interf_type_code)
  );
  COMMIT;

  CREATE TABLE mloc_type_child (
                    ml_db_site              CHAR(16)         NOT NULL,
                    ml_db_id                INTEGER          NOT NULL,
                    ml_type_code            INTEGER          NOT NULL,
                    child_ml_db_site        CHAR(16)         NOT NULL,
                    child_ml_db_id          INTEGER          NOT NULL,
                    child_ml_type_code      INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ml_db_site,ml_db_id,ml_type_code,child_ml_db_site,child_ml_db_id,child_ml_type_code)
  );
  COMMIT;

  CREATE TABLE as_sol_pack (
                    asset_org_site          CHAR(16)         NOT NULL,
                    asset_id                INTEGER          NOT NULL,
                    sol_pack_db_site        CHAR(16)         NOT NULL,
                    sol_pack_db_id          INTEGER          NOT NULL,
                    sol_pack_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (asset_org_site,asset_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id)
  );
  COMMIT;

  CREATE TABLE sg_sol_pack (
                    segment_site            CHAR(16)         NOT NULL,
                    segment_id              INTEGER          NOT NULL,
                    sol_pack_db_site        CHAR(16)         NOT NULL,
                    sol_pack_db_id          INTEGER          NOT NULL,
                    sol_pack_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (segment_site,segment_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id)
  );
  COMMIT;

  CREATE TABLE ol_sol_pack (
                    ord_list_db_site        CHAR(16)         NOT NULL,
                    ord_list_db_id          INTEGER          NOT NULL,
                    ord_list_id             INTEGER          NOT NULL,
                    sol_pack_db_site        CHAR(16)         NOT NULL,
                    sol_pack_db_id          INTEGER          NOT NULL,
                    sol_pack_id             INTEGER          NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (ord_list_db_site,ord_list_db_id,ord_list_id,sol_pack_db_site,sol_pack_db_id,sol_pack_id)
  );
  COMMIT;

  CREATE TABLE meas_loc_assoc (
                    meas_loc_site           CHAR(16)         NOT NULL,
                    meas_loc_id             INTEGER          NOT NULL,
                    related_mloc_site       CHAR(16)         NOT NULL,
                    related_mloc_id         INTEGER          NOT NULL,
                    name                    VARCHAR(254)     NOT NULL,
                    gmt_last_updated        TIMESTAMP WITH TIME ZONE,
                    last_upd_db_site        CHAR(16),
                    last_upd_db_id          INTEGER,
                    rstat_type_code         SMALLINT,
               
               PRIMARY KEY (meas_loc_site,meas_loc_id,related_mloc_site,related_mloc_id)
  );
  COMMIT;

  ALTER TABLE enterprise_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE enterprise ADD FOREIGN KEY(ent_db_site,ent_db_id,ent_type_code) REFERENCES enterprise_type(ent_db_site,ent_db_id,ent_type_code);
  COMMIT;
  ALTER TABLE enterprise ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE site_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE site_type_child ADD FOREIGN KEY(st_db_site,st_db_id,st_type_code) REFERENCES site_type(st_db_site,st_db_id,st_type_code);
  COMMIT;
  ALTER TABLE site_type_child ADD FOREIGN KEY(child_st_db_site,child_st_db_id,child_st_type_code) REFERENCES site_type(st_db_site,st_db_id,st_type_code);
  COMMIT;
  ALTER TABLE site_type_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE site ADD FOREIGN KEY(st_db_site,st_db_id,st_type_code) REFERENCES site_type(st_db_site,st_db_id,st_type_code);
  COMMIT;
  ALTER TABLE site ADD FOREIGN KEY(enterprise_id) REFERENCES enterprise(enterprise_id);
  COMMIT;
  ALTER TABLE site ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE site_database ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE site_database ADD FOREIGN KEY(db_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE manufacturer ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE manufacturer ADD FOREIGN KEY(mf_db_site,mf_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE manufacturer ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_type ADD FOREIGN KEY(sg_db_site,sg_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_type_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_type_child ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE segment_type_child ADD FOREIGN KEY(child_sg_db_site,child_sg_db_id,child_sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE segment_type_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE segment ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment ADD FOREIGN KEY(segment_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE segment ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE purchase_cond_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE purchase_cond_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE purchase_cond_type ADD FOREIGN KEY(pc_db_site,pc_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_readiness_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_readiness_type ADD FOREIGN KEY(asr_db_site,asr_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_readiness_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_calc_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_calc_type ADD FOREIGN KEY(mc_db_site,mc_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_calc_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_child ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_child ADD FOREIGN KEY(child_sg_site,child_sg_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ref_unit_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ref_unit_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE eng_unit_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE eng_unit_type ADD FOREIGN KEY(ru_type_code) REFERENCES ref_unit_type(ru_type_code);
  COMMIT;
  ALTER TABLE eng_unit_type ADD FOREIGN KEY(eu_db_site,eu_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE eng_unit_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE eng_unit_enum ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE eng_unit_enum ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE eng_unit_enum ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_num_dat_type ADD FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type(ru_type_code);
  COMMIT;
  ALTER TABLE sg_num_dat_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_num_dat_type ADD FOREIGN KEY(sn_db_site,sn_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_num_dat_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_chr_dat_type ADD FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type(ru_type_code);
  COMMIT;
  ALTER TABLE sg_chr_dat_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_chr_dat_type ADD FOREIGN KEY(sc_db_site,sc_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_chr_dat_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_num_data ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_num_data ADD FOREIGN KEY(sn_db_site,sn_type_code,sn_db_id) REFERENCES sg_num_dat_type(sn_db_site,sn_db_id,sn_type_code);
  COMMIT;
  ALTER TABLE segment_num_data ADD FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE segment_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_chr_data ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_chr_data ADD FOREIGN KEY(sc_db_site,sc_db_id,sc_type_code) REFERENCES sg_chr_dat_type(sc_db_site,sc_db_id,sc_type_code);
  COMMIT;
  ALTER TABLE segment_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE segment_chr_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_as_event_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_as_event_type ADD FOREIGN KEY(ev_db_site,ev_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_as_event_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_event ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE segment_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_type ADD FOREIGN KEY(as_db_site,as_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_type_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_type_child ADD FOREIGN KEY(child_as_db_site,child_as_db_id,child_as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE asset_type_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_type_child ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE model ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code) REFERENCES manufacturer(mf_db_site,mf_db_id,mf_duns_code);
  COMMIT;
  ALTER TABLE model ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE model ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_child ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_child ADD FOREIGN KEY(child_mf_db_site,child_mf_db_id,child_mf_duns_code,child_model_num,child_revision_num) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_num_dat_type ADD FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type(ru_type_code);
  COMMIT;
  ALTER TABLE as_num_dat_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_num_dat_type ADD FOREIGN KEY(an_db_site,an_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_num_dat_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_chr_dat_type ADD FOREIGN KEY(default_ru_type) REFERENCES ref_unit_type(ru_type_code);
  COMMIT;
  ALTER TABLE as_chr_dat_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_chr_dat_type ADD FOREIGN KEY(ac_db_site,ac_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_chr_dat_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_num_data ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_num_data ADD FOREIGN KEY(an_db_site,an_db_id,an_type_code) REFERENCES as_num_dat_type(an_db_site,an_db_id,an_type_code);
  COMMIT;
  ALTER TABLE model_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE model_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_chr_data ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_chr_data ADD FOREIGN KEY(ac_db_site,ac_db_id,ac_type_code) REFERENCES as_chr_dat_type(ac_db_site,ac_db_id,ac_type_code);
  COMMIT;
  ALTER TABLE model_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE model_chr_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE asset ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE asset ADD FOREIGN KEY(asr_db_site,asr_db_id,asr_type_code) REFERENCES as_readiness_type(asr_db_site,asr_db_id,asr_type_code);
  COMMIT;
  ALTER TABLE asset ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset ADD FOREIGN KEY(asset_org_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE asset_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_child ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_child ADD FOREIGN KEY(child_as_site,child_as_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_num_data ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_num_data ADD FOREIGN KEY(an_db_site,an_db_id,an_type_code) REFERENCES as_num_dat_type(an_db_site,an_db_id,an_type_code);
  COMMIT;
  ALTER TABLE asset_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE asset_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_chr_data ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_chr_data ADD FOREIGN KEY(ac_db_site,ac_db_id,ac_type_code) REFERENCES as_chr_dat_type(ac_db_site,ac_db_id,ac_type_code);
  COMMIT;
  ALTER TABLE asset_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE asset_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_event ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE asset_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_on_segment ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE asset_on_segment ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_on_segment ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_on_segment ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(purch_from_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(sold_to_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(pc_db_site,pc_db_id,pc_type_code) REFERENCES purchase_cond_type(pc_db_site,pc_db_id,pc_type_code);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(asr_db_site,asr_db_id,asr_type_code) REFERENCES as_readiness_type(asr_db_site,asr_db_id,asr_type_code);
  COMMIT;
  ALTER TABLE asset_owner ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_loc_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_loc_type ADD FOREIGN KEY(ml_db_site,ml_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_loc_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE data_source_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE data_source_type ADD FOREIGN KEY(ds_db_site,ds_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE data_source_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE trans_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE trans_type ADD FOREIGN KEY(tr_db_site,tr_db_id,tr_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE trans_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE tr_axis_dir_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE tr_axis_dir_type ADD FOREIGN KEY(ta_db_site,ta_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE tr_axis_dir_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(ds_db_site,ds_db_id,ds_type_code) REFERENCES data_source_type(ds_db_site,ds_db_id,ds_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(tr_db_site,tr_db_id,tr_type_code) REFERENCES trans_type(tr_db_site,tr_db_id,tr_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(ta_db_site,ta_db_id,ta_type_code) REFERENCES tr_axis_dir_type(ta_db_site,ta_db_id,ta_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type(mc_db_site,mc_db_id,mc_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(dur_eu_db_site,dur_eu_db_id,dur_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(meas_loc_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE meas_location ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ordered_list ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ordered_list ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ordered_list ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_loc_list ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_loc_list ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE meas_loc_list ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE meas_loc_list ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_unit_list ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_unit_list ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE mloc_unit_list ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE mloc_unit_list ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE mloc_unit_list ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE data_source ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE data_source ADD FOREIGN KEY(ds_db_site,ds_db_id,ds_type_code) REFERENCES data_source_type(ds_db_site,ds_db_id,ds_type_code);
  COMMIT;
  ALTER TABLE data_source ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE transducer ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE transducer ADD FOREIGN KEY(tr_asset_site,tr_asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE transducer ADD FOREIGN KEY(tr_db_site,tr_db_id,tr_type_code) REFERENCES trans_type(tr_db_site,tr_db_id,tr_type_code);
  COMMIT;
  ALTER TABLE transducer ADD FOREIGN KEY(out_eu_db_site,out_eu_db_id,out_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE transducer ADD FOREIGN KEY(per_eu_db_site,per_eu_db_id,per_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE transducer ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE data_qual_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE data_qual_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(dqual_type_code) REFERENCES data_qual_type(dqual_type_code);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(ds_asset_site,ds_asset_id) REFERENCES data_source(ds_asset_site,ds_asset_id);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(tr_asset_site,tr_asset_id) REFERENCES transducer(tr_asset_site,tr_asset_id);;
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type(mc_db_site,mc_db_id,mc_type_code);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(dur_eu_db_site,dur_eu_db_id,dur_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE meas_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_event_assoc ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_event_assoc ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE meas_event_assoc ADD FOREIGN KEY(related_mloc_site,related_mloc_id,related_gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE meas_event_assoc ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_event_rem ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_event_rem ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE meas_event_rem ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mevent_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mevent_num_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE mevent_num_data ADD FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE mevent_chr_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE mevent_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE mevent_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE alarm_severity ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE alarm_severity ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE alarm_type ADD FOREIGN KEY(al_severity_rank) REFERENCES alarm_severity(al_severity_rank);
  COMMIT;
  ALTER TABLE alarm_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE alarm_type ADD FOREIGN KEY(al_db_site,al_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE alarm_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE num_alarm_reg ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE num_alarm_reg ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE num_alarm_reg ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE num_alarm_reg ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE num_alarm_reg ADD FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE num_alarm_reg ADD FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type(mc_db_site,mc_db_id,mc_type_code);
  COMMIT;
  ALTER TABLE agent_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE agent_type ADD FOREIGN KEY(agent_db_site,agent_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent ADD FOREIGN KEY(agent_db_site,agent_db_id,agent_type_code) REFERENCES agent_type(agent_db_site,agent_db_id,agent_type_code);
  COMMIT;
  ALTER TABLE agent ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent ADD FOREIGN KEY(org_agent_site) REFERENCES site(site_code);
  COMMIT;
  ALTER TABLE agent ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE src_detect_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE src_detect_type ADD FOREIGN KEY(src_dt_db_site,src_dt_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE src_detect_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE post_scaling_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE post_scaling_type ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE post_scaling_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mevent_num_alarm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mevent_num_alarm ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE num_al_assoc_reg ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE num_al_assoc_reg ADD FOREIGN KEY(alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq) REFERENCES num_alarm_reg(alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq);
  COMMIT;
  ALTER TABLE num_al_assoc_reg ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE num_al_assoc_reg ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code) REFERENCES mevent_num_alarm(meas_loc_site,meas_loc_id,gmt_event,eu_db_site,eu_db_id,eu_type_code,al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(alarm_db_site,alarm_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(src_dt_db_site,src_dt_db_id,src_dt_type_code) REFERENCES src_detect_type(src_dt_db_site,src_dt_db_id,src_dt_type_code);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE spa_alarm_reg ADD FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type(mc_db_site,mc_db_id,mc_type_code);
  COMMIT;
  ALTER TABLE signal_proc_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE signal_proc_type ADD FOREIGN KEY(sp_db_site,sp_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE signal_proc_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE signal_proc_blk ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE signal_proc_blk ADD FOREIGN KEY(sp_blk_db_site,sp_blk_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE signal_proc_blk ADD FOREIGN KEY(sp_db_site,sp_db_id,sp_type_code) REFERENCES signal_proc_type(sp_db_site,sp_db_id,sp_type_code);
  COMMIT;
  ALTER TABLE signal_proc_blk ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_num_dat_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_num_dat_type ADD FOREIGN KEY(spn_db_site,spn_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_num_dat_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_blk_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_blk_num_data ADD FOREIGN KEY(sp_blk_db_site,sp_blk_db_id,sp_block_id) REFERENCES signal_proc_blk(sp_blk_db_site,sp_blk_db_id,sp_block_id);
  COMMIT;
  ALTER TABLE sp_blk_num_data ADD FOREIGN KEY(spn_db_site,spn_db_id,spn_type_code) REFERENCES sp_num_dat_type(spn_db_site,spn_db_id,spn_type_code);
  COMMIT;
  ALTER TABLE sp_blk_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sp_blk_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_stream_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_stream_type ADD FOREIGN KEY(sps_type_db_site,sps_type_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_stream_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_stream ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_stream ADD FOREIGN KEY(sps_type_db_site,sps_type_db_id,sps_type_code) REFERENCES sp_stream_type(sps_type_db_site,sps_type_db_id,sps_type_code);
  COMMIT;
  ALTER TABLE sp_stream ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_stream ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_stream_block ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_stream_block ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_stream_block ADD FOREIGN KEY(sp_blk_db_site,sp_blk_db_id,sp_block_id) REFERENCES signal_proc_blk(sp_blk_db_site,sp_blk_db_id,sp_block_id);
  COMMIT;
  ALTER TABLE sp_stream_block ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE average_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE average_type ADD FOREIGN KEY(ave_db_site,ave_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE average_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ave_weight_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ave_weight_type ADD FOREIGN KEY(ave_wt_db_site,ave_wt_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ave_weight_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ave_synch_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ave_synch_type ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ave_synch_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(src_dt_db_site,src_dt_db_id,src_dt_type_code) REFERENCES src_detect_type(src_dt_db_site,src_dt_db_id,src_dt_type_code);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_ampl_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_ampl_alarm ADD FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sp_ampl_alarm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_ampl_alarm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_ampl_alarm ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,ordering_seq) REFERENCES sp_ampl_data(meas_loc_site,meas_loc_id,gmt_event,ordering_seq);
  COMMIT;
  ALTER TABLE sp_ampl_alarm ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE spa_al_assoc_reg ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE spa_al_assoc_reg ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code) REFERENCES sp_ampl_alarm(meas_loc_site,meas_loc_id,gmt_event,ordering_seq,al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE spa_al_assoc_reg ADD FOREIGN KEY(alarm_db_site,alarm_db_id,al_meas_loc_site,al_meas_loc_id,al_ordering_seq) REFERENCES spa_alarm_reg(alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq);
  COMMIT;
  ALTER TABLE spa_al_assoc_reg ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE window_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE window_type ADD FOREIGN KEY(win_db_site,win_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE window_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type(win_db_site,win_db_id,win_type_code);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type(ave_db_site,ave_db_id,ave_type_code);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sp_fft_data ADD FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type(win_db_site,win_db_id,win_type_code);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type(ave_db_site,ave_db_id,ave_type_code);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_time_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type(ave_db_site,ave_db_id,ave_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_cpb_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_ampl_setup ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_ampl_setup ADD FOREIGN KEY(spa_setup_db_site,spa_setup_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_ampl_setup ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE sp_ampl_setup ADD FOREIGN KEY(src_dt_db_site,src_dt_db_id,src_dt_type_code) REFERENCES src_detect_type(src_dt_db_site,src_dt_db_id,src_dt_type_code);
  COMMIT;
  ALTER TABLE sp_ampl_setup ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_ampl_setup ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(spf_setup_db_site,spf_setup_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type(win_db_site,win_db_id,win_type_code);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type(ave_db_site,ave_db_id,ave_type_code);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(ave_wt_db_site,ave_wt_type_code,ave_wt_db_id) REFERENCES ave_weight_type(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_fft_setup ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(spt_setup_db_site,spt_setup_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(win_db_site,win_db_id,win_type_code) REFERENCES window_type(win_db_site,win_db_id,win_type_code);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type(ave_db_site,ave_db_id,ave_type_code);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_time_setup ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(spc_setup_db_site,spc_setup_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code) REFERENCES post_scaling_type(pst_sc_db_site,pst_sc_db_id,pst_sc_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(ave_db_site,ave_db_id,ave_type_code) REFERENCES average_type(ave_db_site,ave_db_id,ave_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code) REFERENCES ave_weight_type(ave_wt_db_site,ave_wt_db_id,ave_wt_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code) REFERENCES ave_synch_type(ave_sy_db_site,ave_sy_db_id,ave_sy_type_code);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(sp_str_db_site,sp_str_db_id,sp_stream_id) REFERENCES sp_stream(sp_str_db_site,sp_str_db_id,sp_stream_id);
  COMMIT;
  ALTER TABLE sp_cpb_setup ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_ampl ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_ampl ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_ampl ADD FOREIGN KEY(spa_setup_db_site,spa_setup_db_id,spa_setup_id) REFERENCES sp_ampl_setup(spa_setup_db_site,spa_setup_db_id,spa_setup_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_ampl ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_fft ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_fft ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_fft ADD FOREIGN KEY(spf_setup_db_site,spf_setup_db_id,spf_setup_id) REFERENCES sp_fft_setup(spf_setup_db_site,spf_setup_db_id,spf_setup_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_fft ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_time ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_time ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_time ADD FOREIGN KEY(spt_setup_db_site,spt_setup_db_id,spt_setup_id) REFERENCES sp_time_setup(spt_setup_db_site,spt_setup_db_id,spt_setup_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_time ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_cpb ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_cpb ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number) REFERENCES mloc_unit_list(ord_list_db_site,ord_list_db_id,ord_list_id,ordering_seq,channel_number);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_cpb ADD FOREIGN KEY(spc_setup_db_site,spc_setup_db_id,spc_setup_id) REFERENCES sp_cpb_setup(spc_setup_db_site,spc_setup_db_id,spc_setup_id);
  COMMIT;
  ALTER TABLE mloc_ulist_sp_cpb ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mim_tech_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mim_tech_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mim_support_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mim_support_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mim_data_cat_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mim_data_cat_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mim_func_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mim_func_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mim_access_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mim_access_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(dcat_type_code) REFERENCES mim_data_cat_type(dcat_type_code);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(func_type_code) REFERENCES mim_func_type(func_type_code);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(supp_type_code) REFERENCES mim_support_type(supp_type_code);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(tech_type_code) REFERENCES mim_tech_type(tech_type_code);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(acc_type_code) REFERENCES mim_access_type(acc_type_code);
  COMMIT;
  ALTER TABLE mim_interface_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE network_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE network_type ADD FOREIGN KEY(nt_db_site,nt_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE network_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE event_type_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE event_type_child ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE event_type_child ADD FOREIGN KEY(child_ev_db_site,child_ev_db_id,child_ev_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE event_type_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_test_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sample_test_type ADD FOREIGN KEY(stt_db_site,stt_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_test_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_ndata_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sample_ndata_type ADD FOREIGN KEY(snum_db_site,snum_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_ndata_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_cdata_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sample_cdata_type ADD FOREIGN KEY(schr_db_site,schr_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_cdata_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_result_ntype ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_result_ntype ADD FOREIGN KEY(strn_db_site,strn_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_result_ntype ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_result_ctype ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_result_ctype ADD FOREIGN KEY(strc_db_site,strc_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_result_ctype ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_result_btype ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_result_btype ADD FOREIGN KEY(strb_db_site,strb_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_result_btype ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_data_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE blob_data_type ADD FOREIGN KEY(bd_db_site,bd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_data_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_content_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE blob_content_type ADD FOREIGN KEY(blct_db_site,blct_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_content_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mevent_blob_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mevent_blob_type ADD FOREIGN KEY(mebt_db_site,mebt_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mevent_blob_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE highlight_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE highlight_type ADD FOREIGN KEY(high_db_site,high_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE highlight_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent_role_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE agent_role_type ADD FOREIGN KEY(ag_role_db_site,ag_role_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent_role_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ev_num_data_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ev_num_data_type ADD FOREIGN KEY(en_db_site,en_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ev_num_data_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE severity_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE severity_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE health_grade_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE health_grade_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE priority_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE priority_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_manage_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_manage_type ADD FOREIGN KEY(wm_type_db_site,wm_type_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_manage_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_task_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_task_type ADD FOREIGN KEY(task_db_site,task_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_task_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wtask_type_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wtask_type_child ADD FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE wtask_type_child ADD FOREIGN KEY(child_tk_db_site,child_tk_db_id,child_tk_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE wtask_type_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE change_patt_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE change_patt_type ADD FOREIGN KEY(ch_patt_db_site,ch_patt_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE change_patt_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_audit_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_audit_type ADD FOREIGN KEY(waudit_db_site,waudit_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_audit_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_num_data_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_num_data_type ADD FOREIGN KEY(wn_db_site,wn_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_num_data_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_chr_data_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_chr_data_type ADD FOREIGN KEY(wc_db_site,wc_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_chr_data_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE solution_pack_type ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE solution_pack_type ADD FOREIGN KEY(sol_db_site,sol_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE solution_pack_type ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE network ADD FOREIGN KEY(network_db_site,network_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE network ADD FOREIGN KEY(nt_db_site,nt_db_id,nt_type_code) REFERENCES network_type(nt_db_site,nt_db_id,nt_type_code);
  COMMIT;
  ALTER TABLE network ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE network ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_network_connect ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_network_connect ADD FOREIGN KEY(network_db_site,network_db_id,network_id) REFERENCES network(network_db_site,network_db_id,network_id);
  COMMIT;
  ALTER TABLE sg_network_connect ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_network_connect ADD FOREIGN KEY(output_sg_site,output_sg_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_network_connect ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_network_connect ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_network_connect ADD FOREIGN KEY(network_db_site,network_db_id,network_id) REFERENCES network(network_db_site,network_db_id,network_id);
  COMMIT;
  ALTER TABLE as_network_connect ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_network_connect ADD FOREIGN KEY(output_as_site,output_as_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_network_connect ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent_role ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE agent_role ADD FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE agent_role ADD FOREIGN KEY(ag_role_db_site,ag_role_db_id,ag_role_type_code) REFERENCES agent_role_type(ag_role_db_site,ag_role_db_id,ag_role_type_code);
  COMMIT;
  ALTER TABLE agent_role ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE agent_role_with_agent ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE agent_role_with_agent ADD FOREIGN KEY(ag_role_db_site,ag_role_db_id,ag_role_type_code) REFERENCES agent_role_type(ag_role_db_site,ag_role_db_id,ag_role_type_code);
  COMMIT;
  ALTER TABLE agent_role_with_agent ADD FOREIGN KEY(other_org_agent_site,other_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE agent_role_with_agent ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(alarm_db_site,alarm_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(stt_db_site,stt_db_id,stt_code) REFERENCES sample_test_type(stt_db_site,stt_db_id,stt_code);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(strn_db_site,strn_db_id,str_num_type_code) REFERENCES test_result_ntype(strn_db_site,strn_db_id,str_num_type_code);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE mloc_test_alrm_rg ADD FOREIGN KEY(mc_db_site,mc_db_id,mc_type_code) REFERENCES mloc_calc_type(mc_db_site,mc_db_id,mc_type_code);
  COMMIT;
  ALTER TABLE meas_sample ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_sample ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE meas_sample ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE meas_sample ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_sample_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_sample_child ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);
  COMMIT;
  ALTER TABLE meas_sample_child ADD FOREIGN KEY(child_mloc_site,child_mloc_id,child_gmt_event,child_sam_ord_seq) REFERENCES meas_sample(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);
  COMMIT;
  ALTER TABLE meas_sample_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sample_num_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);
  COMMIT;
  ALTER TABLE sample_num_data ADD FOREIGN KEY(snum_db_site,snum_db_id,snum_type_code) REFERENCES sample_ndata_type(snum_db_site,snum_db_id,snum_type_code);
  COMMIT;
  ALTER TABLE sample_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sample_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sample_chr_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);;
  COMMIT;
  ALTER TABLE sample_chr_data ADD FOREIGN KEY(schr_db_site,schr_db_id,schr_type_code) REFERENCES sample_cdata_type(schr_db_site,schr_db_id,schr_type_code);
  COMMIT;
  ALTER TABLE sample_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sample_chr_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sample_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sample_remark ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);
  COMMIT;
  ALTER TABLE sample_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE meas_sample_test ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_sample_test ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq) REFERENCES meas_sample(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq);
  COMMIT;
  ALTER TABLE meas_sample_test ADD FOREIGN KEY(stt_db_site,stt_code,stt_db_id) REFERENCES sample_test_type(stt_db_site,stt_db_id,stt_code);
  COMMIT;
  ALTER TABLE meas_sample_test ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE meas_sample_test ADD FOREIGN KEY(test_asset_site,test_asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE meas_sample_test ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_num_results ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_num_results ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_num_results ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq);
  COMMIT;
  ALTER TABLE test_num_results ADD FOREIGN KEY(strn_db_site,strn_db_id,str_num_type_code) REFERENCES test_result_ntype(strn_db_site,strn_db_id,str_num_type_code);
  COMMIT;
  ALTER TABLE test_num_results ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE test_chr_results ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_chr_results ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq);
  COMMIT;
  ALTER TABLE test_chr_results ADD FOREIGN KEY(strc_db_site,strc_db_id,str_chr_type_code) REFERENCES test_result_ctype(strc_db_site,strc_db_id,str_chr_type_code);
  COMMIT;
  ALTER TABLE test_chr_results ADD FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE test_chr_results ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_remark ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq);
  COMMIT;
  ALTER TABLE test_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_histogram ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_histogram ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq);
  COMMIT;
  ALTER TABLE test_histogram ADD FOREIGN KEY(strn_db_site,strn_db_id,str_num_type_code) REFERENCES test_result_ntype(strn_db_site,strn_db_id,str_num_type_code);
  COMMIT;
  ALTER TABLE test_histogram ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE test_histogram ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_nres_alarm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_nres_alarm ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq) REFERENCES test_num_results(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  COMMIT;
  ALTER TABLE test_nres_alarm ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE test_nres_alarm ADD FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE test_nres_alarm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_al_assoc_reg ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_al_assoc_reg ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code) REFERENCES test_nres_alarm(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq,al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE test_al_assoc_reg ADD FOREIGN KEY(al_meas_loc_site,al_meas_loc_id,alarm_db_site,alarm_db_id,al_ordering_seq) REFERENCES mloc_test_alrm_rg(alarm_db_site,alarm_db_id,meas_loc_site,meas_loc_id,ordering_seq);
  COMMIT;
  ALTER TABLE test_al_assoc_reg ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_blob_results ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_blob_results ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq) REFERENCES meas_sample_test(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq);
  COMMIT;
  ALTER TABLE test_blob_results ADD FOREIGN KEY(strb_db_site,strb_db_id,str_blob_type_code) REFERENCES test_result_btype(strb_db_site,strb_db_id,str_blob_type_code);
  COMMIT;
  ALTER TABLE test_blob_results ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE test_blob_results ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE test_bres_alarm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE test_bres_alarm ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq) REFERENCES test_blob_results(meas_loc_site,meas_loc_id,gmt_event,sample_order_seq,test_order_seq,ordering_seq);
  COMMIT;
  ALTER TABLE test_bres_alarm ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE test_bres_alarm ADD FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE test_bres_alarm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_type_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_type_blob_data ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_type_blob_data ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE sg_type_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE sg_type_blob_data ADD FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type(blct_db_site,blct_db_id,blc_type_code);
  COMMIT;
  ALTER TABLE sg_type_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_blob_data ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE segment_blob_data ADD FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type(blct_db_site,blct_db_id,blc_type_code);
  COMMIT;
  ALTER TABLE segment_blob_data ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_blob_data ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_blob_data ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE model_blob_data ADD FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type(blct_db_site,blct_db_id,blc_type_code);
  COMMIT;
  ALTER TABLE model_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_type_blob_data ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_blob_data ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE as_type_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE as_type_blob_data ADD FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type(blct_db_site,blct_db_id,blc_type_code);
  COMMIT;
  ALTER TABLE as_type_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_blob_data ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_blob_data ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE asset_blob_data ADD FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type(blct_db_site,blct_db_id,blc_type_code);
  COMMIT;
  ALTER TABLE asset_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE olist_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE olist_blob_data ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE olist_blob_data ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE olist_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE olist_blob_data ADD FOREIGN KEY(blct_db_site,blct_db_id,blc_type_code) REFERENCES blob_content_type(blct_db_site,blct_db_id,blc_type_code);
  COMMIT;
  ALTER TABLE olist_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mevent_blob_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mevent_blob_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE mevent_blob_data ADD FOREIGN KEY(mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_type(mebt_db_site,mebt_db_id,meb_type_code);
  COMMIT;
  ALTER TABLE mevent_blob_data ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE mevent_blob_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_grid_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE blob_grid_data ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_data(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code);
  COMMIT;
  ALTER TABLE blob_grid_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE blob_grid_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_alarm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE blob_alarm ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_data(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code);
  COMMIT;
  ALTER TABLE blob_alarm ADD FOREIGN KEY(al_db_site,al_type_code,al_db_id) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE blob_alarm ADD FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE blob_alarm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE blob_area_alarm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE blob_area_alarm ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code) REFERENCES mevent_blob_data(meas_loc_site,meas_loc_id,gmt_event,mebt_db_site,mebt_db_id,meb_type_code);
  COMMIT;
  ALTER TABLE blob_area_alarm ADD FOREIGN KEY(high_db_site,high_db_id,high_type_code) REFERENCES highlight_type(high_db_site,high_db_id,high_type_code);
  COMMIT;
  ALTER TABLE blob_area_alarm ADD FOREIGN KEY(al_db_site,al_db_id,al_type_code) REFERENCES alarm_type(al_db_site,al_db_id,al_type_code);
  COMMIT;
  ALTER TABLE blob_area_alarm ADD FOREIGN KEY(org_agent_site,agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE blob_area_alarm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_function ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_function ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_function ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_function ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE segment_function ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_function ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_function ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_function ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_function ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE asset_function ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_type_function ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_type_function ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_type_function ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE sg_type_function ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_type_function ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_function ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_type_function ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_function ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE as_type_function ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_type_function ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_function ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_function ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_function ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_function ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE model_function ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_ev_sg_func_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_ev_sg_func_link ADD FOREIGN KEY(ev_segment_site,ev_segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE sg_ev_sg_func_link ADD FOREIGN KEY(fn_db_site,fn_db_id,fn_segment_site,fn_segment_id,ordering_seq) REFERENCES segment_function(db_site,db_id,segment_site,segment_id,ordering_seq);
  COMMIT;
  ALTER TABLE sg_ev_sg_func_link ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_ev_sg_func_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_ev_as_func_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_ev_as_func_link ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE as_ev_as_func_link ADD FOREIGN KEY(db_site,db_id,fc_as_org_site,fc_as_id,ordering_seq) REFERENCES asset_function(db_site,db_id,asset_org_site,asset_id,ordering_seq);
  COMMIT;
  ALTER TABLE as_ev_as_func_link ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_ev_as_func_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_event_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_event_num_data ADD FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE sg_event_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE sg_event_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_event_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_event_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_event_num_data ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE as_event_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE as_event_num_data ADD FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_event_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_ev_meas_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_ev_meas_event ADD FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE sg_ev_meas_event ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sg_ev_meas_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_ev_meas_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_ev_meas_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_ev_meas_event ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE as_ev_meas_event ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE as_ev_meas_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_ev_meas_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_event_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_event_link ADD FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE segment_event_link ADD FOREIGN KEY(caused_sg_site,caused_sg_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE segment_event_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_event_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_event_link ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE asset_event_link ADD FOREIGN KEY(caused_as_site,caused_as_id,caused_ev_db_site,caused_ev_db_id,caused_ev_code,caused_gmt) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE asset_event_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_hyp_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(as_hyp_db_site,as_hyp_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_hyp_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE model_hyp_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_hyp_event_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_hyp_event_link ADD FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_hyp_event_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_hyp_event_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_hyp_event_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_hyp_event_link ADD FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_hyp_event_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_hyp_event_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_link ADD FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id) REFERENCES sg_typ_hyp_event(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES sg_typ_hyp_event(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_link ADD FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id) REFERENCES as_typ_hyp_event(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES as_typ_hyp_event(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_hyp_ev_link ADD FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES model_hyp_event(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_hyp_ev_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_hyp_ev_num_data ADD FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_hyp_ev_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE sg_hyp_ev_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_hyp_ev_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_hyp_ev_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_hyp_ev_num_data ADD FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_hyp_ev_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE as_hyp_ev_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_hyp_ev_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id) REFERENCES sg_typ_hyp_event(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_num_data ADD FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id) REFERENCES as_typ_hyp_event(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_num_data ADD FOREIGN KEY(eu_db_site,eu_type_code,eu_db_id) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_hyp_ev_num_data ADD FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_num_data ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE model_hyp_ev_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE model_hyp_ev_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_hyp_ev_sg_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_hyp_ev_sg_func ADD FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_hyp_ev_sg_func ADD FOREIGN KEY(db_site,db_id,segment_site,segment_id,ordering_seq) REFERENCES segment_function(db_site,db_id,segment_site,segment_id,ordering_seq);
  COMMIT;
  ALTER TABLE sg_hyp_ev_sg_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_hyp_ev_sg_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_hyp_ev_as_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_hyp_ev_as_func ADD FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_hyp_ev_as_func ADD FOREIGN KEY(asset_org_site,asset_id,db_site,db_id,ordering_seq) REFERENCES asset_function(db_site,db_id,asset_org_site,asset_id,ordering_seq);
  COMMIT;
  ALTER TABLE as_hyp_ev_as_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_hyp_ev_as_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_func ADD FOREIGN KEY(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id) REFERENCES sg_typ_hyp_event(sgt_hyp_db_site,sgt_hyp_db_id,sgt_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_func ADD FOREIGN KEY(db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq) REFERENCES sg_type_function(db_site,db_id,sg_db_site,sg_db_id,sg_type_code,ordering_seq);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_typ_hyp_ev_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_func ADD FOREIGN KEY(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id) REFERENCES as_typ_hyp_event(ast_hyp_db_site,ast_hyp_db_id,ast_hyp_event_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_func ADD FOREIGN KEY(db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq) REFERENCES as_type_function(db_site,db_id,as_db_site,as_db_id,as_type_code,ordering_seq);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_typ_hyp_ev_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_hyp_ev_func ADD FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_func ADD FOREIGN KEY(db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq) REFERENCES model_function(db_site,db_id,mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,ordering_seq);
  COMMIT;
  ALTER TABLE model_hyp_ev_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE model_hyp_ev_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type(dqual_type_code);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_proposed_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type(dqual_type_code);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(severity_rank) REFERENCES severity_type(severity_rank);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_proposed_event ADD FOREIGN KEY(ev_db_site,ev_db_id,event_type_code) REFERENCES sg_as_event_type(ev_db_site,ev_db_id,event_type_code);
  COMMIT;
  ALTER TABLE sg_prop_ev_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_prop_ev_link ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_prop_ev_link ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_prop_ev_link ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_link ADD FOREIGN KEY(caused_db_site,caused_db_id,caused_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_link ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_ndat ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_prop_ev_ndat ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_ndat ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE sg_prop_ev_ndat ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_prop_ev_ndat ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_prop_ev_ndat ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_prop_ev_ndat ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_ndat ADD FOREIGN KEY(en_db_site,en_db_id,en_type_code) REFERENCES ev_num_data_type(en_db_site,en_db_id,en_type_code);
  COMMIT;
  ALTER TABLE as_prop_ev_ndat ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_prop_ev_ndat ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_func ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_func ADD FOREIGN KEY(db_site,db_id,segment_site,segment_id,ordering_seq) REFERENCES segment_function(db_site,db_id,segment_site,segment_id,ordering_seq);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_prop_ev_as_func ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_prop_ev_as_func ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_as_func ADD FOREIGN KEY(asset_org_site,asset_id,db_site,db_id,ordering_seq) REFERENCES asset_function(db_site,db_id,asset_org_site,asset_id,ordering_seq);
  COMMIT;
  ALTER TABLE as_prop_ev_as_func ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_prop_ev_as_func ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_prop_ev_hyp_ev ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_hyp_ev ADD FOREIGN KEY(sg_hypev_db_site,sg_hypev_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_hyp_ev ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_prop_ev_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_prop_ev_hyp_ev ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_hyp_ev ADD FOREIGN KEY(as_hypev_db_site,as_hypev_db_id,as_hyp_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_hyp_ev ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_prop_ev_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_ev ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_ev ADD FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_ev ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_sg_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_prop_ev_as_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_prop_ev_as_ev ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_as_ev ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE as_prop_ev_as_ev ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_prop_ev_as_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_meas_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_prop_ev_meas_ev ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_meas_ev ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sg_prop_ev_meas_ev ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_prop_ev_meas_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_prop_ev_meas_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_prop_ev_meas_ev ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_prop_ev_meas_ev ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE as_prop_ev_meas_ev ADD FOREIGN KEY(by_org_asite,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_prop_ev_meas_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type(dqual_type_code);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(hgrade_type_code) REFERENCES health_grade_type(hgrade_type_code);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE segment_health ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(aud_quality_code) REFERENCES data_qual_type(dqual_type_code);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(hgrade_type_code) REFERENCES health_grade_type(hgrade_type_code);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code) REFERENCES change_patt_type(ch_patt_db_site,ch_patt_db_id,ch_patt_type_code);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(aud_by_org_asite,aud_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE asset_health ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_health_sg_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_health_sg_event ADD FOREIGN KEY(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES segment_health(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_health_sg_event ADD FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE sg_health_sg_event ADD FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_health_sg_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_health_as_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_health_as_event ADD FOREIGN KEY(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES asset_health(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_health_as_event ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE as_health_as_event ADD FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_health_as_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_health_sg_prop_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_health_sg_prop_ev ADD FOREIGN KEY(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES segment_health(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_health_sg_prop_ev ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_health_sg_prop_ev ADD FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_health_sg_prop_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_health_as_prop_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_health_as_prop_ev ADD FOREIGN KEY(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id) REFERENCES asset_health(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_health_as_prop_ev ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_health_as_prop_ev ADD FOREIGN KEY(assoc_by_org_asite,assoc_by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_health_as_prop_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_remaining_life ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_remaining_life ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_remaining_life ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_remaining_life ADD FOREIGN KEY(erl_eu_db_site,erl_eu_db_id,erl_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_remaining_life ADD FOREIGN KEY(err_eu_db_site,err_eu_db_id,err_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_remaining_life ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_remaining_life ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_remaining_life ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_remaining_life ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_remaining_life ADD FOREIGN KEY(erl_eu_db_site,erl_eu_db_id,erl_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_remaining_life ADD FOREIGN KEY(err_eu_db_site,err_eu_db_id,err_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_remaining_life ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_recommendation ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE sg_recommendation ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_recommendation ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_recommendation ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_recommendation ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_recommendation ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE as_recommendation ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_recommendation ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_recommendation ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_recommendation ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ol_recommendation ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE ol_recommendation ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ol_recommendation ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE ol_recommendation ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE ol_recommendation ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_type_recomm ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE sg_type_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_type_recomm ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code) REFERENCES segment_type(sg_db_site,sg_db_id,sg_type_code);
  COMMIT;
  ALTER TABLE sg_type_recomm ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_type_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_recomm ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE as_type_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_type_recomm ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code) REFERENCES asset_type(as_db_site,as_db_id,as_type_code);
  COMMIT;
  ALTER TABLE as_type_recomm ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_type_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_recomm ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE model_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_recomm ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number) REFERENCES model(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number);
  COMMIT;
  ALTER TABLE model_recomm ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE model_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_remark ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_remark ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_rec_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ol_rec_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ol_rec_remark ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES ol_recommendation(ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE ol_rec_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_type_rec_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_type_rec_remark ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_type_recomm(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_type_rec_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_rec_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_type_rec_remark ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_type_recomm(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_type_rec_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_rec_remark ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_rec_remark ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES model_recomm(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE model_rec_remark ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_blob ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_blob ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_blob ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE sg_rec_blob ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_blob ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_blob ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE as_rec_blob ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_blob ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_type_rec_blob ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_type_rec_blob ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_type_recomm(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_type_rec_blob ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE sg_type_rec_blob ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_rec_blob ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_type_rec_blob ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_type_recomm(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_type_rec_blob ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE as_type_rec_blob ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_rec_blob ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_rec_blob ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES model_recomm(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE model_rec_blob ADD FOREIGN KEY(bd_db_site,bd_db_id,bd_type_code) REFERENCES blob_data_type(bd_db_site,bd_db_id,bd_type_code);
  COMMIT;
  ALTER TABLE model_rec_blob ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_health ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_sg_health ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_health ADD FOREIGN KEY(hth_sg_site,hth_sg_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id) REFERENCES segment_health(segment_site,segment_id,gmt_assessment,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_health ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_as_health ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_as_health ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_rec_as_health ADD FOREIGN KEY(hth_as_org_site,hth_asset_id,hth_gmt_assess,hth_by_agent_site,hth_by_agent_id) REFERENCES asset_health(asset_org_site,asset_id,gmt_assessment,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_rec_as_health ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_sg_event ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_event ADD FOREIGN KEY(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES segment_event(segment_site,segment_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE sg_rec_sg_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_as_event ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_as_event ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_rec_as_event ADD FOREIGN KEY(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start) REFERENCES asset_event(asset_org_site,asset_id,ev_db_site,ev_db_id,event_type_code,gmt_event_start);
  COMMIT;
  ALTER TABLE as_rec_as_event ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_sg_hyp_ev ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_hyp_ev ADD FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_as_hyp_ev ADD FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_rec_as_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_as_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_as_hyp_ev ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_type_rec_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_type_rec_hyp_ev ADD FOREIGN KEY(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_type_recomm(sg_db_site,sg_db_id,sg_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_type_rec_hyp_ev ADD FOREIGN KEY(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id) REFERENCES sg_hyp_event(sg_hyp_db_site,sg_hyp_db_id,sg_hyp_event_id);
  COMMIT;
  ALTER TABLE sg_type_rec_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_type_rec_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_type_rec_hyp_ev ADD FOREIGN KEY(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_type_recomm(as_db_site,as_db_id,as_type_code,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_type_rec_hyp_ev ADD FOREIGN KEY(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id) REFERENCES as_hyp_event(as_hyp_db_site,as_hyp_db_id,as_hyp_event_id);
  COMMIT;
  ALTER TABLE as_type_rec_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE model_rec_hyp_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE model_rec_hyp_ev ADD FOREIGN KEY(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES model_recomm(mf_db_site,mf_db_id,mf_duns_code,model_number,revision_number,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE model_rec_hyp_ev ADD FOREIGN KEY(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id) REFERENCES model_hyp_event(mod_hyp_db_site,mod_hyp_db_id,mod_hyp_event_id);
  COMMIT;
  ALTER TABLE model_rec_hyp_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_prop_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_sg_prop_ev ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_prop_ev ADD FOREIGN KEY(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id) REFERENCES sg_proposed_event(sg_prop_db_site,sg_prop_db_id,sg_prop_event_id);
  COMMIT;
  ALTER TABLE sg_rec_sg_prop_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_as_prop_ev ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_as_prop_ev ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_rec_as_prop_ev ADD FOREIGN KEY(as_prop_db_site,as_prop_db_id,as_prop_event_id) REFERENCES as_proposed_event(as_prop_db_site,as_prop_db_id,as_prop_event_id);
  COMMIT;
  ALTER TABLE as_rec_as_prop_ev ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_rec_mevent ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_rec_mevent ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_rec_mevent ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE sg_rec_mevent ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_rec_mevent ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_rec_mevent ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_rec_mevent ADD FOREIGN KEY(meas_loc_site,meas_loc_id,gmt_event) REFERENCES meas_event(meas_loc_site,meas_loc_id,gmt_event);
  COMMIT;
  ALTER TABLE as_rec_mevent ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(work_req_db_site,work_req_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type(wm_type_db_site,wm_type_db_id,wm_type_code);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_request ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE solution_package ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE solution_package ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE solution_package ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE solution_package ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_pack_type(sol_db_site,sol_db_id,sol_type_code);
  COMMIT;
  ALTER TABLE solution_package ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE request ADD FOREIGN KEY(req_db_site,req_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE request ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE request ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE request ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE request ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE request ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(req_db_site,req_db_id,request_id) REFERENCES request(req_db_site,req_db_id,request_id);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type(wm_type_db_site,wm_type_db_id,wm_type_code);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(rec_segment_site,rec_segment_id,rec_gmt_recomm,rec_by_agent_site,rec_by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE sg_req_for_work ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(req_db_site,req_db_id,request_id) REFERENCES request(req_db_site,req_db_id,request_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type(wm_type_db_site,wm_type_db_id,wm_type_code);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(rec_asset_org_site,rec_asset_id,rec_gmt_recomm,rec_by_agent_site,rec_by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE as_req_for_work ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(req_db_site,req_db_id,request_id) REFERENCES request(req_db_site,req_db_id,request_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type(wm_type_db_site,wm_type_db_id,wm_type_code);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(rec_ord_db_site,rec_ord_db_id,rec_ord_list_id,rec_gmt_recomm,rec_by_agent_site,rec_by_agent_id) REFERENCES ol_recommendation(ord_list_db_site,ord_list_db_id,ord_list_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE ol_req_for_work ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_req_sg_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_req_sg_recomm ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE work_req_sg_recomm ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE work_req_sg_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_req_as_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_req_as_recomm ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE work_req_as_recomm ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE work_req_as_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_req_sol_pack ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_req_sol_pack ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE work_req_sol_pack ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE work_req_sol_pack ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_req_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_req_num_data ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE work_req_num_data ADD FOREIGN KEY(wn_db_site,wn_db_id,wn_type_code) REFERENCES work_num_data_type(wn_db_site,wn_db_id,wn_type_code);
  COMMIT;
  ALTER TABLE work_req_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE work_req_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_req_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_req_chr_data ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE work_req_chr_data ADD FOREIGN KEY(wc_db_site,wc_db_id,wc_type_code) REFERENCES work_chr_data_type(wc_db_site,wc_db_id,wc_type_code);
  COMMIT;
  ALTER TABLE work_req_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE work_req_chr_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_request_audit ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_request_audit ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_request_audit ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE work_request_audit ADD FOREIGN KEY(waudit_db_site,waudit_db_id,waudit_type_code) REFERENCES work_audit_type(waudit_db_site,waudit_db_id,waudit_type_code);
  COMMIT;
  ALTER TABLE work_request_audit ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_request_audit ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(work_order_db_site,work_order_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(wm_type_db_site,wm_type_db_id,wm_type_code) REFERENCES work_manage_type(wm_type_db_site,wm_type_db_id,wm_type_code);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(int_eu_db_site,int_eu_db_id,int_eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_order_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_order_child ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order(work_order_db_site,work_order_db_id,work_order_id);
  COMMIT;
  ALTER TABLE work_order_child ADD FOREIGN KEY(child_wo_db_site,child_wo_db_id,child_wo_id) REFERENCES work_order(work_order_db_site,work_order_db_id,work_order_id);
  COMMIT;
  ALTER TABLE work_order_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_order_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_order_num_data ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order(work_order_db_site,work_order_db_id,work_order_id);
  COMMIT;
  ALTER TABLE work_order_num_data ADD FOREIGN KEY(wn_db_site,wn_db_id,wn_type_code) REFERENCES work_num_data_type(wn_db_site,wn_db_id,wn_type_code);
  COMMIT;
  ALTER TABLE work_order_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE work_order_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_order_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_order_chr_data ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order(work_order_db_site,work_order_db_id,work_order_id);
  COMMIT;
  ALTER TABLE work_order_chr_data ADD FOREIGN KEY(wc_db_site,wc_db_id,wc_type_code) REFERENCES work_chr_data_type(wc_db_site,wc_db_id,wc_type_code);
  COMMIT;
  ALTER TABLE work_order_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE work_order_chr_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_order_audit ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_order_audit ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order_audit ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order_audit ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE work_order_audit ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order(work_order_db_site,work_order_db_id,work_order_id);
  COMMIT;
  ALTER TABLE work_order_audit ADD FOREIGN KEY(waudit_db_site,waudit_db_id,waudit_type_code) REFERENCES work_audit_type(waudit_db_site,waudit_db_id,waudit_type_code);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id) REFERENCES work_order(work_order_db_site,work_order_db_id,work_order_id);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(to_agent_site,to_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE work_order_step ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wo_step_num_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wo_step_num_data ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE wo_step_num_data ADD FOREIGN KEY(wn_db_site,wn_db_id,wn_type_code) REFERENCES work_num_data_type(wn_db_site,wn_db_id,wn_type_code);
  COMMIT;
  ALTER TABLE wo_step_num_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE wo_step_num_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wo_step_chr_data ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wo_step_chr_data ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE wo_step_chr_data ADD FOREIGN KEY(wc_db_site,wc_db_id,wc_type_code) REFERENCES work_chr_data_type(wc_db_site,wc_db_id,wc_type_code);
  COMMIT;
  ALTER TABLE wo_step_chr_data ADD FOREIGN KEY(eu_db_site,eu_db_id,eu_type_code) REFERENCES eng_unit_type(eu_db_site,eu_db_id,eu_type_code);
  COMMIT;
  ALTER TABLE wo_step_chr_data ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wo_step_audit ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wo_step_audit ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE wo_step_audit ADD FOREIGN KEY(waudit_db_site,waudit_db_id,waudit_type_code) REFERENCES work_audit_type(waudit_db_site,waudit_db_id,waudit_type_code);
  COMMIT;
  ALTER TABLE wo_step_audit ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE wo_step_audit ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE wo_step_audit ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wo_step_sg_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wo_step_sg_recomm ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE wo_step_sg_recomm ADD FOREIGN KEY(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES sg_recommendation(segment_site,segment_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE wo_step_sg_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wo_step_as_recomm ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wo_step_as_recomm ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE wo_step_as_recomm ADD FOREIGN KEY(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id) REFERENCES as_recommendation(asset_org_site,asset_id,gmt_recommendation,by_agent_site,by_agent_id);
  COMMIT;
  ALTER TABLE wo_step_as_recomm ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE wo_step_work_req ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE wo_step_work_req ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE wo_step_work_req ADD FOREIGN KEY(work_req_db_site,work_req_db_id,work_req_id) REFERENCES work_request(work_req_db_site,work_req_db_id,work_req_id);
  COMMIT;
  ALTER TABLE wo_step_work_req ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE sg_completed_work ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(task_db_site,task_db_id,task_type_code) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE as_completed_work ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(priority_type_code) REFERENCES priority_type(priority_type_code);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(task_db_site,task_type_code,task_db_id) REFERENCES work_task_type(task_db_site,task_db_id,task_type_code);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(by_agent_site,by_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(from_sy_agent_site,from_sy_agent_id) REFERENCES agent(org_agent_site,agent_id);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq) REFERENCES work_order_step(work_order_db_site,work_order_db_id,work_order_id,work_ord_step_seq);
  COMMIT;
  ALTER TABLE ol_completed_work ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE db_mim_interface ADD FOREIGN KEY(interf_type_code) REFERENCES mim_interface_type(interf_type_code);
  COMMIT;
  ALTER TABLE db_mim_interface ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE db_mim_interface ADD FOREIGN KEY(db_site,db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE db_mim_interface ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE mloc_type_child ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE mloc_type_child ADD FOREIGN KEY(child_ml_db_site,child_ml_db_id,child_ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE mloc_type_child ADD FOREIGN KEY(ml_db_site,ml_db_id,ml_type_code) REFERENCES meas_loc_type(ml_db_site,ml_db_id,ml_type_code);
  COMMIT;
  ALTER TABLE mloc_type_child ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_sol_pack ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE as_sol_pack ADD FOREIGN KEY(asset_org_site,asset_id) REFERENCES asset(asset_org_site,asset_id);
  COMMIT;
  ALTER TABLE as_sol_pack ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE as_sol_pack ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE sg_sol_pack ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE sg_sol_pack ADD FOREIGN KEY(segment_site,segment_id) REFERENCES segment(segment_site,segment_id);
  COMMIT;
  ALTER TABLE sg_sol_pack ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE sg_sol_pack ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE ol_sol_pack ADD FOREIGN KEY(sol_pack_db_site,sol_pack_db_id,sol_pack_id) REFERENCES solution_package(sol_pack_db_site,sol_pack_db_id,sol_pack_id);
  COMMIT;
  ALTER TABLE ol_sol_pack ADD FOREIGN KEY(ord_list_db_site,ord_list_db_id,ord_list_id) REFERENCES ordered_list(ord_list_db_site,ord_list_db_id,ord_list_id);
  COMMIT;
  ALTER TABLE ol_sol_pack ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
  ALTER TABLE ol_sol_pack ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_loc_assoc ADD FOREIGN KEY(rstat_type_code) REFERENCES row_status_type(rstat_type_cod);
  COMMIT;
  ALTER TABLE meas_loc_assoc ADD FOREIGN KEY(related_mloc_site,related_mloc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE meas_loc_assoc ADD FOREIGN KEY(meas_loc_site,meas_loc_id) REFERENCES meas_location(meas_loc_site,meas_loc_id);
  COMMIT;
  ALTER TABLE meas_loc_assoc ADD FOREIGN KEY(last_upd_db_site,last_upd_db_id) REFERENCES site_database(db_site,db_id);
  COMMIT;
